


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'InstanceNameEnum' : _MetaInfoEnum('InstanceNameEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all':'all',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Vpnv6SafiEnum' : _MetaInfoEnum('Vpnv6SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'flowspec':'flowspec',
            'multicast':'multicast',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'AfiEnum' : _MetaInfoEnum('AfiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all':'all',
            'ipv4':'ipv4',
            'ipv6':'ipv6',
            'l2vpn':'l2vpn',
            'link-state':'link_state',
            'vpnv4':'vpnv4',
            'vpnv6':'vpnv6',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'VrfNameEnum' : _MetaInfoEnum('VrfNameEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all':'all',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Ipv4SafiEnum' : _MetaInfoEnum('Ipv4SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all':'all',
            'flowspec':'flowspec',
            'labeled-unicast':'labeled_unicast',
            'mdt':'mdt',
            'multicast':'multicast',
            'mvpn':'mvpn',
            'rt-filter':'rt_filter',
            'sr-policy':'sr_policy',
            'tunnel':'tunnel',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'AfiSafiTypeEnum' : _MetaInfoEnum('AfiSafiTypeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all-alll':'all_alll',
            'all-evpn':'all_evpn',
            'all-flowspec':'all_flowspec',
            'all-labeled-unicast':'all_labeled_unicast',
            'all-mdt':'all_mdt',
            'all-mspw':'all_mspw',
            'all-multicast':'all_multicast',
            'all-mvpn':'all_mvpn',
            'all-rt-filter':'all_rt_filter',
            'all-sr-policy':'all_sr_policy',
            'all-tunnel':'all_tunnel',
            'all-unicast':'all_unicast',
            'all-vpls':'all_vpls',
            'all-vpws':'all_vpws',
            'ipv4-all':'ipv4_all',
            'ipv4-flowspec':'ipv4_flowspec',
            'ipv4-labeled-unicast':'ipv4_labeled_unicast',
            'ipv4-mdt':'ipv4_mdt',
            'ipv4-multicast':'ipv4_multicast',
            'ipv4-mvpn':'ipv4_mvpn',
            'ipv4-rt-filter':'ipv4_rt_filter',
            'ipv4-sr-policy':'ipv4_sr_policy',
            'ipv4-tunnel':'ipv4_tunnel',
            'ipv4-unicast':'ipv4_unicast',
            'ipv6-all':'ipv6_all',
            'ipv6-flowspec':'ipv6_flowspec',
            'ipv6-labeled-unicast':'ipv6_labeled_unicast',
            'ipv6-multicast':'ipv6_multicast',
            'ipv6-mvpn':'ipv6_mvpn',
            'ipv6-sr-policy':'ipv6_sr_policy',
            'ipv6-unicast':'ipv6_unicast',
            'l2vpn-evpn':'l2vpn_evpn',
            'l2vpn-mspw':'l2vpn_mspw',
            'l2vpn-vpls':'l2vpn_vpls',
            'l2vpn-vpws':'l2vpn_vpws',
            'link-state':'link_state',
            'vpnv4-flowspec':'vpnv4_flowspec',
            'vpnv4-multicast':'vpnv4_multicast',
            'vpnv4-unicast':'vpnv4_unicast',
            'vpnv6-flowspec':'vpnv6_flowspec',
            'vpnv6-multicast':'vpnv6_multicast',
            'vpnv6-unicast':'vpnv6_unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Vpnv4SafiEnum' : _MetaInfoEnum('Vpnv4SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'flowspec':'flowspec',
            'multicast':'multicast',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Ipv6SafiEnum' : _MetaInfoEnum('Ipv6SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all':'all',
            'flowspec':'flowspec',
            'labeled-unicast':'labeled_unicast',
            'multicast':'multicast',
            'mvpn':'mvpn',
            'sr-policy':'sr_policy',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Ipv4SafiEnum' : _MetaInfoEnum('Ipv4SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all':'all',
            'flowspec':'flowspec',
            'labeled-unicast':'labeled_unicast',
            'mdt':'mdt',
            'multicast':'multicast',
            'mvpn':'mvpn',
            'rt-filter':'rt_filter',
            'sr-policy':'sr_policy',
            'tunnel':'tunnel',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Ipv6SafiEnum' : _MetaInfoEnum('Ipv6SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'all':'all',
            'flowspec':'flowspec',
            'labeled-unicast':'labeled_unicast',
            'multicast':'multicast',
            'mvpn':'mvpn',
            'sr-policy':'sr_policy',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'L2VpnSafiEnum' : _MetaInfoEnum('L2VpnSafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'evpn':'evpn',
            'mspw':'mspw',
            'vpls':'vpls',
            'vpws':'vpws',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'LinkStateSafiEnum' : _MetaInfoEnum('LinkStateSafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'link-state':'link_state',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Vpnv4SafiEnum' : _MetaInfoEnum('Vpnv4SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'flowspec':'flowspec',
            'multicast':'multicast',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'Vpnv6SafiEnum' : _MetaInfoEnum('Vpnv6SafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'flowspec':'flowspec',
            'multicast':'multicast',
            'unicast':'unicast',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'L2VpnSafiEnum' : _MetaInfoEnum('L2VpnSafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'evpn':'evpn',
            'mspw':'mspw',
            'vpls':'vpls',
            'vpws':'vpws',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'LinkStateSafiEnum' : _MetaInfoEnum('LinkStateSafiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act',
        {
            'link-state':'link_state',
        }, 'Cisco-IOS-XR-ipv4-bgp-act', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act']),
    'ClearBgpAllGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAllGracefulRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-all-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAllRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpIpAddrGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpIpAddrGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpIpAddrGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpIpAddrGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpIpAddrGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-ip-addr-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAllSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-all-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAllSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-all-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAllSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-all-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAllSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAllSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAllSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-all-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiIpAddrSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-ip-addr-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiIpAddrSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-ip-addr-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiIpAddrSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-ip-addr-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiIpAddrSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiIpAddrSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiIpAddrSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-ip-addr-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAsSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-as-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAsSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-as-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAsSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-as-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiAsSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiAsSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiAsSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-as-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and mask or masklength to clear dampening information
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and mask or masklength to clear dampening information
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and mask or masklength to clear dampening information
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiDampeningIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-dampening-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiDampeningRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiExternalSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-external-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiExternalSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-external-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiExternalSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-external-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiExternalSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiExternalSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiExternalSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-external-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpAddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpAddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics-ip-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and mask or masklength to clear flap statistics
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and mask or masklength to clear flap statistics
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and mask or masklength to clear flap statistics
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsRegexpRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsRegexpRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('regexp-pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A regular expression to match the BGP AS paths.  Use 'ctrl-v ?' to enter '?'
                ''',
                'regexp_pattern',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsRegexpRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsRegexpRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsRegexpRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsRoutePolicyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsRoutePolicyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('route-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Policy name
                ''',
                'route_policy_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsRoutePolicyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsRoutePolicyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsRoutePolicyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics-route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiNexthopPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiNexthopPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiNexthopPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiNexthopPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiSelfOriginatedRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiSelfOriginatedRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiSelfOriginatedRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiSelfOriginatedRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiSelfOriginatedRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-self-originated',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiShutdownRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiShutdownRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiShutdownRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiShutdownRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqAddressFamilyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqAddressFamilyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqAddressFamilyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqAddressFamilyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAsGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAsGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAsGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAsGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAsGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-as-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-bridge-domain-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiBridgeDomainIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-bridge-domain-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiBridgeDomainIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-bridge-domain-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 network and masklength
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRtConstraintNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRtConstraintNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rt-constraint-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RT-Constraint network
                ''',
                'rt_constraint_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRtConstraintNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRtConstraintNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRtConstraintNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rt-constraint-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4TunnelNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4TunnelNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-tunnel-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 Tunnel network <Tunnel-ID>:<IPv4 Address>
                ''',
                'ipv4_tunnel_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv4TunnelNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv4TunnelNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpv4TunnelNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ipv4-tunnel-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiSrPolicyPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiSrPolicyPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sr-policy-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SR Policy prefix
                ''',
                'sr_policy_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiSrPolicyPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiSrPolicyPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiSrPolicyPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-sr-policy-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiBridgeDomainIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiBridgeDomainIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-bridge-domain-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiMp2MpIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiMp2MpIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('mp2mp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Xconnect Group:mp2mp
                ''',
                'mp2mp',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN VPWS Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiMp2MpIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiMp2MpIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiMp2MpIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-mp2mp-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                VPN Fspec Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiRdIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiRdIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiRdIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-rd-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathAfiSafiVrfIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathAfiSafiVrfIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathAfiSafiVrfIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-afi-safi-vrf-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                Fspec IPv4 Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpBestpathVrfAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpBestpathVrfAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpBestpathVrfAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-bestpath-vrf-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpExternalGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpExternalGracefulRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-external-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpExternalRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpExternalRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-external',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAllGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAllGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAllGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAllGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAllGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-all-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAllRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAllRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAllRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAllRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceIpAddrGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceIpAddrGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceIpAddrGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceIpAddrGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceIpAddrGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-ip-addr-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAllSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-all-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAllSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-all-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAllSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-all-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAllSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAllSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAllSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-all-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiIpAddrSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-ip-addr-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiIpAddrSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-ip-addr-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiIpAddrSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-ip-addr-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiIpAddrSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiIpAddrSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiIpAddrSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-ip-addr-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAsSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-as-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAsSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-as-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAsSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-as-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiAsSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiAsSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiAsSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-as-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and mask or masklength to clear dampening information
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and mask or masklength to clear dampening information
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and mask or masklength to clear dampening information
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiDampeningIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-dampening-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiDampeningRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiExternalSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-external-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiExternalSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-external-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiExternalSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-external-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiExternalSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiExternalSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiExternalSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-external-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpAddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpAddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics-ip-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and mask or masklength to clear flap statistics
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and mask or masklength to clear flap statistics
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and mask or masklength to clear flap statistics
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsRegexpRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsRegexpRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('regexp-pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A regular expression to match the BGP AS paths.  Use 'ctrl-v ?' to enter '?'
                ''',
                'regexp_pattern',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsRegexpRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsRegexpRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsRegexpRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsRoutePolicyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsRoutePolicyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('route-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Policy name
                ''',
                'route_policy_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsRoutePolicyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsRoutePolicyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsRoutePolicyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics-route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiNexthopPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiNexthopPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiNexthopPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiNexthopPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiSelfOriginatedRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiSelfOriginatedRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiSelfOriginatedRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiSelfOriginatedRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiSelfOriginatedRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-self-originated',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiShutdownRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiShutdownRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiShutdownRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiShutdownRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAsGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAsGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAsGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAsGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAsGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-as-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-bridge-domain-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-bridge-domain-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-bridge-domain-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 network and masklength
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRtConstraintNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRtConstraintNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rt-constraint-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RT-Constraint network
                ''',
                'rt_constraint_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRtConstraintNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRtConstraintNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRtConstraintNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rt-constraint-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4TunnelNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4TunnelNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-tunnel-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 Tunnel network <Tunnel-ID>:<IPv4 Address>
                ''',
                'ipv4_tunnel_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv4TunnelNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv4TunnelNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpv4TunnelNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ipv4-tunnel-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiSrPolicyPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiSrPolicyPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sr-policy-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SR Policy prefix
                ''',
                'sr_policy_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiSrPolicyPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiSrPolicyPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiSrPolicyPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-sr-policy-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiBridgeDomainIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-bridge-domain-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiMp2MpIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiMp2MpIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('mp2mp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Xconnect Group:mp2mp
                ''',
                'mp2mp',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN VPWS Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiMp2MpIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiMp2MpIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiMp2MpIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-mp2mp-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                VPN Fspec Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiRdIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiRdIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiRdIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-rd-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathAfiSafiVrfIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathAfiSafiVrfIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathAfiSafiVrfIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-afi-safi-vrf-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                Fspec IPv4 Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceBestpathVrfAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceBestpathVrfAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceBestpathVrfAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-bestpath-vrf-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceExternalGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceExternalGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceExternalGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceExternalGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceExternalGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-external-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceExternalRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceExternalRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceExternalRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceExternalRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceExternalRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-external',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear dampening information
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiDampeningIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-dampening-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear dampening information
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiDampeningIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiDampeningIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiDampeningIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-dampening-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear flap statistics
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceAfiSafiFlapStatisticsIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceAfiSafiFlapStatisticsIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceAfiSafiFlapStatisticsIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-afi-safi-flap-statistics-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceNexthopPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceNexthopPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceNexthopPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceNexthopPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstancePeerDropsAllRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstancePeerDropsAllRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstancePeerDropsAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstancePeerDropsAllRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstancePeerDropsAllRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-peer-drops-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstancePeerDropsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstancePeerDropsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor IP address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstancePeerDropsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstancePeerDropsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstancePeerDropsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-peer-drops-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstancePerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstancePerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstancePerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstancePerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstancePerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiServerAllSerialQueryRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiServerAllSerialQueryRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiServerAllSerialQueryRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiServerAllSerialQueryRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceRpkiServerAllSerialQueryRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-rpki-server-all-serial-query',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiServerAllRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiServerAllRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiServerAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiServerAllRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceRpkiServerAllRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-rpki-server-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiServerRpkiServerRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiServerRpkiServerRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('rpki-server', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                clear a specific RPKI cache-server (hostname or IP address)
                ''',
                'rpki_server',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiServerRpkiServerRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiServerRpkiServerRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceRpkiServerRpkiServerRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-rpki-server-rpki-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiValidationIpv4Rpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiValidationIpv4Rpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiValidationIpv4Rpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiValidationIpv4Rpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceRpkiValidationIpv4Rpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-rpki-validation-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiValidationIpv6Rpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiValidationIpv6Rpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiValidationIpv6Rpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiValidationIpv6Rpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceRpkiValidationIpv6Rpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-rpki-validation-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiValidationRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiValidationRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceRpkiValidationRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceRpkiValidationRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceRpkiValidationRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-rpki-validation',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceShutdownRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceShutdownRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceShutdownRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceShutdownRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqAddressFamilyUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqAddressFamilyUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqAddressFamilyUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqAddressFamilyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqAddressFamilyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqAddressFamilyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqAddressFamilyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqProcessRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqProcessRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqProcessRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqProcessRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqProcessRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-bridge-domain-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-bridge-domain-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiBridgeDomainIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-bridge-domain-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 network and masklength
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRtConstraintNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRtConstraintNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rt-constraint-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RT-Constraint network
                ''',
                'rt_constraint_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRtConstraintNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRtConstraintNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRtConstraintNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rt-constraint-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4TunnelNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4TunnelNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-tunnel-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 Tunnel network <Tunnel-ID>:<IPv4 Address>
                ''',
                'ipv4_tunnel_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv4TunnelNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv4TunnelNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpv4TunnelNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ipv4-tunnel-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiSrPolicyPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiSrPolicyPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sr-policy-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SR Policy prefix
                ''',
                'sr_policy_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiSrPolicyPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiSrPolicyPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiSrPolicyPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-sr-policy-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiBridgeDomainIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiBridgeDomainIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-bridge-domain-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiMp2MpIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiMp2MpIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('mp2mp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Xconnect Group:mp2mp
                ''',
                'mp2mp',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN VPWS Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiMp2MpIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiMp2MpIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiMp2MpIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-mp2mp-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                VPN Fspec Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiRdIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiRdIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiRdIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-rd-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionAfiSafiVrfIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionAfiSafiVrfIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionAfiSafiVrfIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-afi-safi-vrf-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                Fspec IPv4 Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVersionVrfAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVersionVrfAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVersionVrfAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-version-vrf-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAllGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAllGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAllGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAllGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAllGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-all-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAllRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAllRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAllRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAllRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfIpAddrGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfIpAddrGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfIpAddrGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfIpAddrGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfIpAddrGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-ip-addr-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAsGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAsGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAsGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAsGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAsGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-as-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfExternalGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfExternalGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfExternalGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfExternalGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfExternalGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-external-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfExternalRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfExternalRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfExternalRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfExternalRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfExternalRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-external',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAllSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-all-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAllSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-all-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAllSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-all-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAllSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAllSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAllSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-all-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-ip-addr-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiIpAddrSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-ip-addr-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiIpAddrSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-ip-addr-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiIpAddrSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiIpAddrSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiIpAddrSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-ip-addr-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAsSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-as-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAsSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-as-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAsSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-as-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiAsSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiAsSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiAsSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-as-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiDampeningIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiDampeningIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear dampening information
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiDampeningIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiDampeningIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiDampeningIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-dampening-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiDampeningRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiDampeningRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiDampeningRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiDampeningRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiDampeningRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiExternalSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-external-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiExternalSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-external-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiExternalSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-external-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiExternalSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiExternalSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiExternalSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-external-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-flap-statistics-ip-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-flap-statistics-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-flap-statistics-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsRegexpRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsRegexpRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('regexp-pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A regular expression to match the BGP AS paths.  Use 'ctrl-v ?' to enter '?'
                ''',
                'regexp_pattern',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsRegexpRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsRegexpRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiFlapStatisticsRegexpRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-flap-statistics-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('route-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Policy name
                ''',
                'route_policy_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsRoutePolicyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsRoutePolicyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-flap-statistics-route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiFlapStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-flap-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiNexthopPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiNexthopPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiNexthopPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiNexthopPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiSelfOriginatedRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiSelfOriginatedRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiSelfOriginatedRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiSelfOriginatedRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiSelfOriginatedRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-self-originated',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiShutdownRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiShutdownRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiShutdownRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiShutdownRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiDampeningIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiDampeningIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear dampening information
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiDampeningIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiDampeningIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiDampeningIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-dampening-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear flap statistics
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-afi-safi-flap-statistics-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfNexthopPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfNexthopPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfNexthopPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfNexthopPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfPeerDropsAllRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfPeerDropsAllRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfPeerDropsAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfPeerDropsAllRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfPeerDropsAllRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-peer-drops-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfPeerDropsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfPeerDropsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor IP address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfPeerDropsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfPeerDropsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfPeerDropsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-peer-drops-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfShutdownRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfShutdownRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfShutdownRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfShutdownRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqAddressFamilyUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqAddressFamilyUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqAddressFamilyUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqAddressFamilyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqAddressFamilyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqAddressFamilyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqAddressFamilyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('instance-name', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                instance name or all
                ''',
                'instance_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('instance-name', REFERENCE_ENUM_CLASS, 'InstanceNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'InstanceNameEnum', 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('instance-name', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        instance name or all
                        ''',
                        'instance_name',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpInstanceVrfUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpInstanceVrfUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpInstanceVrfUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-instance-vrf-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear dampening information
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiDampeningIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-dampening-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear dampening information
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiDampeningIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiDampeningIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiDampeningIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-dampening-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear flap statistics
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpAfiSafiFlapStatisticsIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpAfiSafiFlapStatisticsIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpAfiSafiFlapStatisticsIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-afi-safi-flap-statistics-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpNexthopPerformanceStatisticsRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpPeerDropsAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpPeerDropsAllRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-peer-drops-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpPeerDropsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpPeerDropsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor IP address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpPeerDropsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpPeerDropsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpPeerDropsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-peer-drops-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpPerformanceStatisticsRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpRpkiServerAllSerialQueryRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpRpkiServerAllSerialQueryRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-rpki-server-all-serial-query',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpRpkiServerAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpRpkiServerAllRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-rpki-server-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpRpkiServerRpkiServerRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpRpkiServerRpkiServerRpc.Input',
            False, 
            [
            _MetaInfoClassMember('rpki-server', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                clear a specific RPKI cache-server (hostname or IP address)
                ''',
                'rpki_server',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpRpkiServerRpkiServerRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpRpkiServerRpkiServerRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpRpkiServerRpkiServerRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-rpki-server-rpki-server',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpRpkiValidationIpv4Rpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpRpkiValidationIpv4Rpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-rpki-validation-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpRpkiValidationIpv6Rpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpRpkiValidationIpv6Rpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-rpki-validation-ipv6',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpRpkiValidationRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpRpkiValidationRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-rpki-validation',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpShutdownRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqAddressFamilyRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqProcessRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqProcessRpc',
            False, 
            [
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-bridge-domain-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiBridgeDomainIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-bridge-domain-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiBridgeDomainIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-bridge-domain-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 network and masklength
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 MDT network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRtConstraintNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRtConstraintNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rt-constraint-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                RT-Constraint network
                ''',
                'rt_constraint_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRtConstraintNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRtConstraintNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRtConstraintNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rt-constraint-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4TunnelNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4TunnelNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-tunnel-network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                IPv4 Tunnel network <Tunnel-ID>:<IPv4 Address>
                ''',
                'ipv4_tunnel_network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv4TunnelNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv4TunnelNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpv4TunnelNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ipv4-tunnel-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiSrPolicyPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiSrPolicyPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sr-policy-prefix', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SR Policy prefix
                ''',
                'sr_policy_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiSrPolicyPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiSrPolicyPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiSrPolicyPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-sr-policy-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('bridge-domain-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Bridge Domain
                ''',
                'bridge_domain_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiBridgeDomainIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiBridgeDomainIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-bridge-domain-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN EVPN Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiMp2MpIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiMp2MpIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('mp2mp', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Xconnect Group:mp2mp
                ''',
                'mp2mp',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                L2VPN VPWS Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiMp2MpIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiMp2MpIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiMp2MpIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-mp2mp-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                VPN Fspec Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiRdIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiRdIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiRdIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-rd-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionAfiSafiVrfIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionAfiSafiVrfIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionAfiSafiVrfIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-afi-safi-vrf-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfIpAddrIpNetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfIpAddrIpNetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-netmask', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Mask
                ''',
                'ip_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-netmask', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Mask
                        ''',
                        'ip_netmask',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfIpAddrIpNetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfIpAddrIpNetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfIpAddrIpNetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-ip-addr-ip-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Network
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfIpPrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfIpPrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-prefix', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Network and masklength
                ''',
                'ip_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-prefix', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                        '''                        Network and masklength
                        ''',
                        'ip_prefix',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfIpPrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfIpPrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfIpPrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-ip-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                Fspec IPv4 Prefix
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 mask
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv4AddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv4AddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-ipv4-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv4AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv4AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 network
                ''',
                'ipv4_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv4AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv4AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiIpv4AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-ipv4-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiRdNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiRdNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiRdNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiRdNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiRdNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-rd-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiVrfNetworkRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiVrfNetworkRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('network', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Address family modifier specific network
                ''',
                'network',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiVrfNetworkRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiVrfNetworkRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiVrfNetworkRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-vrf-network',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 mask
                ''',
                'ipv6_netmask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-ipv6-addr-ipv6-netmask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv6AddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv6AddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6 network
                ''',
                'ipv6_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv6AddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv6AddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiIpv6AddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-ipv6-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 network and masklength
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiRdRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiRdRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('rd', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Route distinguisher
                ''',
                'rd',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+\\.\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(\\d+:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('rd', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(:\\d+)'], 
                        '''                        Route distinguisher
                        ''',
                        'rd',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiRdRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiRdRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiRdRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-rd',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiVrfRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiVrfRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiVrfRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiVrfRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiVrfRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVersionVrfAfiSafiRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVersionVrfAfiSafiRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVersionVrfAfiSafiRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-version-vrf-afi-safi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAllGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAllGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAllGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAllGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAllGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-all-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAllRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAllRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAllRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAllRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfIpAddrGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfIpAddrGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfIpAddrGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfIpAddrGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfIpAddrGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-ip-addr-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAsGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAsGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAsGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAsGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAsGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-as-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfExternalGracefulRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfExternalGracefulRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfExternalGracefulRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfExternalGracefulRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfExternalGracefulRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-external-graceful',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfExternalRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfExternalRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfExternalRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfExternalRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfExternalRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-external',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAllSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-all-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAllSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-all-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAllSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-all-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAllSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAllSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAllSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-all-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrLongLivedStaleRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrLongLivedStaleRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrLongLivedStaleRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrLongLivedStaleRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiIpAddrLongLivedStaleRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-ip-addr-long-lived-stale',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-ip-addr-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiIpAddrSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-ip-addr-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiIpAddrSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-ip-addr-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiIpAddrSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiIpAddrSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiIpAddrSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-ip-addr-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAsSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-as-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAsSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-as-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAsSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-as-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                AS number
                ''',
                'as_number',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                        [('1', '65535')], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('as-number', REFERENCE_UNION, 'str' , None, None, 
                        [], [], 
                        '''                        AS number
                        ''',
                        'as_number',
                        'Cisco-IOS-XR-ipv4-bgp-act', False, [
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'str' , None, None, 
                                [], ['(\\d+\\.\\d+)'], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                            _MetaInfoClassMember('as-number', ATTRIBUTE, 'int' , None, None, 
                                [('65536', '4294967295')], [], 
                                '''                                AS number
                                ''',
                                'as_number',
                                'Cisco-IOS-XR-ipv4-bgp-act', False),
                        ]),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiAsSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiAsSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiAsSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-as-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiDampeningIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiDampeningIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear dampening information
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiDampeningIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiDampeningIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiDampeningIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-dampening-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiDampeningRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiDampeningRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiDampeningRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiDampeningRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiDampeningRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-dampening',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftInPrefixFilterRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftInPrefixFilterRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftInPrefixFilterRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftInPrefixFilterRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiExternalSoftInPrefixFilterRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-external-soft-in-prefix-filter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftInRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftInRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftInRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftInRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiExternalSoftInRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-external-soft-in',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftOutRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftOutRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftOutRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftOutRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiExternalSoftOutRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-external-soft-out',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiExternalSoftRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiExternalSoftRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiExternalSoftRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-external-soft',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ipv4-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_mask',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-flap-statistics-ip-addr-ipv4-mask',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor address to clear
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor address to clear
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiFlapStatisticsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-flap-statistics-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv4-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])/(([0-9])|([1-2][0-9])|(3[0-2]))'], 
                '''                IPv4 Network and mask or masklength to clear flap statistics
                ''',
                'ipv4_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpv4PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpv4PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-flap-statistics-ipv4-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsRegexpRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsRegexpRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('regexp-pattern', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                A regular expression to match the BGP AS paths.  Use 'ctrl-v ?' to enter '?'
                ''',
                'regexp_pattern',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsRegexpRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsRegexpRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiFlapStatisticsRegexpRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-flap-statistics-regexp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('route-policy-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Route Policy name
                ''',
                'route_policy_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsRoutePolicyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsRoutePolicyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-flap-statistics-route-policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiFlapStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-flap-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiNexthopPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiNexthopPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiNexthopPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiNexthopPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiSelfOriginatedRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiSelfOriginatedRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiSelfOriginatedRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiSelfOriginatedRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiSelfOriginatedRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-self-originated',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiShutdownRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiShutdownRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiShutdownRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiShutdownRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqAddressFamilyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqAddressFamilyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqAddressFamilyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqAddressFamilyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiDampeningIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiDampeningIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear dampening information
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiDampeningIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiDampeningIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiDampeningIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-dampening-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('afi-safi-name', REFERENCE_ENUM_CLASS, 'AfiSafiTypeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'AfiSafiTypeEnum', 
                [], [], 
                '''                AFI and SAFI
                ''',
                'afi_safi_name',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('ipv6-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(/(([0-9])|([0-9]{2})|(1[0-1][0-9])|(12[0-8])))'], 
                '''                IPv6 Network and mask or masklength to clear flap statistics
                ''',
                'ipv6_prefix',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfAfiSafiFlapStatisticsIpv6PrefixRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfAfiSafiFlapStatisticsIpv6PrefixRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-afi-safi-flap-statistics-ipv6-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfNexthopPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfNexthopPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfNexthopPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfNexthopPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfNexthopPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-nexthop-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfNexthopRegistrationIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfNexthopRegistrationIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Nexthop address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Nexthop address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfNexthopRegistrationIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfNexthopRegistrationIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfNexthopRegistrationIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-nexthop-registration-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfPeerDropsAllRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfPeerDropsAllRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfPeerDropsAllRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfPeerDropsAllRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfPeerDropsAllRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-peer-drops-all',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfPeerDropsIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfPeerDropsIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                BGP neighbor IP address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        BGP neighbor IP address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfPeerDropsIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfPeerDropsIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfPeerDropsIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-peer-drops-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfPerformanceStatisticsRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfPerformanceStatisticsRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfPerformanceStatisticsRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfPerformanceStatisticsRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfPerformanceStatisticsRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-performance-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfShutdownRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfShutdownRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfShutdownRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfShutdownRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfShutdownRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-shutdown',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqAddressFamilyUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqAddressFamilyUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqAddressFamilyUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqAddressFamilyUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqAddressFamilyUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-address-family-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqAddressFamilyRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqAddressFamilyRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqAddressFamilyRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqAddressFamilyRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqAddressFamilyRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-address-family',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-neighbor-ip-addr-refresh-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrRefreshRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrRefreshRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrRefreshRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrRefreshRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqNeighborIpAddrRefreshRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-neighbor-ip-addr-refresh',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-neighbor-ip-addr-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('ip-addr', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Neighbor address
                ''',
                'ip_addr',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('ip-addr', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Neighbor address
                        ''',
                        'ip_addr',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqNeighborIpAddrRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqNeighborIpAddrRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqNeighborIpAddrRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-neighbor-ip-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-update-group-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Sub-group process ID <x.y>
                ''',
                'sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-update-group-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-update-group-sub-group-refresh-sub-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            _MetaInfoClassMember('refresh-sub-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)(:\\d+)'], 
                '''                Refresh Sub-group process ID <x.y:z>
                ''',
                'refresh_sub_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-update-group-sub-group-refresh-sub-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupUpdateParentRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupUpdateParentRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupUpdateParentRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupUpdateParentRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqUpdateGroupUpdateParentRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-update-group-update-parent',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupRpc.Input' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupRpc.Input',
            False, 
            [
            _MetaInfoClassMember('vrf-all', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                VRF name or all
                ''',
                'vrf_all',
                'Cisco-IOS-XR-ipv4-bgp-act', False, [
                    _MetaInfoClassMember('vrf-all', REFERENCE_ENUM_CLASS, 'VrfNameEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'VrfNameEnum', 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                    _MetaInfoClassMember('vrf-all', ATTRIBUTE, 'str' , None, None, 
                        [], [], 
                        '''                        VRF name or all
                        ''',
                        'vrf_all',
                        'Cisco-IOS-XR-ipv4-bgp-act', False),
                ]),
            _MetaInfoClassMember('update-group', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|1[0-5])\\.\\d+)'], 
                '''                Update-group process ID <x.y>
                ''',
                'update_group',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'input',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
    'ClearBgpVrfUpdateOutqUpdateGroupRpc' : {
        'meta_info' : _MetaInfoClass('ClearBgpVrfUpdateOutqUpdateGroupRpc',
            False, 
            [
            _MetaInfoClassMember('input', REFERENCE_CLASS, 'Input' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act', 'ClearBgpVrfUpdateOutqUpdateGroupRpc.Input', 
                [], [], 
                '''                ''',
                'input',
                'Cisco-IOS-XR-ipv4-bgp-act', False),
            ],
            'Cisco-IOS-XR-ipv4-bgp-act',
            'clear-bgp-vrf-update-outq-update-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-bgp-act'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_bgp_act'
        ),
    },
}
_meta_table['ClearBgpIpAddrGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpIpAddrGracefulRpc']['meta_info']
_meta_table['ClearBgpIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpIpAddrRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAllSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAllSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAllSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAllSoftInRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAllSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAllSoftOutRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAllSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAllSoftRpc']['meta_info']
_meta_table['ClearBgpAfiSafiIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpAfiSafiIpAddrSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiIpAddrSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpAfiSafiIpAddrSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiIpAddrSoftInRpc']['meta_info']
_meta_table['ClearBgpAfiSafiIpAddrSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiIpAddrSoftOutRpc']['meta_info']
_meta_table['ClearBgpAfiSafiIpAddrSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiIpAddrSoftRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAsSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAsSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAsSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAsSoftInRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAsSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAsSoftOutRpc']['meta_info']
_meta_table['ClearBgpAfiSafiAsSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiAsSoftRpc']['meta_info']
_meta_table['ClearBgpAfiSafiDampeningIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiDampeningIpPrefixRpc']['meta_info']
_meta_table['ClearBgpAfiSafiDampeningRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiDampeningRpc']['meta_info']
_meta_table['ClearBgpAfiSafiExternalSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiExternalSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpAfiSafiExternalSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiExternalSoftInRpc']['meta_info']
_meta_table['ClearBgpAfiSafiExternalSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiExternalSoftOutRpc']['meta_info']
_meta_table['ClearBgpAfiSafiExternalSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiExternalSoftRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsIpAddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsIpAddrRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsIpPrefixRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsRegexpRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsRegexpRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsRoutePolicyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsRoutePolicyRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsRpc']['meta_info']
_meta_table['ClearBgpAfiSafiNexthopPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiNexthopPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpAfiSafiNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpAfiSafiSelfOriginatedRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiSelfOriginatedRpc']['meta_info']
_meta_table['ClearBgpAfiSafiShutdownRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiShutdownRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqAddressFamilyUpdateParentRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqAddressFamilyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqAddressFamilyRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiUpdateOutqUpdateGroupRpc']['meta_info']
_meta_table['ClearBgpAsGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAsGracefulRpc']['meta_info']
_meta_table['ClearBgpAsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAsRpc']['meta_info']
_meta_table['ClearBgpBestpathIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathIpAddrRpc']['meta_info']
_meta_table['ClearBgpBestpathIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathIpPrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpAddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpPrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpAddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpPrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpAddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpPrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRtConstraintNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRtConstraintNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpv4TunnelNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpv4TunnelNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiSrPolicyPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiSrPolicyPrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiBridgeDomainIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiMp2MpIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiMp2MpIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiRdIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiRdIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathAfiSafiVrfIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathAfiSafiVrfIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfIpAddrRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfIpPrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpBestpathVrfAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpBestpathVrfAfiSafiRpc']['meta_info']
_meta_table['ClearBgpInstanceAllGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAllGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceAllRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAllRpc']['meta_info']
_meta_table['ClearBgpInstanceIpAddrGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceIpAddrGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpInstanceIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAllSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAllSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAllSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAllSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAllSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAllSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAllSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAllSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiIpAddrSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAsSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAsSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAsSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAsSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAsSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAsSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiAsSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiAsSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiDampeningIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiDampeningIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiDampeningRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiDampeningRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiExternalSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiExternalSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiExternalSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiExternalSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiExternalSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiExternalSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiExternalSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiExternalSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpAddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsRegexpRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsRegexpRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsRoutePolicyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsRoutePolicyRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiNexthopPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiNexthopPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiSelfOriginatedRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiSelfOriginatedRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiShutdownRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiShutdownRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqAddressFamilyRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiUpdateOutqUpdateGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceAsGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAsGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceAsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAsRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRtConstraintNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRtConstraintNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4TunnelNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpv4TunnelNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiSrPolicyPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiSrPolicyPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiBridgeDomainIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiMp2MpIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiMp2MpIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiRdIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathAfiSafiVrfIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpInstanceBestpathVrfAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceBestpathVrfAfiSafiRpc']['meta_info']
_meta_table['ClearBgpInstanceExternalGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceExternalGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceExternalRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceExternalRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiDampeningIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiDampeningIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiDampeningIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiDampeningIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceAfiSafiFlapStatisticsIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceNexthopPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceNexthopPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstancePeerDropsAllRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstancePeerDropsAllRpc']['meta_info']
_meta_table['ClearBgpInstancePeerDropsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstancePeerDropsIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstancePerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstancePerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceRpkiServerAllSerialQueryRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceRpkiServerAllSerialQueryRpc']['meta_info']
_meta_table['ClearBgpInstanceRpkiServerAllRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceRpkiServerAllRpc']['meta_info']
_meta_table['ClearBgpInstanceRpkiServerRpkiServerRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceRpkiServerRpkiServerRpc']['meta_info']
_meta_table['ClearBgpInstanceRpkiValidationIpv4Rpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceRpkiValidationIpv4Rpc']['meta_info']
_meta_table['ClearBgpInstanceRpkiValidationIpv6Rpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceRpkiValidationIpv6Rpc']['meta_info']
_meta_table['ClearBgpInstanceRpkiValidationRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceRpkiValidationRpc']['meta_info']
_meta_table['ClearBgpInstanceShutdownRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceShutdownRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqAddressFamilyUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqAddressFamilyUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqAddressFamilyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqAddressFamilyRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqProcessRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqProcessRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceUpdateOutqUpdateGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRtConstraintNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRtConstraintNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpv4TunnelNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpv4TunnelNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiSrPolicyPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiSrPolicyPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiBridgeDomainIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiMp2MpIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiMp2MpIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiRdIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionAfiSafiVrfIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfIpPrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpInstanceVersionVrfAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVersionVrfAfiSafiRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAllGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAllGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAllRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAllRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfIpAddrGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfIpAddrGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAsGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAsGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAsRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfExternalGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfExternalGracefulRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfExternalRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfExternalRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAllSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiIpAddrSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiAsSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiDampeningIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiDampeningIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiDampeningRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiDampeningRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftInRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftOutRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiExternalSoftRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsRegexpRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsRegexpRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsRoutePolicyRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiNexthopPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiNexthopPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiSelfOriginatedRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiSelfOriginatedRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiShutdownRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiShutdownRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqAddressFamilyRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiUpdateOutqUpdateGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiDampeningIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiDampeningIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfAfiSafiFlapStatisticsIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfNexthopPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfNexthopPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfPeerDropsAllRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfPeerDropsAllRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfPeerDropsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfPeerDropsIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfShutdownRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfShutdownRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqAddressFamilyUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqAddressFamilyUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqAddressFamilyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqAddressFamilyRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpInstanceVrfUpdateOutqUpdateGroupRpc']['meta_info']
_meta_table['ClearBgpAfiSafiDampeningIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiDampeningIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpAfiSafiDampeningIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiDampeningIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpAfiSafiFlapStatisticsIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpAfiSafiFlapStatisticsIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpPeerDropsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpPeerDropsIpAddrRpc']['meta_info']
_meta_table['ClearBgpRpkiServerRpkiServerRpc.Input']['meta_info'].parent =_meta_table['ClearBgpRpkiServerRpkiServerRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpUpdateOutqUpdateGroupRpc']['meta_info']
_meta_table['ClearBgpVersionIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionIpAddrRpc']['meta_info']
_meta_table['ClearBgpVersionIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionIpPrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpAddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpPrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpAddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpPrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpAddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpPrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRtConstraintNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRtConstraintNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpv4TunnelNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpv4TunnelNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiSrPolicyPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiSrPolicyPrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiBridgeDomainIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiMp2MpIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiMp2MpIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiRdIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiRdIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpVersionAfiSafiVrfIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionAfiSafiVrfIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionVrfIpAddrIpNetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfIpAddrIpNetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionVrfIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfIpAddrRpc']['meta_info']
_meta_table['ClearBgpVersionVrfIpPrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfIpPrefixRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiIpv4AddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiIpv4AddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiIpv4AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiIpv4AddrRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiRdNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiRdNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiVrfNetworkRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiVrfNetworkRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiIpv6AddrIpv6NetmaskRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiIpv6AddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiIpv6AddrRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiRdRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiRdRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiVrfRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiVrfRpc']['meta_info']
_meta_table['ClearBgpVersionVrfAfiSafiRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVersionVrfAfiSafiRpc']['meta_info']
_meta_table['ClearBgpVrfAllGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAllGracefulRpc']['meta_info']
_meta_table['ClearBgpVrfAllRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAllRpc']['meta_info']
_meta_table['ClearBgpVrfIpAddrGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfIpAddrGracefulRpc']['meta_info']
_meta_table['ClearBgpVrfIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpVrfIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfIpAddrRpc']['meta_info']
_meta_table['ClearBgpVrfAsGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAsGracefulRpc']['meta_info']
_meta_table['ClearBgpVrfAsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAsRpc']['meta_info']
_meta_table['ClearBgpVrfExternalGracefulRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfExternalGracefulRpc']['meta_info']
_meta_table['ClearBgpVrfExternalRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfExternalRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAllSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAllSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAllSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAllSoftInRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAllSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAllSoftOutRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAllSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAllSoftRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiIpAddrLongLivedStaleRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiIpAddrLongLivedStaleRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiIpAddrSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiIpAddrSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiIpAddrSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiIpAddrSoftInRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiIpAddrSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiIpAddrSoftOutRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiIpAddrSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiIpAddrSoftRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAsSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAsSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAsSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAsSoftInRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAsSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAsSoftOutRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiAsSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiAsSoftRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiDampeningIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiDampeningIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiDampeningRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiDampeningRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiExternalSoftInPrefixFilterRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiExternalSoftInPrefixFilterRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiExternalSoftInRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiExternalSoftInRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiExternalSoftOutRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiExternalSoftOutRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiExternalSoftRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiExternalSoftRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpAddrIpv4MaskRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpAddrRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpv4PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpv4PrefixRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiFlapStatisticsRegexpRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiFlapStatisticsRegexpRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiFlapStatisticsRoutePolicyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiFlapStatisticsRoutePolicyRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiFlapStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiFlapStatisticsRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiNexthopPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiNexthopPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiSelfOriginatedRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiSelfOriginatedRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiShutdownRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiShutdownRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqAddressFamilyUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqAddressFamilyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqAddressFamilyRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiUpdateOutqUpdateGroupRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiDampeningIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiDampeningIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpv6PrefixRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfAfiSafiFlapStatisticsIpv6PrefixRpc']['meta_info']
_meta_table['ClearBgpVrfNexthopPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfNexthopPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpVrfNexthopRegistrationIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfNexthopRegistrationIpAddrRpc']['meta_info']
_meta_table['ClearBgpVrfPeerDropsAllRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfPeerDropsAllRpc']['meta_info']
_meta_table['ClearBgpVrfPeerDropsIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfPeerDropsIpAddrRpc']['meta_info']
_meta_table['ClearBgpVrfPerformanceStatisticsRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfPerformanceStatisticsRpc']['meta_info']
_meta_table['ClearBgpVrfShutdownRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfShutdownRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqAddressFamilyUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqAddressFamilyUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqAddressFamilyRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqAddressFamilyRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrRefreshUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrRefreshRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrRefreshRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqNeighborIpAddrRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqUpdateGroupSubGroupRefreshSubGroupRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqUpdateGroupUpdateParentRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqUpdateGroupUpdateParentRpc']['meta_info']
_meta_table['ClearBgpVrfUpdateOutqUpdateGroupRpc.Input']['meta_info'].parent =_meta_table['ClearBgpVrfUpdateOutqUpdateGroupRpc']['meta_info']
