


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'IgmpEdmProtocolEnum' : _MetaInfoEnum('IgmpEdmProtocolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper',
        {
            'no-route':'no_route',
            'sm':'sm',
            'dm':'dm',
            'bidir':'bidir',
            'ssm':'ssm',
            'any':'any',
        }, 'Cisco-IOS-XR-ipv4-igmp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper']),
    'IgmpAfiEnum' : _MetaInfoEnum('IgmpAfiEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper',
        {
            'ipv4-unicast':'ipv4_unicast',
            'ipv6-unicast':'ipv6_unicast',
        }, 'Cisco-IOS-XR-ipv4-igmp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper']),
    'IgmpssmMapEnum' : _MetaInfoEnum('IgmpssmMapEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper',
        {
            'static':'static',
            'dns':'dns',
            'all':'all',
        }, 'Cisco-IOS-XR-ipv4-igmp-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper']),
    'Mld.Standby.Vrfs.Vrf.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.Groups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Vrfs' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs.Vrf', 
                [], [], 
                '''                VRF table Names
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process.AmtSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process.AmtSummary',
            False, 
            [
            _MetaInfoClassMember('anycast-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Robustness variable
                ''',
                'anycast_prefix',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AMT Gateway
                ''',
                'gateway_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-acl-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL configured under AMT
                ''',
                'is_acl_configured',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-gateway-simulation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Gateway Simulation
                ''',
                'is_gateway_simulation',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ou-of-resource', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Out Of Resource
                ''',
                'is_ou_of_resource',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('max-gateway', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Gateway allowed
                ''',
                'max_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertize AMT prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('relay-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertaisment for AMT Relay address
                ''',
                'relay_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type Of Service value in AMT header
                ''',
                'tos',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time To Live value in AMT header
                ''',
                'ttl',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-configured-maximum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel configured Maximum
                ''',
                'tunnel_configured_maximum',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel Count
                ''',
                'tunnel_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('collab-conv-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Collaborators convergence done
                ''',
                'collab_conv_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went down
                ''',
                'count_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went up
                ''',
                'count_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process came up
                ''',
                'last_proc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went down
                ''',
                'last_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went up
                ''',
                'last_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('partner-proc-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_proc_connected',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process.AmtGatewaies.AmtGateway' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process.AmtGatewaies.AmtGateway',
            False, 
            [
            _MetaInfoClassMember('amt-nonce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nonce
                ''',
                'amt_nonce',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Port
                ''',
                'amt_port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtgw', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                GW
                ''',
                'amtgw',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtnh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT NH
                ''',
                'amtnh',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Gateway Address
                ''',
                'gateway_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                IDB
                ''',
                'idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('key-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Len
                ''',
                'key_len',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdIn
                ''',
                'mem_upd_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdOut
                ''',
                'mem_upd_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Port
                ''',
                'port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gateway',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process.AmtGatewaies' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process.AmtGatewaies',
            False, 
            [
            _MetaInfoClassMember('amt-gateway', REFERENCE_LIST, 'AmtGateway' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process.AmtGatewaies.AmtGateway', 
                [], [], 
                '''                AMT Gateway DataBase information
                ''',
                'amt_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gatewaies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process.UnicastQosAdjustStats' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process.UnicastQosAdjustStats',
            False, 
            [
            _MetaInfoClassMember('add-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Add to batch count
                ''',
                'add_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Rate Batch count
                ''',
                'batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('delete-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Delete to batch count
                ''',
                'delete_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-qos-s-sweeped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is QOS Sweeped once 
                ''',
                'is_qos_s_sweeped',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync request received
                ''',
                'is_resync_received',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync required
                ''',
                'is_resync_required',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-start-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync Start message sent
                ''',
                'is_resync_start_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-download-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last download to QOS in
                seconds
                ''',
                'last_download_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-sweep-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last mark and sweep in
                seconds
                ''',
                'last_sweep_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('queues', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Queue count
                ''',
                'queues',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-resync-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Resync request received
                ''',
                'received_resync_requests',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-comm-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to comms count
                ''',
                'send_comm_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Send errors in batch
                ''',
                'send_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-partial-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to partial issue count
                ''',
                'send_partial_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Success count
                ''',
                'send_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sent-resync-bulks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bulks sent for last resync received
                ''',
                'sent_resync_bulks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'unicast-qos-adjust-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process.BviStatistics' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process.BviStatistics',
            False, 
            [
            _MetaInfoClassMember('null-buffer-handles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC NULL buffer handles
                ''',
                'null_buffer_handles',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers received
                ''',
                'receive_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers released
                ''',
                'release_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-fail-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers release failed
                ''',
                'release_fail_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages received
                ''',
                'rx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages received
                ''',
                'rx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-igmp-packet-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol messages received
                ''',
                'rx_igmp_packet_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-close-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC close notifications received
                ''',
                'rx_ipc_close_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-connect-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC connect notifications received
                ''',
                'rx_ipc_connect_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-error-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC error notifications received
                ''',
                'rx_ipc_error_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-input-wait-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC input waiting notifications
                received
                ''',
                'rx_ipc_input_wait_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-lwm-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC LWM notifications received
                ''',
                'rx_ipc_lwm_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-open-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC open notifications received
                ''',
                'rx_ipc_open_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-output-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC output notifications received
                ''',
                'rx_ipc_output_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-publish-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC publish notifications received
                ''',
                'rx_ipc_publish_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-q-full-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC queue full notifications received
                ''',
                'rx_ipc_q_full_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-send-status-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC send status notifications
                received
                ''',
                'rx_ipc_send_status_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'rx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages received
                ''',
                'rx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-blocks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers send blocked
                ''',
                'send_blocks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages transmitted
                ''',
                'tx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffer-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC transmission errors
                ''',
                'tx_buffer_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers transmited
                ''',
                'tx_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages
                transmitted
                ''',
                'tx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-mrouter-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter buffers transmitted
                ''',
                'tx_mrouter_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-protocol-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol buffers transmitted
                ''',
                'tx_protocol_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'tx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Unknown buffers transmited
                ''',
                'tx_unknown_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages
                transmitted
                ''',
                'tx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-dc', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped due to disconnect
                ''',
                'wtx_msg_drop_dc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-nomem', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped to memory
                ''',
                'wtx_msg_drop_nomem',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-freed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages freed
                ''',
                'wtx_msg_freed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-proto-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent to Protocol
                ''',
                'wtx_msg_proto_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages received
                ''',
                'wtx_msg_recvd',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent
                ''',
                'wtx_msg_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'bvi-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('is-multicast-nsf-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF active
                ''',
                'is_multicast_nsf_active',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time remaining in secs
                ''',
                'multicast_nsf_time_left',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in secs
                ''',
                'multicast_nsf_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.Process' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.Process',
            False, 
            [
            _MetaInfoClassMember('amt-gatewaies', REFERENCE_CLASS, 'AmtGatewaies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process.AmtGatewaies', 
                [], [], 
                '''                Table containing AMT Gateway DataBase
                information
                ''',
                'amt_gatewaies',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-summary', REFERENCE_CLASS, 'AmtSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process.AmtSummary', 
                [], [], 
                '''                MRIB RouteDB Expiry Information
                ''',
                'amt_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bvi-statistics', REFERENCE_CLASS, 'BviStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process.BviStatistics', 
                [], [], 
                '''                IGMP BVI Stats
                ''',
                'bvi_statistics',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process.Nsf', 
                [], [], 
                '''                NSF Information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unicast-qos-adjust-stats', REFERENCE_CLASS, 'UnicastQosAdjustStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process.UnicastQosAdjustStats', 
                [], [], 
                '''                IGMP Unicast-Qos-Adjust Statistics
                ''',
                'unicast_qos_adjust_stats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.Groups' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Mld.Standby.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Standby' : {
        'meta_info' : _MetaInfoClass('Mld.Standby',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.Groups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Vrfs' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs.Vrf', 
                [], [], 
                '''                VRF table Names
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process.AmtSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process.AmtSummary',
            False, 
            [
            _MetaInfoClassMember('anycast-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Robustness variable
                ''',
                'anycast_prefix',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AMT Gateway
                ''',
                'gateway_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-acl-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL configured under AMT
                ''',
                'is_acl_configured',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-gateway-simulation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Gateway Simulation
                ''',
                'is_gateway_simulation',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ou-of-resource', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Out Of Resource
                ''',
                'is_ou_of_resource',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('max-gateway', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Gateway allowed
                ''',
                'max_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertize AMT prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('relay-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertaisment for AMT Relay address
                ''',
                'relay_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type Of Service value in AMT header
                ''',
                'tos',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time To Live value in AMT header
                ''',
                'ttl',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-configured-maximum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel configured Maximum
                ''',
                'tunnel_configured_maximum',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel Count
                ''',
                'tunnel_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('collab-conv-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Collaborators convergence done
                ''',
                'collab_conv_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went down
                ''',
                'count_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went up
                ''',
                'count_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process came up
                ''',
                'last_proc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went down
                ''',
                'last_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went up
                ''',
                'last_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('partner-proc-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_proc_connected',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process.AmtGatewaies.AmtGateway' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process.AmtGatewaies.AmtGateway',
            False, 
            [
            _MetaInfoClassMember('amt-nonce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nonce
                ''',
                'amt_nonce',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Port
                ''',
                'amt_port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtgw', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                GW
                ''',
                'amtgw',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtnh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT NH
                ''',
                'amtnh',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Gateway Address
                ''',
                'gateway_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                IDB
                ''',
                'idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('key-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Len
                ''',
                'key_len',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdIn
                ''',
                'mem_upd_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdOut
                ''',
                'mem_upd_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Port
                ''',
                'port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gateway',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process.AmtGatewaies' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process.AmtGatewaies',
            False, 
            [
            _MetaInfoClassMember('amt-gateway', REFERENCE_LIST, 'AmtGateway' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process.AmtGatewaies.AmtGateway', 
                [], [], 
                '''                AMT Gateway DataBase information
                ''',
                'amt_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gatewaies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process.UnicastQosAdjustStats' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process.UnicastQosAdjustStats',
            False, 
            [
            _MetaInfoClassMember('add-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Add to batch count
                ''',
                'add_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Rate Batch count
                ''',
                'batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('delete-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Delete to batch count
                ''',
                'delete_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-qos-s-sweeped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is QOS Sweeped once 
                ''',
                'is_qos_s_sweeped',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync request received
                ''',
                'is_resync_received',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync required
                ''',
                'is_resync_required',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-start-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync Start message sent
                ''',
                'is_resync_start_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-download-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last download to QOS in
                seconds
                ''',
                'last_download_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-sweep-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last mark and sweep in
                seconds
                ''',
                'last_sweep_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('queues', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Queue count
                ''',
                'queues',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-resync-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Resync request received
                ''',
                'received_resync_requests',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-comm-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to comms count
                ''',
                'send_comm_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Send errors in batch
                ''',
                'send_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-partial-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to partial issue count
                ''',
                'send_partial_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Success count
                ''',
                'send_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sent-resync-bulks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bulks sent for last resync received
                ''',
                'sent_resync_bulks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'unicast-qos-adjust-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process.BviStatistics' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process.BviStatistics',
            False, 
            [
            _MetaInfoClassMember('null-buffer-handles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC NULL buffer handles
                ''',
                'null_buffer_handles',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers received
                ''',
                'receive_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers released
                ''',
                'release_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-fail-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers release failed
                ''',
                'release_fail_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages received
                ''',
                'rx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages received
                ''',
                'rx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-igmp-packet-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol messages received
                ''',
                'rx_igmp_packet_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-close-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC close notifications received
                ''',
                'rx_ipc_close_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-connect-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC connect notifications received
                ''',
                'rx_ipc_connect_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-error-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC error notifications received
                ''',
                'rx_ipc_error_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-input-wait-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC input waiting notifications
                received
                ''',
                'rx_ipc_input_wait_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-lwm-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC LWM notifications received
                ''',
                'rx_ipc_lwm_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-open-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC open notifications received
                ''',
                'rx_ipc_open_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-output-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC output notifications received
                ''',
                'rx_ipc_output_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-publish-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC publish notifications received
                ''',
                'rx_ipc_publish_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-q-full-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC queue full notifications received
                ''',
                'rx_ipc_q_full_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-send-status-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC send status notifications
                received
                ''',
                'rx_ipc_send_status_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'rx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages received
                ''',
                'rx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-blocks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers send blocked
                ''',
                'send_blocks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages transmitted
                ''',
                'tx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffer-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC transmission errors
                ''',
                'tx_buffer_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers transmited
                ''',
                'tx_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages
                transmitted
                ''',
                'tx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-mrouter-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter buffers transmitted
                ''',
                'tx_mrouter_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-protocol-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol buffers transmitted
                ''',
                'tx_protocol_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'tx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Unknown buffers transmited
                ''',
                'tx_unknown_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages
                transmitted
                ''',
                'tx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-dc', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped due to disconnect
                ''',
                'wtx_msg_drop_dc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-nomem', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped to memory
                ''',
                'wtx_msg_drop_nomem',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-freed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages freed
                ''',
                'wtx_msg_freed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-proto-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent to Protocol
                ''',
                'wtx_msg_proto_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages received
                ''',
                'wtx_msg_recvd',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent
                ''',
                'wtx_msg_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'bvi-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('is-multicast-nsf-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF active
                ''',
                'is_multicast_nsf_active',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time remaining in secs
                ''',
                'multicast_nsf_time_left',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in secs
                ''',
                'multicast_nsf_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.Process' : {
        'meta_info' : _MetaInfoClass('Mld.Active.Process',
            False, 
            [
            _MetaInfoClassMember('amt-gatewaies', REFERENCE_CLASS, 'AmtGatewaies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process.AmtGatewaies', 
                [], [], 
                '''                Table containing AMT Gateway DataBase
                information
                ''',
                'amt_gatewaies',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-summary', REFERENCE_CLASS, 'AmtSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process.AmtSummary', 
                [], [], 
                '''                MRIB RouteDB Expiry Information
                ''',
                'amt_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bvi-statistics', REFERENCE_CLASS, 'BviStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process.BviStatistics', 
                [], [], 
                '''                IGMP BVI Stats
                ''',
                'bvi_statistics',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process.Nsf', 
                [], [], 
                '''                NSF Information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unicast-qos-adjust-stats', REFERENCE_CLASS, 'UnicastQosAdjustStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process.UnicastQosAdjustStats', 
                [], [], 
                '''                IGMP Unicast-Qos-Adjust Statistics
                ''',
                'unicast_qos_adjust_stats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.Groups' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Mld.Active.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld.Active' : {
        'meta_info' : _MetaInfoClass('Mld.Active',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Mld' : {
        'meta_info' : _MetaInfoClass('Mld',
            False, 
            [
            _MetaInfoClassMember('active', REFERENCE_CLASS, 'Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Active', 
                [], [], 
                '''                Active Process
                ''',
                'active',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Mld.Standby', 
                [], [], 
                '''                Standby Process
                ''',
                'standby',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'mld',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.Groups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Vrfs' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs.Vrf', 
                [], [], 
                '''                VRF table Names
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process.AmtSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process.AmtSummary',
            False, 
            [
            _MetaInfoClassMember('anycast-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Robustness variable
                ''',
                'anycast_prefix',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AMT Gateway
                ''',
                'gateway_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-acl-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL configured under AMT
                ''',
                'is_acl_configured',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-gateway-simulation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Gateway Simulation
                ''',
                'is_gateway_simulation',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ou-of-resource', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Out Of Resource
                ''',
                'is_ou_of_resource',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('max-gateway', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Gateway allowed
                ''',
                'max_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertize AMT prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('relay-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertaisment for AMT Relay address
                ''',
                'relay_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type Of Service value in AMT header
                ''',
                'tos',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time To Live value in AMT header
                ''',
                'ttl',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-configured-maximum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel configured Maximum
                ''',
                'tunnel_configured_maximum',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel Count
                ''',
                'tunnel_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('collab-conv-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Collaborators convergence done
                ''',
                'collab_conv_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went down
                ''',
                'count_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went up
                ''',
                'count_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process came up
                ''',
                'last_proc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went down
                ''',
                'last_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went up
                ''',
                'last_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('partner-proc-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_proc_connected',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process.AmtGatewaies.AmtGateway' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process.AmtGatewaies.AmtGateway',
            False, 
            [
            _MetaInfoClassMember('amt-nonce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nonce
                ''',
                'amt_nonce',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Port
                ''',
                'amt_port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtgw', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                GW
                ''',
                'amtgw',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtnh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT NH
                ''',
                'amtnh',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Gateway Address
                ''',
                'gateway_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                IDB
                ''',
                'idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('key-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Len
                ''',
                'key_len',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdIn
                ''',
                'mem_upd_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdOut
                ''',
                'mem_upd_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Port
                ''',
                'port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gateway',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process.AmtGatewaies' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process.AmtGatewaies',
            False, 
            [
            _MetaInfoClassMember('amt-gateway', REFERENCE_LIST, 'AmtGateway' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process.AmtGatewaies.AmtGateway', 
                [], [], 
                '''                AMT Gateway DataBase information
                ''',
                'amt_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gatewaies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process.UnicastQosAdjustStats' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process.UnicastQosAdjustStats',
            False, 
            [
            _MetaInfoClassMember('add-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Add to batch count
                ''',
                'add_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Rate Batch count
                ''',
                'batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('delete-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Delete to batch count
                ''',
                'delete_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-qos-s-sweeped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is QOS Sweeped once 
                ''',
                'is_qos_s_sweeped',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync request received
                ''',
                'is_resync_received',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync required
                ''',
                'is_resync_required',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-start-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync Start message sent
                ''',
                'is_resync_start_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-download-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last download to QOS in
                seconds
                ''',
                'last_download_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-sweep-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last mark and sweep in
                seconds
                ''',
                'last_sweep_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('queues', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Queue count
                ''',
                'queues',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-resync-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Resync request received
                ''',
                'received_resync_requests',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-comm-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to comms count
                ''',
                'send_comm_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Send errors in batch
                ''',
                'send_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-partial-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to partial issue count
                ''',
                'send_partial_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Success count
                ''',
                'send_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sent-resync-bulks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bulks sent for last resync received
                ''',
                'sent_resync_bulks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'unicast-qos-adjust-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process.BviStatistics' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process.BviStatistics',
            False, 
            [
            _MetaInfoClassMember('null-buffer-handles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC NULL buffer handles
                ''',
                'null_buffer_handles',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers received
                ''',
                'receive_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers released
                ''',
                'release_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-fail-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers release failed
                ''',
                'release_fail_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages received
                ''',
                'rx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages received
                ''',
                'rx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-igmp-packet-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol messages received
                ''',
                'rx_igmp_packet_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-close-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC close notifications received
                ''',
                'rx_ipc_close_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-connect-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC connect notifications received
                ''',
                'rx_ipc_connect_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-error-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC error notifications received
                ''',
                'rx_ipc_error_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-input-wait-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC input waiting notifications
                received
                ''',
                'rx_ipc_input_wait_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-lwm-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC LWM notifications received
                ''',
                'rx_ipc_lwm_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-open-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC open notifications received
                ''',
                'rx_ipc_open_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-output-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC output notifications received
                ''',
                'rx_ipc_output_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-publish-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC publish notifications received
                ''',
                'rx_ipc_publish_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-q-full-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC queue full notifications received
                ''',
                'rx_ipc_q_full_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-send-status-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC send status notifications
                received
                ''',
                'rx_ipc_send_status_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'rx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages received
                ''',
                'rx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-blocks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers send blocked
                ''',
                'send_blocks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages transmitted
                ''',
                'tx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffer-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC transmission errors
                ''',
                'tx_buffer_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers transmited
                ''',
                'tx_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages
                transmitted
                ''',
                'tx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-mrouter-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter buffers transmitted
                ''',
                'tx_mrouter_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-protocol-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol buffers transmitted
                ''',
                'tx_protocol_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'tx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Unknown buffers transmited
                ''',
                'tx_unknown_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages
                transmitted
                ''',
                'tx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-dc', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped due to disconnect
                ''',
                'wtx_msg_drop_dc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-nomem', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped to memory
                ''',
                'wtx_msg_drop_nomem',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-freed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages freed
                ''',
                'wtx_msg_freed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-proto-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent to Protocol
                ''',
                'wtx_msg_proto_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages received
                ''',
                'wtx_msg_recvd',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent
                ''',
                'wtx_msg_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'bvi-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('is-multicast-nsf-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF active
                ''',
                'is_multicast_nsf_active',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time remaining in secs
                ''',
                'multicast_nsf_time_left',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in secs
                ''',
                'multicast_nsf_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.Process' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.Process',
            False, 
            [
            _MetaInfoClassMember('amt-gatewaies', REFERENCE_CLASS, 'AmtGatewaies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process.AmtGatewaies', 
                [], [], 
                '''                Table containing AMT Gateway DataBase
                information
                ''',
                'amt_gatewaies',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-summary', REFERENCE_CLASS, 'AmtSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process.AmtSummary', 
                [], [], 
                '''                MRIB RouteDB Expiry Information
                ''',
                'amt_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bvi-statistics', REFERENCE_CLASS, 'BviStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process.BviStatistics', 
                [], [], 
                '''                IGMP BVI Stats
                ''',
                'bvi_statistics',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process.Nsf', 
                [], [], 
                '''                NSF Information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unicast-qos-adjust-stats', REFERENCE_CLASS, 'UnicastQosAdjustStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process.UnicastQosAdjustStats', 
                [], [], 
                '''                IGMP Unicast-Qos-Adjust Statistics
                ''',
                'unicast_qos_adjust_stats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.Groups' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Standby' : {
        'meta_info' : _MetaInfoClass('Igmp.Standby',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'standby',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Summary' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Ranges' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.Groups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [(1, 32)], [], 
                '''                VRF name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Vrfs' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs.Vrf', 
                [], [], 
                '''                VRF table Names
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process.AmtSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process.AmtSummary',
            False, 
            [
            _MetaInfoClassMember('anycast-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Robustness variable
                ''',
                'anycast_prefix',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AMT Gateway
                ''',
                'gateway_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-acl-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                ACL configured under AMT
                ''',
                'is_acl_configured',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-gateway-simulation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Gateway Simulation
                ''',
                'is_gateway_simulation',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ou-of-resource', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                AMT Out Of Resource
                ''',
                'is_ou_of_resource',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('max-gateway', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum Gateway allowed
                ''',
                'max_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Advertize AMT prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('relay-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertaisment for AMT Relay address
                ''',
                'relay_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type Of Service value in AMT header
                ''',
                'tos',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ttl', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time To Live value in AMT header
                ''',
                'ttl',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-configured-maximum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel configured Maximum
                ''',
                'tunnel_configured_maximum',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT Tunnel Count
                ''',
                'tunnel_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process.Nsr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process.Nsr',
            False, 
            [
            _MetaInfoClassMember('collab-conv-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Collaborators convergence done
                ''',
                'collab_conv_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went down
                ''',
                'count_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times process connection went up
                ''',
                'count_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Not Ready notif was sent
                ''',
                'count_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('count-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of times RMF Ready notif was sent
                ''',
                'count_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process came up
                ''',
                'last_proc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-dn', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went down
                ''',
                'last_proc_connection_dn',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-proc-connection-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when process connection went up
                ''',
                'last_proc_connection_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-not-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Not-Rdy notif was sent
                ''',
                'last_rmf_not_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-rmf-ready', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time when RMF Rdy notif was sent
                ''',
                'last_rmf_ready',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('partner-proc-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Partner process connected
                ''',
                'partner_proc_connected',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rmf-notification-done', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                RMF Notification done
                ''',
                'rmf_notification_done',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                NSR state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process.AmtGatewaies.AmtGateway' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process.AmtGatewaies.AmtGateway',
            False, 
            [
            _MetaInfoClassMember('amt-nonce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nonce
                ''',
                'amt_nonce',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-port', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Port
                ''',
                'amt_port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtgw', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                GW
                ''',
                'amtgw',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amtnh', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AMT NH
                ''',
                'amtnh',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('gateway-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Gateway Address
                ''',
                'gateway_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('gateway-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Gateway Address
                        ''',
                        'gateway_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                IDB
                ''',
                'idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('key-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Len
                ''',
                'key_len',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdIn
                ''',
                'mem_upd_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mem-upd-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                UpdOut
                ''',
                'mem_upd_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('port', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Port
                ''',
                'port',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gateway',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process.AmtGatewaies' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process.AmtGatewaies',
            False, 
            [
            _MetaInfoClassMember('amt-gateway', REFERENCE_LIST, 'AmtGateway' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process.AmtGatewaies.AmtGateway', 
                [], [], 
                '''                AMT Gateway DataBase information
                ''',
                'amt_gateway',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'amt-gatewaies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process.UnicastQosAdjustStats' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process.UnicastQosAdjustStats',
            False, 
            [
            _MetaInfoClassMember('add-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Add to batch count
                ''',
                'add_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Rate Batch count
                ''',
                'batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('delete-to-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Delete to batch count
                ''',
                'delete_to_batches',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-qos-s-sweeped', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is QOS Sweeped once 
                ''',
                'is_qos_s_sweeped',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-received', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync request received
                ''',
                'is_resync_received',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync required
                ''',
                'is_resync_required',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-resync-start-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Resync Start message sent
                ''',
                'is_resync_start_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-download-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last download to QOS in
                seconds
                ''',
                'last_download_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-sweep-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time elapsed since Last mark and sweep in
                seconds
                ''',
                'last_sweep_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('queues', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                I2Q Queue count
                ''',
                'queues',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-resync-requests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Resync request received
                ''',
                'received_resync_requests',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-comm-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to comms count
                ''',
                'send_comm_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Send errors in batch
                ''',
                'send_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-partial-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Error due to partial issue count
                ''',
                'send_partial_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Send Success count
                ''',
                'send_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sent-resync-bulks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of bulks sent for last resync received
                ''',
                'sent_resync_bulks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'unicast-qos-adjust-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process.BviStatistics' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process.BviStatistics',
            False, 
            [
            _MetaInfoClassMember('null-buffer-handles', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC NULL buffer handles
                ''',
                'null_buffer_handles',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers received
                ''',
                'receive_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers released
                ''',
                'release_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('release-fail-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers release failed
                ''',
                'release_fail_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages received
                ''',
                'rx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages received
                ''',
                'rx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-igmp-packet-success', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol messages received
                ''',
                'rx_igmp_packet_success',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-close-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC close notifications received
                ''',
                'rx_ipc_close_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-connect-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC connect notifications received
                ''',
                'rx_ipc_connect_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-error-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC error notifications received
                ''',
                'rx_ipc_error_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-input-wait-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC input waiting notifications
                received
                ''',
                'rx_ipc_input_wait_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-lwm-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC LWM notifications received
                ''',
                'rx_ipc_lwm_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-open-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC open notifications received
                ''',
                'rx_ipc_open_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-output-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC output notifications received
                ''',
                'rx_ipc_output_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-publish-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC publish notifications received
                ''',
                'rx_ipc_publish_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-q-full-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC queue full notifications received
                ''',
                'rx_ipc_q_full_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-ipc-send-status-notif', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC send status notifications
                received
                ''',
                'rx_ipc_send_status_notif',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'rx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages received
                ''',
                'rx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('send-blocks', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers send blocked
                ''',
                'send_blocks',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-add-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Add messages transmitted
                ''',
                'tx_add_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffer-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC transmission errors
                ''',
                'tx_buffer_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AIPC buffers transmited
                ''',
                'tx_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-delete-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Delete messages
                transmitted
                ''',
                'tx_delete_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-mrouter-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter buffers transmitted
                ''',
                'tx_mrouter_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-protocol-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP protocol buffers transmitted
                ''',
                'tx_protocol_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-sweep-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Sweep messages received
                ''',
                'tx_sweep_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-buffers', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Unknown buffers transmited
                ''',
                'tx_unknown_buffers',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tx-unknown-mrouter-msg', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IGMP Mrouter Unknown messages
                transmitted
                ''',
                'tx_unknown_mrouter_msg',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-dc', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped due to disconnect
                ''',
                'wtx_msg_drop_dc',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-drop-nomem', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages dropped to memory
                ''',
                'wtx_msg_drop_nomem',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-freed', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages freed
                ''',
                'wtx_msg_freed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-proto-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent to Protocol
                ''',
                'wtx_msg_proto_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-recvd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages received
                ''',
                'wtx_msg_recvd',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('wtx-msg-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of WTX messages sent
                ''',
                'wtx_msg_sent',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'bvi-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process.Nsf' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process.Nsf',
            False, 
            [
            _MetaInfoClassMember('is-multicast-nsf-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Multicast NSF active
                ''',
                'is_multicast_nsf_active',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last ICD Notif Recv
                ''',
                'last_icd_notif_recv',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-icd-notif-recv-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last ICD Notif Recv in Seconds
                ''',
                'last_icd_notif_recv_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time off
                ''',
                'last_nsf_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-off-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time OFF in Seconds
                ''',
                'last_nsf_off_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on', ATTRIBUTE, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Last NSF time ON
                ''',
                'last_nsf_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-nsf-on-min', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Last NSF time ON in Seconds
                ''',
                'last_nsf_on_min',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-time-left', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF time remaining in secs
                ''',
                'multicast_nsf_time_left',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('multicast-nsf-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Multicast NSF timeout in secs
                ''',
                'multicast_nsf_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('respawn-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Respawn Count
                ''',
                'respawn_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'nsf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.Process' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.Process',
            False, 
            [
            _MetaInfoClassMember('amt-gatewaies', REFERENCE_CLASS, 'AmtGatewaies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process.AmtGatewaies', 
                [], [], 
                '''                Table containing AMT Gateway DataBase
                information
                ''',
                'amt_gatewaies',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('amt-summary', REFERENCE_CLASS, 'AmtSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process.AmtSummary', 
                [], [], 
                '''                MRIB RouteDB Expiry Information
                ''',
                'amt_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bvi-statistics', REFERENCE_CLASS, 'BviStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process.BviStatistics', 
                [], [], 
                '''                IGMP BVI Stats
                ''',
                'bvi_statistics',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsf', REFERENCE_CLASS, 'Nsf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process.Nsf', 
                [], [], 
                '''                NSF Information
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('nsr', REFERENCE_CLASS, 'Nsr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process.Nsr', 
                [], [], 
                '''                NSR Information
                ''',
                'nsr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unicast-qos-adjust-stats', REFERENCE_CLASS, 'UnicastQosAdjustStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process.UnicastQosAdjustStats', 
                [], [], 
                '''                IGMP Unicast-Qos-Adjust Statistics
                ''',
                'unicast_qos_adjust_stats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Summary.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Summary.Interface',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted per interface
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted per interface
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('on-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Enabled/Disabled
                ''',
                'on_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent if handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Summary' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Summary',
            False, 
            [
            _MetaInfoClassMember('disabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of disabled interfaces
                ''',
                'disabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('enabled-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of enabled interfaces
                ''',
                'enabled_interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum groups accepted
                ''',
                'group_limit',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Summary.Interface', 
                [], [], 
                '''                Maximum and current groups accepted for each
                interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-disabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is maximum enforcement disabled
                ''',
                'is_disabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('node-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is node in low memory condition
                ''',
                'node_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness variable
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('supported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of supported interfaces
                ''',
                'supported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('tunnel-mte-config-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of static group commands
                ''',
                'tunnel_mte_config_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('unsupported-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of unsupported interfaces
                ''',
                'unsupported_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-state-on', REFERENCE_LIST, 'InterfaceStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('flags', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Source flags
                ''',
                'flags',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-forward', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we forward on this entry
                ''',
                'is_forward',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-local', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a local source
                ''',
                'is_local',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-remote', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a remote source
                ''',
                'is_remote',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-we-report', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Should we report the source
                ''',
                'is_we_report',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups.DetailGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups.DetailGroup',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-host-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group host filter mode
                ''',
                'is_host_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-exclude-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Group router filter mode
                ''',
                'is_router_exclude_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source', REFERENCE_LIST, 'Source' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source', 
                [], [], 
                '''                List of sources
                ''',
                'source',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.DetailGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.DetailGroups',
            False, 
            [
            _MetaInfoClassMember('detail-group', REFERENCE_LIST, 'DetailGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups.DetailGroup', 
                [], [], 
                '''                IGMP Detail Group Entry Information
                ''',
                'detail_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'detail-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress', 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface', ATTRIBUTE, 'str' , None, None, 
                [(0, 65)], [], 
                '''                Interface Name
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('reason-for-non-activity', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                Reason for group join not being processed
                ''',
                'reason_for_non_activity',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.NonActiveGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.NonActiveGroups',
            False, 
            [
            _MetaInfoClassMember('non-active-groups', REFERENCE_LIST, 'NonActiveGroups_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_', 
                [], [], 
                '''                List of non-active groups
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'non-active-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMaps.SsmMap' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMaps.SsmMap',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMaps' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMaps',
            False, 
            [
            _MetaInfoClassMember('ssm-map', REFERENCE_LIST, 'SsmMap' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMaps.SsmMap', 
                [], [], 
                '''                SSM Map information
                ''',
                'ssm_map',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-maps',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address', 
                [], [], 
                '''                Host Address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-exclude', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Exclude flag set
                ''',
                'is_exclude',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_LIST, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress', 
                [], [], 
                '''                First 3 source addresses
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=3),
            _MetaInfoClassMember('source-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of sources in entry
                ''',
                'source_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'host',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup',
            False, 
            [
            _MetaInfoClassMember('exclude-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are excluded
                ''',
                'exclude_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-info', REFERENCE_CLASS, 'GroupInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo', 
                [], [], 
                '''                Basic Group information
                ''',
                'group_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host', REFERENCE_LIST, 'Host' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host', 
                [], [], 
                '''                List of hosts
                ''',
                'host',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('include-hosts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of hosts who are included
                ''',
                'include_hosts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Source/Host Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('source-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Source/Host Address
                        ''',
                        'source_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.ExplicitGroups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.ExplicitGroups',
            False, 
            [
            _MetaInfoClassMember('explicit-group', REFERENCE_LIST, 'ExplicitGroup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup', 
                [], [], 
                '''                IGMP Explicit Group Entry Information
                ''',
                'explicit_group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'explicit-groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-old-format', REFERENCE_LIST, 'InterfaceOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-format',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffOldFormats',
            False, 
            [
            _MetaInfoClassMember('interface-state-off-old-format', REFERENCE_LIST, 'InterfaceStateOffOldFormat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off_old_format',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off-old-formats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_CLASS, 'GroupAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress', 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-add', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is this a rate increment
                ''',
                'is_add',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('received-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Time this update is received
                ''',
                'received_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress', 
                [], [], 
                '''                Source address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('weight', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Weight from policy
                ''',
                'weight',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'update',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('is-virtual-access', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is VirtualAccess Interface
                ''',
                'is_virtual_access',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Overall rate in Kbps
                ''',
                'rate',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-decrements', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate decrements
                ''',
                'rate_decrements',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('rate-increments', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of rate increments
                ''',
                'rate_increments',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('update', REFERENCE_LIST, 'Update' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update', 
                [], [], 
                '''                List of updates
                ''',
                'update',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjust',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts',
            False, 
            [
            _MetaInfoClassMember('interface-unicast-qos-adjust', REFERENCE_LIST, 'InterfaceUnicastQosAdjust' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_unicast_qos_adjust',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-unicast-qos-adjusts',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Ranges.Range.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Ranges.Range.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Ranges.Range' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Ranges.Range',
            False, 
            [
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Ranges.Range.GroupAddressXr', 
                [], [], 
                '''                Group address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-mask', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Group Mask
                ''',
                'group_mask',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-stale', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is the entry stale
                ''',
                'is_stale',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('protocol', REFERENCE_ENUM_CLASS, 'IgmpEdmProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpEdmProtocolEnum', 
                [], [], 
                '''                Protocol
                ''',
                'protocol',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Ranges' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Ranges',
            False, 
            [
            _MetaInfoClassMember('range', REFERENCE_LIST, 'Range' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Ranges.Range', 
                [], [], 
                '''                Range information
                ''',
                'range',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ranges',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry',
            False, 
            [
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp-interface-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                IFRS Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('igmp-interface-entry', REFERENCE_CLASS, 'IgmpInterfaceEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry', 
                [], [], 
                '''                IGMP interface entry
                ''',
                'igmp_interface_entry',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('join-group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Join group count
                ''',
                'join_group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.IfrsInterfaces' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.IfrsInterfaces',
            False, 
            [
            _MetaInfoClassMember('ifrs-interface', REFERENCE_LIST, 'IfrsInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface', 
                [], [], 
                '''                IGMP IFRS Interface
                ''',
                'ifrs_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.TrafficCounters' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.TrafficCounters',
            False, 
            [
            _MetaInfoClassMember('auxillary-data-length-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AuxDataLen errors
                ''',
                'auxillary_data_length_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('bad-scope-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BadScope errors
                ''',
                'bad_scope_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('checksum-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Checksum errors
                ''',
                'checksum_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Running time for counters
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('format-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Malformed packets in
                ''',
                'format_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('get-packet-failure', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet get failed
                ''',
                'get_packet_failure',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-disabled-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packet received on disabled idb
                ''',
                'input_disabled_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets in
                ''',
                'input_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves in
                ''',
                'input_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-martian-address', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with Martian Address
                ''',
                'input_martian_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets in
                ''',
                'input_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-assigned-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received with no assigned vrf id
                ''',
                'input_no_assigned_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received without idb
                ''',
                'input_no_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-platform-support-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets without platform support
                ''',
                'input_no_platform_support_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-in-idb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets received on idb without VRF
                ''',
                'input_no_vrf_in_idb',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-no-vrf-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                mtrace packets with no vrf associated
                ''',
                'input_no_vrf_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets in
                ''',
                'input_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets in
                ''',
                'input_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('input-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports in
                ''',
                'input_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('invalid-source-address-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Invalid Source Address errors
                ''',
                'invalid_source_address_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('miscellaneous-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped for other reasons
                ''',
                'miscellaneous_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('no-socket-connection', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets dropped since no socket connection
                ''',
                'no_socket_connection',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-dvmrp', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                DVMRP packets out
                ''',
                'output_dvmrp',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Leaves out
                ''',
                'output_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-mtrace', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Mtrace packets out
                ''',
                'output_mtrace',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-no-parent-interface-handle', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Failures setting 2nd ifhandle
                ''',
                'output_no_parent_interface_handle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-pim', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PIM packets out
                ''',
                'output_pim',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-queries', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query packets out
                ''',
                'output_queries',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('output-reports', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Reports out
                ''',
                'output_reports',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-input-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Incoming Packet Manager packets dropped
                ''',
                'packet_manager_input_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packet-manager-output-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Outgoing Packet Manager packets dropped
                ''',
                'packet_manager_output_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-in', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets in
                ''',
                'packets_in',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('packets-out', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Packets out
                ''',
                'packets_out',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('receive-socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on reception
                ''',
                'receive_socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('socket-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Socket errors on send
                ''',
                'socket_errors',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'traffic-counters',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Groups.Group.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Groups.Group.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Groups.Group.LastReporter' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Groups.Group.LastReporter',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'last-reporter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Groups.Group.SourceAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Groups.Group.SourceAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'source-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Groups.Group' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Groups.Group',
            False, 
            [
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Expiration time in seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-tracking-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is explicit tracking enabled
                ''',
                'explicit_tracking_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group Address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group Address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Groups.Group.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-added', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Joined
                ''',
                'is_added',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-self-join', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If local system is member of this group on this
                interface
                ''',
                'is_self_join',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-suppressed', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Suppressed
                ''',
                'is_suppressed',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-reporter', REFERENCE_CLASS, 'LastReporter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Groups.Group.LastReporter', 
                [], [], 
                '''                Last reporter address
                ''',
                'last_reporter',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version1-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion1timer
                ''',
                'older_host_version1_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('older-host-version2-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IGMP Hostversion2timer
                ''',
                'older_host_version2_timer',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-filter-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Filter mode
                ''',
                'router_filter_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('row-status', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                interface on or off for the group
                ''',
                'row_status',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-address', REFERENCE_CLASS, 'SourceAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Groups.Group.SourceAddress', 
                [], [], 
                '''                Source Address
                ''',
                'source_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Uptime in seconds
                ''',
                'uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.Groups' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.Groups',
            False, 
            [
            _MetaInfoClassMember('group', REFERENCE_LIST, 'Group' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Groups.Group', 
                [], [], 
                '''                IGMP Group Entry Information
                ''',
                'group',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'groups',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.GroupSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.GroupSummary',
            False, 
            [
            _MetaInfoClassMember('group-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current groups accepted
                ''',
                'group_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groutes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (*,G) routes
                ''',
                'groutes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-low-memory', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node is running low on memory
                ''',
                'is_low_memory',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sg-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of (S,G) routes
                ''',
                'sg_routes',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.IfrsInterfaceSummary' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.IfrsInterfaceSummary',
            False, 
            [
            _MetaInfoClassMember('configuration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configuration count
                ''',
                'configuration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Count
                ''',
                'interface_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ifrs-interface-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.GlobalInterfaceTable' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.GlobalInterfaceTable',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'global-interface-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'group-address-xr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo',
            False, 
            [
            _MetaInfoClassMember('group-address-xr', REFERENCE_CLASS, 'GroupAddressXr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr', 
                [], [], 
                '''                Group Address
                ''',
                'group_address_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('map-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Map Type of group
                ''',
                'map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('source-counts', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Count of Sources
                ''',
                'source_counts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'map-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'sources',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail',
            False, 
            [
            _MetaInfoClassMember('elapsed-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Elapsed time
                ''',
                'elapsed_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('expiration-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Expiration Time in Seconds
                ''',
                'expiration_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-address', REFERENCE_UNION, 'str' , None, None, 
                [], [], 
                '''                Group address
                ''',
                'group_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False, [
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                    _MetaInfoClassMember('group-address', ATTRIBUTE, 'str' , None, None, 
                        [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                        '''                        Group address
                        ''',
                        'group_address',
                        'Cisco-IOS-XR-ipv4-igmp-oper', False),
                ]),
            _MetaInfoClassMember('map-info', REFERENCE_CLASS, 'MapInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo', 
                [], [], 
                '''                Basic Map Info
                ''',
                'map_info',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Query interval
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('response-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Response Pending
                ''',
                'response_pending',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('sources', REFERENCE_LIST, 'Sources' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources', 
                [], [], 
                '''                List of sources
                ''',
                'sources',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-type', REFERENCE_ENUM_CLASS, 'IgmpssmMapEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpssmMapEnum', 
                [], [], 
                '''                SSM Map Type
                ''',
                'ssm_map_type',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.SsmMapDetails' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.SsmMapDetails',
            False, 
            [
            _MetaInfoClassMember('ssm-map-detail', REFERENCE_LIST, 'SsmMapDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail', 
                [], [], 
                '''                SSM Map Detail Table information
                ''',
                'ssm_map_detail',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'ssm-map-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-off',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceStateOffs' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceStateOffs',
            False, 
            [
            _MetaInfoClassMember('interface-state-off', REFERENCE_LIST, 'InterfaceStateOff' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_state_off',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-state-offs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'querier-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress',
            False, 
            [
            _MetaInfoClassMember('af-name', REFERENCE_ENUM_CLASS, 'IgmpAfiEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'IgmpAfiEnum', 
                [], [], 
                '''                AFName
                ''',
                'af_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv4-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4 Addr
                ''',
                'ipv4_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ipv6-address', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPV6 Addr
                ''',
                'ipv6_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'subscriber-address',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface Name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-igmp-oper', True),
            _MetaInfoClassMember('address', REFERENCE_CLASS, 'Address' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address', 
                [], [], 
                '''                IP address
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast error
                ''',
                'configuration_mcast_vrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configuration-mcast-vrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is mcast set
                ''',
                'configuration_mcast_vrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-error', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf error
                ''',
                'configurationvrf_error',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('configurationvrf-set', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG vrf set
                ''',
                'configurationvrf_set',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-joins', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group joins
                ''',
                'group_joins',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-leaves', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                No. of group leaves
                ''',
                'group_leaves',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('host-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Host version
                ''',
                'host_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('igmp-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                IGMP Router version
                ''',
                'igmp_version',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-configurationverify', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                CFG verify
                ''',
                'is_configurationverify',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-identity-present', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber ID or Address available from AAA
                ''',
                'is_identity_present',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-im-state-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Im state registered
                ''',
                'is_im_state_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-interface-up', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is interface up
                ''',
                'is_interface_up',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-ip-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is IP enabled
                ''',
                'is_ip_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS registered
                ''',
                'is_las_registered',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-las-request', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LAS req
                ''',
                'is_las_request',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-querier', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Are we querier
                ''',
                'is_querier',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-router-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Is Router functionality enabled
                ''',
                'is_router_enabled',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('is-subscriber', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Subscriber interface
                ''',
                'is_subscriber',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-get-address-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS get addr count
                ''',
                'las_get_address_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-add-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL add update count
                ''',
                'las_ll_add_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-registration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS reg count
                ''',
                'las_ll_registration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-ll-remove-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS LL remove update count
                ''',
                'las_ll_remove_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-null-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Null update count
                ''',
                'las_null_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-unregistration-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS unreg count
                ''',
                'las_unregistration_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('las-update-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LAS Update count
                ''',
                'las_update_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('last-member-query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Last Member Query Interval
                ''',
                'last_member_query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('location', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Location
                ''',
                'location',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-tuple-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE Tuple count
                ''',
                'mte_tuple_count',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mte-vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTE VRF id
                ''',
                'mte_vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MTU
                ''',
                'mtu',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('parent-ifhandle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Parent If Handle
                ''',
                'parent_ifhandle',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('proxy-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Proxy interface index
                ''',
                'proxy_interface',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-address', REFERENCE_CLASS, 'QuerierAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress', 
                [], [], 
                '''                Address of the Querier
                ''',
                'querier_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('querier-uptime', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Time since the last querier took over
                ''',
                'querier_uptime',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Interval value in seconds
                ''',
                'query_interval',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-maximum-response-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max Response Timeout value
                ''',
                'query_maximum_response_time',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('query-timeout', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Query Timeout value
                ''',
                'query_timeout',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('robustness', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Robustness Variable value
                ''',
                'robustness',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('router-uptime-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uptime since router enabled event
                ''',
                'router_uptime_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface state
                ''',
                'state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-address', REFERENCE_CLASS, 'SubscriberAddress' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress', 
                [], [], 
                '''                Address of subscriber
                ''',
                'subscriber_address',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 257)], [], 
                '''                ID string of subscriber
                ''',
                'subscriber_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('subscriber-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Subscriber mode
                ''',
                'subscriber_mode',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-query-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last query
                ''',
                'time_since_last_query_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('time-since-last-report-in-seconds', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time elapsed since last report
                ''',
                'time_since_last_report_in_seconds',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('total-active-groups', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Actual number of groups on interface
                ''',
                'total_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                VRF id
                ''',
                'vrf_id',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrf-state', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Vrf State
                ''',
                'vrf_state',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-on',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext.InterfaceOldFormatStateOns',
            False, 
            [
            _MetaInfoClassMember('interface-old-format-state-on', REFERENCE_LIST, 'InterfaceOldFormatStateOn' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn', 
                [], [], 
                '''                IGMP Interface
                ''',
                'interface_old_format_state_on',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'interface-old-format-state-ons',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active.DefaultContext' : {
        'meta_info' : _MetaInfoClass('Igmp.Active.DefaultContext',
            False, 
            [
            _MetaInfoClassMember('detail-groups', REFERENCE_CLASS, 'DetailGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.DetailGroups', 
                [], [], 
                '''                IGMP Detail Group Database
                ''',
                'detail_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('explicit-groups', REFERENCE_CLASS, 'ExplicitGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.ExplicitGroups', 
                [], [], 
                '''                IGMP Explicit Group Database
                ''',
                'explicit_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('global-interface-table', REFERENCE_CLASS, 'GlobalInterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.GlobalInterfaceTable', 
                [], [], 
                '''                IGMP Global Interface 
                ''',
                'global_interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('group-summary', REFERENCE_CLASS, 'GroupSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.GroupSummary', 
                [], [], 
                '''                IGMP Groups Summary
                ''',
                'group_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('groups', REFERENCE_CLASS, 'Groups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Groups', 
                [], [], 
                '''                IGMP Group Database Table
                ''',
                'groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interface-summary', REFERENCE_CLASS, 'IfrsInterfaceSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.IfrsInterfaceSummary', 
                [], [], 
                '''                IGMP IFRS Interface summary
                ''',
                'ifrs_interface_summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ifrs-interfaces', REFERENCE_CLASS, 'IfrsInterfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.IfrsInterfaces', 
                [], [], 
                '''                IGMP Interface specific
                ''',
                'ifrs_interfaces',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-format-state-ons', REFERENCE_CLASS, 'InterfaceOldFormatStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormatStateOns', 
                [], [], 
                '''                IGMP Interface state on old format
                ''',
                'interface_old_format_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-old-formats', REFERENCE_CLASS, 'InterfaceOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceOldFormats', 
                [], [], 
                '''                IGMP Interface specific Table in old format
                ''',
                'interface_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-off-old-formats', REFERENCE_CLASS, 'InterfaceStateOffOldFormats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffOldFormats', 
                [], [], 
                '''                IGMP Interface state off old format
                ''',
                'interface_state_off_old_formats',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-offs', REFERENCE_CLASS, 'InterfaceStateOffs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOffs', 
                [], [], 
                '''                IGMP Interface state off
                ''',
                'interface_state_offs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-state-ons', REFERENCE_CLASS, 'InterfaceStateOns' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceStateOns', 
                [], [], 
                '''                IGMP Interface state on
                ''',
                'interface_state_ons',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-table', REFERENCE_CLASS, 'InterfaceTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceTable', 
                [], [], 
                '''                IGMP Interface specific Table
                ''',
                'interface_table',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('interface-unicast-qos-adjusts', REFERENCE_CLASS, 'InterfaceUnicastQosAdjusts' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts', 
                [], [], 
                '''                IGMP Interface Unicast-Qos-Adjust
                ''',
                'interface_unicast_qos_adjusts',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('non-active-groups', REFERENCE_CLASS, 'NonActiveGroups' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.NonActiveGroups', 
                [], [], 
                '''                IGMP Non-Active Groups Information
                ''',
                'non_active_groups',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ranges', REFERENCE_CLASS, 'Ranges' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Ranges', 
                [], [], 
                '''                Range table
                ''',
                'ranges',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-map-details', REFERENCE_CLASS, 'SsmMapDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMapDetails', 
                [], [], 
                '''                SSM Map Detail
                ''',
                'ssm_map_details',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('ssm-maps', REFERENCE_CLASS, 'SsmMaps' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.SsmMaps', 
                [], [], 
                '''                SSM Map Table
                ''',
                'ssm_maps',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('summary', REFERENCE_CLASS, 'Summary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.Summary', 
                [], [], 
                '''                IGMP Summary Information
                ''',
                'summary',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('traffic-counters', REFERENCE_CLASS, 'TrafficCounters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext.TrafficCounters', 
                [], [], 
                '''                IGMP Message Traffic Counters
                ''',
                'traffic_counters',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'default-context',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp.Active' : {
        'meta_info' : _MetaInfoClass('Igmp.Active',
            False, 
            [
            _MetaInfoClassMember('default-context', REFERENCE_CLASS, 'DefaultContext' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.DefaultContext', 
                [], [], 
                '''                Default Context
                ''',
                'default_context',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('process', REFERENCE_CLASS, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Process', 
                [], [], 
                '''                Process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active.Vrfs', 
                [], [], 
                '''                VRF Table
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
    'Igmp' : {
        'meta_info' : _MetaInfoClass('Igmp',
            False, 
            [
            _MetaInfoClassMember('active', REFERENCE_CLASS, 'Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Active', 
                [], [], 
                '''                Active Process
                ''',
                'active',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            _MetaInfoClassMember('standby', REFERENCE_CLASS, 'Standby' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper', 'Igmp.Standby', 
                [], [], 
                '''                Standby Process
                ''',
                'standby',
                'Cisco-IOS-XR-ipv4-igmp-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-igmp-oper',
            'igmp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-igmp-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_igmp_oper'
        ),
    },
}
_meta_table['Mld.Standby.Vrfs.Vrf.Summary.Interface']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.Summary']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.NonActiveGroups']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.SsmMaps']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Groups.Group']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.Groups']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOns']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.DetailGroups']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.NonActiveGroups']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMaps']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.ExplicitGroups']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceTable']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.Groups']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.GroupSummary']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.SsmMapDetails']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceStateOffs']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Standby.Vrfs.Vrf']['meta_info'].parent =_meta_table['Mld.Standby.Vrfs']['meta_info']
_meta_table['Mld.Standby.Process.AmtGatewaies.AmtGateway']['meta_info'].parent =_meta_table['Mld.Standby.Process.AmtGatewaies']['meta_info']
_meta_table['Mld.Standby.Process.AmtSummary']['meta_info'].parent =_meta_table['Mld.Standby.Process']['meta_info']
_meta_table['Mld.Standby.Process.Nsr']['meta_info'].parent =_meta_table['Mld.Standby.Process']['meta_info']
_meta_table['Mld.Standby.Process.AmtGatewaies']['meta_info'].parent =_meta_table['Mld.Standby.Process']['meta_info']
_meta_table['Mld.Standby.Process.UnicastQosAdjustStats']['meta_info'].parent =_meta_table['Mld.Standby.Process']['meta_info']
_meta_table['Mld.Standby.Process.BviStatistics']['meta_info'].parent =_meta_table['Mld.Standby.Process']['meta_info']
_meta_table['Mld.Standby.Process.Nsf']['meta_info'].parent =_meta_table['Mld.Standby.Process']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Summary.Interface']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.Summary']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.DetailGroups']['meta_info']
_meta_table['Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.NonActiveGroups']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.SsmMaps.SsmMap']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.SsmMaps']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.ExplicitGroups']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceTable']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.Ranges']['meta_info']
_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.Groups.Group']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.Groups.Group']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.Groups.Group']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Groups.Group']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.Groups']['meta_info']
_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.SsmMapDetails']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Summary']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOns']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.DetailGroups']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.NonActiveGroups']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMaps']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.ExplicitGroups']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceTable']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.Groups']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.GroupSummary']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.SsmMapDetails']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceStateOffs']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.DefaultContext.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Mld.Standby.DefaultContext']['meta_info']
_meta_table['Mld.Standby.Vrfs']['meta_info'].parent =_meta_table['Mld.Standby']['meta_info']
_meta_table['Mld.Standby.Process']['meta_info'].parent =_meta_table['Mld.Standby']['meta_info']
_meta_table['Mld.Standby.DefaultContext']['meta_info'].parent =_meta_table['Mld.Standby']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Summary.Interface']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.Summary']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.NonActiveGroups']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.SsmMaps']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Groups.Group']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.Groups']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOns']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.DetailGroups']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.NonActiveGroups']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMaps']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.ExplicitGroups']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceTable']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.Groups']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.GroupSummary']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.SsmMapDetails']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceStateOffs']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Mld.Active.Vrfs.Vrf']['meta_info']
_meta_table['Mld.Active.Vrfs.Vrf']['meta_info'].parent =_meta_table['Mld.Active.Vrfs']['meta_info']
_meta_table['Mld.Active.Process.AmtGatewaies.AmtGateway']['meta_info'].parent =_meta_table['Mld.Active.Process.AmtGatewaies']['meta_info']
_meta_table['Mld.Active.Process.AmtSummary']['meta_info'].parent =_meta_table['Mld.Active.Process']['meta_info']
_meta_table['Mld.Active.Process.Nsr']['meta_info'].parent =_meta_table['Mld.Active.Process']['meta_info']
_meta_table['Mld.Active.Process.AmtGatewaies']['meta_info'].parent =_meta_table['Mld.Active.Process']['meta_info']
_meta_table['Mld.Active.Process.UnicastQosAdjustStats']['meta_info'].parent =_meta_table['Mld.Active.Process']['meta_info']
_meta_table['Mld.Active.Process.BviStatistics']['meta_info'].parent =_meta_table['Mld.Active.Process']['meta_info']
_meta_table['Mld.Active.Process.Nsf']['meta_info'].parent =_meta_table['Mld.Active.Process']['meta_info']
_meta_table['Mld.Active.DefaultContext.Summary.Interface']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.Summary']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOns']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.DetailGroups']['meta_info']
_meta_table['Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Mld.Active.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.NonActiveGroups']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.SsmMaps.SsmMap']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.SsmMaps']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.ExplicitGroups']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceTable']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Mld.Active.DefaultContext.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Mld.Active.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.Ranges']['meta_info']
_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Mld.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Mld.Active.DefaultContext.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.Groups.Group']['meta_info']
_meta_table['Mld.Active.DefaultContext.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.Groups.Group']['meta_info']
_meta_table['Mld.Active.DefaultContext.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.Groups.Group']['meta_info']
_meta_table['Mld.Active.DefaultContext.Groups.Group']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.Groups']['meta_info']
_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.SsmMapDetails']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Mld.Active.DefaultContext.Summary']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOns']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.DetailGroups']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.NonActiveGroups']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMaps']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.ExplicitGroups']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceTable']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.Groups']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.GroupSummary']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.SsmMapDetails']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceStateOffs']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.DefaultContext.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Mld.Active.DefaultContext']['meta_info']
_meta_table['Mld.Active.Vrfs']['meta_info'].parent =_meta_table['Mld.Active']['meta_info']
_meta_table['Mld.Active.Process']['meta_info'].parent =_meta_table['Mld.Active']['meta_info']
_meta_table['Mld.Active.DefaultContext']['meta_info'].parent =_meta_table['Mld.Active']['meta_info']
_meta_table['Mld.Standby']['meta_info'].parent =_meta_table['Mld']['meta_info']
_meta_table['Mld.Active']['meta_info'].parent =_meta_table['Mld']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Summary.Interface']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.Summary']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.NonActiveGroups']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMaps']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Groups.Group']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.Groups']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOns']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.DetailGroups']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.NonActiveGroups']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMaps']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.ExplicitGroups']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceTable']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.Groups']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.GroupSummary']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.SsmMapDetails']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceStateOffs']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Standby.Vrfs.Vrf']['meta_info'].parent =_meta_table['Igmp.Standby.Vrfs']['meta_info']
_meta_table['Igmp.Standby.Process.AmtGatewaies.AmtGateway']['meta_info'].parent =_meta_table['Igmp.Standby.Process.AmtGatewaies']['meta_info']
_meta_table['Igmp.Standby.Process.AmtSummary']['meta_info'].parent =_meta_table['Igmp.Standby.Process']['meta_info']
_meta_table['Igmp.Standby.Process.Nsr']['meta_info'].parent =_meta_table['Igmp.Standby.Process']['meta_info']
_meta_table['Igmp.Standby.Process.AmtGatewaies']['meta_info'].parent =_meta_table['Igmp.Standby.Process']['meta_info']
_meta_table['Igmp.Standby.Process.UnicastQosAdjustStats']['meta_info'].parent =_meta_table['Igmp.Standby.Process']['meta_info']
_meta_table['Igmp.Standby.Process.BviStatistics']['meta_info'].parent =_meta_table['Igmp.Standby.Process']['meta_info']
_meta_table['Igmp.Standby.Process.Nsf']['meta_info'].parent =_meta_table['Igmp.Standby.Process']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Summary.Interface']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.Summary']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.DetailGroups']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.NonActiveGroups']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.SsmMaps.SsmMap']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.SsmMaps']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceTable']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.Ranges']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.Groups.Group']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.Groups.Group']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.Groups.Group']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Groups.Group']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.Groups']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Summary']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOns']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.DetailGroups']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.NonActiveGroups']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMaps']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.ExplicitGroups']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceTable']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.Groups']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.GroupSummary']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.SsmMapDetails']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceStateOffs']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.DefaultContext.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Igmp.Standby.DefaultContext']['meta_info']
_meta_table['Igmp.Standby.Vrfs']['meta_info'].parent =_meta_table['Igmp.Standby']['meta_info']
_meta_table['Igmp.Standby.Process']['meta_info'].parent =_meta_table['Igmp.Standby']['meta_info']
_meta_table['Igmp.Standby.DefaultContext']['meta_info'].parent =_meta_table['Igmp.Standby']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Summary.Interface']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.Summary']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.NonActiveGroups']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.SsmMaps']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.Ranges.Range']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Ranges.Range']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.Ranges']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.Groups.Group']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Groups.Group']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.Groups']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Summary']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOns']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.DetailGroups']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.NonActiveGroups']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMaps']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.ExplicitGroups']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceTable']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormats']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Ranges']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaces']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.TrafficCounters']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.Groups']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.GroupSummary']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.SsmMapDetails']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceStateOffs']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info']
_meta_table['Igmp.Active.Vrfs.Vrf']['meta_info'].parent =_meta_table['Igmp.Active.Vrfs']['meta_info']
_meta_table['Igmp.Active.Process.AmtGatewaies.AmtGateway']['meta_info'].parent =_meta_table['Igmp.Active.Process.AmtGatewaies']['meta_info']
_meta_table['Igmp.Active.Process.AmtSummary']['meta_info'].parent =_meta_table['Igmp.Active.Process']['meta_info']
_meta_table['Igmp.Active.Process.Nsr']['meta_info'].parent =_meta_table['Igmp.Active.Process']['meta_info']
_meta_table['Igmp.Active.Process.AmtGatewaies']['meta_info'].parent =_meta_table['Igmp.Active.Process']['meta_info']
_meta_table['Igmp.Active.Process.UnicastQosAdjustStats']['meta_info'].parent =_meta_table['Igmp.Active.Process']['meta_info']
_meta_table['Igmp.Active.Process.BviStatistics']['meta_info'].parent =_meta_table['Igmp.Active.Process']['meta_info']
_meta_table['Igmp.Active.Process.Nsf']['meta_info'].parent =_meta_table['Igmp.Active.Process']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Summary.Interface']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.Summary']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns.InterfaceStateOn']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup.Source']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups.DetailGroup']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.DetailGroups']['meta_info']
_meta_table['Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info']
_meta_table['Igmp.Active.DefaultContext.NonActiveGroups.NonActiveGroups_']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.NonActiveGroups']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMaps.SsmMap.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.SsmMaps.SsmMap']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMaps.SsmMap']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.SsmMaps']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.LastReporter']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.GroupInfo']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup.Host']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups.ExplicitGroup']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.ExplicitGroups']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceTable']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats.InterfaceOldFormat']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats.InterfaceStateOffOldFormat']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update.GroupAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust.Update']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts.InterfaceUnicastQosAdjust']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Ranges.Range.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.Ranges.Range']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Ranges.Range']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.Ranges']['meta_info']
_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info']
_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface.IgmpInterfaceEntry']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info']
_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces.IfrsInterface']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Groups.Group.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.Groups.Group']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Groups.Group.LastReporter']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.Groups.Group']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Groups.Group.SourceAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.Groups.Group']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Groups.Group']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.Groups']['meta_info']
_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info']
_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable.Interface']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo.GroupAddressXr']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.MapInfo']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail.Sources']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMapDetails.SsmMapDetail']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.SsmMapDetails']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs.InterfaceStateOff']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.Address']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.QuerierAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn.SubscriberAddress']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns.InterfaceOldFormatStateOn']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Summary']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOns']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.DetailGroups']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.NonActiveGroups']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMaps']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.ExplicitGroups']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceTable']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormats']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffOldFormats']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceUnicastQosAdjusts']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Ranges']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.IfrsInterfaces']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.TrafficCounters']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.Groups']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.GroupSummary']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.IfrsInterfaceSummary']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.GlobalInterfaceTable']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.SsmMapDetails']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceStateOffs']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.DefaultContext.InterfaceOldFormatStateOns']['meta_info'].parent =_meta_table['Igmp.Active.DefaultContext']['meta_info']
_meta_table['Igmp.Active.Vrfs']['meta_info'].parent =_meta_table['Igmp.Active']['meta_info']
_meta_table['Igmp.Active.Process']['meta_info'].parent =_meta_table['Igmp.Active']['meta_info']
_meta_table['Igmp.Active.DefaultContext']['meta_info'].parent =_meta_table['Igmp.Active']['meta_info']
_meta_table['Igmp.Standby']['meta_info'].parent =_meta_table['Igmp']['meta_info']
_meta_table['Igmp.Active']['meta_info'].parent =_meta_table['Igmp']['meta_info']
