


import re
import collections

from enum import Enum

from ydk._core._dm_meta_info import _MetaInfoClassMember, _MetaInfoClass, _MetaInfoEnum
from ydk.types import Empty, YList, YLeafList, DELETE, Decimal64, FixedBitsDict
from ydk._core._dm_meta_info import ATTRIBUTE, REFERENCE_CLASS, REFERENCE_LIST, REFERENCE_LEAFLIST,     REFERENCE_IDENTITY_CLASS, REFERENCE_ENUM_CLASS, REFERENCE_BITS, REFERENCE_UNION, ANYXML_CLASS

from ydk.errors import YPYError, YPYModelError
from ydk.providers._importer import _yang_ns
_meta_table = {
    'NsfRtrEnum' : _MetaInfoEnum('NsfRtrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-nsf-rtr-none':'mgmt_nsf_rtr_none',
            'mgmt-nsf-rtr-requester':'mgmt_nsf_rtr_requester',
            'mgmt-nsf-rtr-receiver':'mgmt_nsf_rtr_receiver',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'IpfrrTbrkrEnum' : _MetaInfoEnum('IpfrrTbrkrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'downstream':'downstream',
            'line-card-disjoint':'line_card_disjoint',
            'backup-metric':'backup_metric',
            'node-protect':'node_protect',
            'primary-path':'primary_path',
            'secondary-path':'secondary_path',
            'srlg-disjoint':'srlg_disjoint',
            'tunnel':'tunnel',
            'post-convergence':'post_convergence',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'IgpteLibBwModelEnum' : _MetaInfoEnum('IgpteLibBwModelEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'rdm':'rdm',
            'mam':'mam',
            'not-set':'not_set',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'LinkSubnetEnum' : _MetaInfoEnum('LinkSubnetEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-igp-subnet-type-none':'mgmt_igp_subnet_type_none',
            'mgmt-igp-subnet-type-p2p':'mgmt_igp_subnet_type_p2p',
            'mgmt-igp-subnet-type-broadcast':'mgmt_igp_subnet_type_broadcast',
            'mgmt-igp-subnet-type-nbma':'mgmt_igp_subnet_type_nbma',
            'mgmt-igp-subnet-type-p2mp':'mgmt_igp_subnet_type_p2mp',
            'mgmt-igp-subnet-type-loop-back':'mgmt_igp_subnet_type_loop_back',
            'mgmt-igp-subnet-type-max':'mgmt_igp_subnet_type_max',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'AuthenticationEnum' : _MetaInfoEnum('AuthenticationEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-ospf-auth-none':'mgmt_ospf_auth_none',
            'mgmt-ospf-auth-ct':'mgmt_ospf_auth_ct',
            'mgmt-ospf-auth-md':'mgmt_ospf_auth_md',
            'mgmt-ospf-auth-kc':'mgmt_ospf_auth_kc',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'UloopAvoidanceEnum' : _MetaInfoEnum('UloopAvoidanceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'none':'none',
            'protected-prefixes':'protected_prefixes',
            'all-prefixes':'all_prefixes',
            'segment-routing-uloop':'segment_routing_uloop',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfLinkTypesEnum' : _MetaInfoEnum('OspfLinkTypesEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-rtr-link':'mgmt_rtr_link',
            'mgmt-trans-link':'mgmt_trans_link',
            'mgmt-stub-net':'mgmt_stub_net',
            'mgmt-vitural-link':'mgmt_vitural_link',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'SrmsMiSrcEBEnum' : _MetaInfoEnum('SrmsMiSrcEBEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'none':'none',
            'local':'local',
            'remote':'remote',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfInterfaceStateEnum' : _MetaInfoEnum('OspfInterfaceStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-ospf-ifs-down':'mgmt_ospf_ifs_down',
            'mgmt-ospf-ifs-loop-back':'mgmt_ospf_ifs_loop_back',
            'mgmt-ospf-ifs-waiting':'mgmt_ospf_ifs_waiting',
            'mgmt-ospf-ifs-point-to-m-point':'mgmt_ospf_ifs_point_to_m_point',
            'mgmt-ospf-ifs-point-to-point':'mgmt_ospf_ifs_point_to_point',
            'mgmt-ospf-ifs-dr':'mgmt_ospf_ifs_dr',
            'mgmt-ospf-ifs-backup':'mgmt_ospf_ifs_backup',
            'mgmt-ospf-ifs-other':'mgmt_ospf_ifs_other',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'IpfrrEnum' : _MetaInfoEnum('IpfrrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'none':'none',
            'per-link':'per_link',
            'per-prefix':'per_prefix',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfSrgbStatusEnum' : _MetaInfoEnum('OspfSrgbStatusEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'not-allocated':'not_allocated',
            'pending':'pending',
            'allocated':'allocated',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'InterfaceEnum' : _MetaInfoEnum('InterfaceEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-if-broadcast':'mgmt_if_broadcast',
            'mgmt-if-nonbroadcast':'mgmt_if_nonbroadcast',
            'mgmt-if-point-to-point':'mgmt_if_point_to_point',
            'mgmt-if-point-to-m-point':'mgmt_if_point_to_m_point',
            'mgmt-if-p2mp-non-bcast':'mgmt_if_p2mp_non_bcast',
            'mgmt-if-virtual-link':'mgmt_if_virtual_link',
            'mgmt-if-sham-link':'mgmt_if_sham_link',
            'mgmt-if-loop-back':'mgmt_if_loop_back',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'InterfaceStateEnum' : _MetaInfoEnum('InterfaceStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-ifs-unknown':'mgmt_ifs_unknown',
            'mgmt-ifs-admin-down':'mgmt_ifs_admin_down',
            'mgmt-ifs-down':'mgmt_ifs_down',
            'mgmt-ifs-up':'mgmt_ifs_up',
            'mgmt-ifs-shutdown':'mgmt_ifs_shutdown',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'ExMetricEnum' : _MetaInfoEnum('ExMetricEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-ex-metric-type-none':'mgmt_ex_metric_type_none',
            'mgmt-ex-metric-type-1':'mgmt_ex_metric_type_1',
            'mgmt-ex-metric-type-2':'mgmt_ex_metric_type_2',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'GsStateEnum' : _MetaInfoEnum('GsStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-gs-init':'mgmt_gs_init',
            'mgmt-gs-normal':'mgmt_gs_normal',
            'mgmt-gs-delay':'mgmt_gs_delay',
            'mgmt-gs-flush':'mgmt_gs_flush',
            'mgmt-gs-hello':'mgmt_gs_hello',
            'mgmt-gs-quiet':'mgmt_gs_quiet',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfShOpqRiPceAddrTypesEnum' : _MetaInfoEnum('OspfShOpqRiPceAddrTypesEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-ospf-opq-pce-addr-type-invalid':'mgmt_ospf_opq_pce_addr_type_invalid',
            'mgmt-ospf-opq-pce-addr-type-ipv4':'mgmt_ospf_opq_pce_addr_type_ipv4',
            'mgmt-ospf-opq-pce-addr-type-ipv6':'mgmt_ospf_opq_pce_addr_type_ipv6',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'MaxMetricSetReasonEnum' : _MetaInfoEnum('MaxMetricSetReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-max-metric-on-proc-migration':'mgmt_max_metric_on_proc_migration',
            'mgmt-max-metric-on-proc-restart':'mgmt_max_metric_on_proc_restart',
            'mgmt-max-metric-on-switchover':'mgmt_max_metric_on_switchover',
            'mgmt-max-metric-on-startup':'mgmt_max_metric_on_startup',
            'mgmt-max-metric-always':'mgmt_max_metric_always',
            'mgmt-max-metric-reason-none':'mgmt_max_metric_reason_none',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfRouteEnum' : _MetaInfoEnum('OspfRouteEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-r-type-none':'mgmt_r_type_none',
            'mgmt-r-type-other':'mgmt_r_type_other',
            'mgmt-r-type-intra':'mgmt_r_type_intra',
            'mgmt-r-type-inter':'mgmt_r_type_inter',
            'mgmt-r-type-extern1':'mgmt_r_type_extern1',
            'mgmt-r-type-extern2':'mgmt_r_type_extern2',
            'mgmt-r-type-isis-sum':'mgmt_r_type_isis_sum',
            'mgmt-r-type-isis-l1':'mgmt_r_type_isis_l1',
            'mgmt-r-type-isis-l2':'mgmt_r_type_isis_l2',
            'mgmt-r-type-isis-l1-ia':'mgmt_r_type_isis_l1_ia',
            'mgmt-r-type-bgp-int':'mgmt_r_type_bgp_int',
            'mgmt-r-type-bgp-ext':'mgmt_r_type_bgp_ext',
            'mgmt-r-type-bgp-loc':'mgmt_r_type_bgp_loc',
            'mgmt-r-type-nssa1':'mgmt_r_type_nssa1',
            'mgmt-r-type-nssa2':'mgmt_r_type_nssa2',
            'mgmt-r-type-i-grp2-int':'mgmt_r_type_i_grp2_int',
            'mgmt-r-type-i-grp2-ext':'mgmt_r_type_i_grp2_ext',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'SrUloopEventEnum' : _MetaInfoEnum('SrUloopEventEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'none':'none',
            'link-down':'link_down',
            'link-up':'link_up',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfShOpqRiTlvTypesEnum' : _MetaInfoEnum('OspfShOpqRiTlvTypesEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-ospf-opq-ri-tlv-type-unknown':'mgmt_ospf_opq_ri_tlv_type_unknown',
            'mgmt-ospf-opq-ri-tlv-type-rtrcap':'mgmt_ospf_opq_ri_tlv_type_rtrcap',
            'mgmt-ospf-opq-ri-tlv-type-pce-discovery':'mgmt_ospf_opq_ri_tlv_type_pce_discovery',
            'mgmt-ospf-opq-ri-tlv-type-sr-algo':'mgmt_ospf_opq_ri_tlv_type_sr_algo',
            'mgmt-ospf-opq-ri-tlv-type-sr-range':'mgmt_ospf_opq_ri_tlv_type_sr_range',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'TimerEnum' : _MetaInfoEnum('TimerEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-db-stop':'mgmt_db_stop',
            'mgmt-db-refresh':'mgmt_db_refresh',
            'mgmt-db-checksum':'mgmt_db_checksum',
            'mgmt-db-max-age':'mgmt_db_max_age',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'MaxMetricUnsetReasonEnum' : _MetaInfoEnum('MaxMetricUnsetReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-max-metric-unset-none':'mgmt_max_metric_unset_none',
            'mgmt-max-metric-unset-bgp':'mgmt_max_metric_unset_bgp',
            'mgmt-max-metric-unset-timer':'mgmt_max_metric_unset_timer',
            'mgmt-max-metric-unset-cfg':'mgmt_max_metric_unset_cfg',
            'mgmt-max-metric-unset-process-cleared':'mgmt_max_metric_unset_process_cleared',
            'mgmt-max-metric-unset-over-write':'mgmt_max_metric_unset_over_write',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfBrEnum' : _MetaInfoEnum('OspfBrEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-d-type-abr-asbr':'mgmt_d_type_abr_asbr',
            'mgmt-d-type-asbr':'mgmt_d_type_asbr',
            'mgmt-d-type-abr':'mgmt_d_type_abr',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'StlvEnum' : _MetaInfoEnum('StlvEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-rrr-link-type':'mgmt_rrr_link_type',
            'mgmt-rrr-link-id':'mgmt_rrr_link_id',
            'mgmt-rrr-link-local-if-addr':'mgmt_rrr_link_local_if_addr',
            'mgmt-rrr-link-remote-if-addr':'mgmt_rrr_link_remote_if_addr',
            'mgmt-rrr-link-metric':'mgmt_rrr_link_metric',
            'mgmt-rrr-link-max-bw':'mgmt_rrr_link_max_bw',
            'mgmt-rrr-link-max-reservable-bw':'mgmt_rrr_link_max_reservable_bw',
            'mgmt-rrr-link-unreserved-bw':'mgmt_rrr_link_unreserved_bw',
            'mgmt-rrr-link-re-source-class':'mgmt_rrr_link_re_source_class',
            'mgmt-rrr-link-in-out-if-id':'mgmt_rrr_link_in_out_if_id',
            'mgmt-rrr-link-if-switching-cap-desc':'mgmt_rrr_link_if_switching_cap_desc',
            'mgmt-ospf-rrr-link-srlg':'mgmt_ospf_rrr_link_srlg',
            'mgmt-rrr-link-bw-constraints-sub':'mgmt_rrr_link_bw_constraints_sub',
            'mgmt-ospf-rrr-link-uni-delay':'mgmt_ospf_rrr_link_uni_delay',
            'mgmt-ospf-rrr-link-max-reservable-bw-sub':'mgmt_ospf_rrr_link_max_reservable_bw_sub',
            'mgmt-ospf-rrr-link-unreserved-bw-sub':'mgmt_ospf_rrr_link_unreserved_bw_sub',
            'mgmt-rrr-link-igp-metric':'mgmt_rrr_link_igp_metric',
            'mgmt-ospf-rrr-link-ext-admin-sub':'mgmt_ospf_rrr_link_ext_admin_sub',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'SrmsMiFlagEBEnum' : _MetaInfoEnum('SrmsMiFlagEBEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'false':'false',
            'true':'true',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'SrmsMiAfEBEnum' : _MetaInfoEnum('SrmsMiAfEBEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'none':'none',
            'ipv4':'ipv4',
            'ipv6':'ipv6',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'NeighborStateEnum' : _MetaInfoEnum('NeighborStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-nbr-down':'mgmt_nbr_down',
            'mgmt-nbr-attempt':'mgmt_nbr_attempt',
            'mgmt-nbr-init':'mgmt_nbr_init',
            'mgmt-nbr-2way':'mgmt_nbr_2way',
            'mgmt-nbr-ex-start':'mgmt_nbr_ex_start',
            'mgmt-nbr-ex-change':'mgmt_nbr_ex_change',
            'mgmt-nbr-load-ing':'mgmt_nbr_load_ing',
            'mgmt-nbr-full':'mgmt_nbr_full',
            'mgmt-nbr-sc-virtual':'mgmt_nbr_sc_virtual',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfInternalLsaTypesEnum' : _MetaInfoEnum('OspfInternalLsaTypesEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-rtr-type':'mgmt_rtr_type',
            'mgmt-ntwk-type':'mgmt_ntwk_type',
            'mgmt-sum-type':'mgmt_sum_type',
            'mgmt-ext-type':'mgmt_ext_type',
            'mgmt-opq-type':'mgmt_opq_type',
            'mgmt-opq-link-type':'mgmt_opq_link_type',
            'mgmt-opq-rrr-type':'mgmt_opq_rrr_type',
            'mgmt-opq-gr-type':'mgmt_opq_gr_type',
            'mgmt-opq-ri-type':'mgmt_opq_ri_type',
            'mgmt-opq-epl-type':'mgmt_opq_epl_type',
            'mgmt-opq-ell-type':'mgmt_opq_ell_type',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'MplsTeOptTlvEnum' : _MetaInfoEnum('MplsTeOptTlvEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mpls-te-opt-tlv-type-none':'mpls_te_opt_tlv_type_none',
            'mpls-te-opt-tlv-type-srlg':'mpls_te_opt_tlv_type_srlg',
            'mpls-te-opt-tlv-type-bc':'mpls_te_opt_tlv_type_bc',
            'mpls-te-opt-tlv-type-ixcd':'mpls_te_opt_tlv_type_ixcd',
            'mpls-te-opt-tlv-type-uni-delay':'mpls_te_opt_tlv_type_uni_delay',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'RedistProtocolEnum' : _MetaInfoEnum('RedistProtocolEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-rib-protocol-all':'mgmt_rib_protocol_all',
            'mgmt-rib-protocol-connected':'mgmt_rib_protocol_connected',
            'mgmt-rib-protocol-local':'mgmt_rib_protocol_local',
            'mgmt-rib-protocol-static':'mgmt_rib_protocol_static',
            'mgmt-rib-protocol-bgp':'mgmt_rib_protocol_bgp',
            'mgmt-rib-protocol-rip':'mgmt_rib_protocol_rip',
            'mgmt-rib-protocol-isis':'mgmt_rib_protocol_isis',
            'mgmt-rib-protocol-ospf':'mgmt_rib_protocol_ospf',
            'mgmt-rib-protocol-eigrp':'mgmt_rib_protocol_eigrp',
            'mgmt-rib-protocol-dagr':'mgmt_rib_protocol_dagr',
            'mgmt-rib-protocol-subscriber':'mgmt_rib_protocol_subscriber',
            'mgmt-rib-protocol-application':'mgmt_rib_protocol_application',
            'mgmt-rib-protocol-mobile':'mgmt_rib_protocol_mobile',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfLsaOpqRiScopeEnum' : _MetaInfoEnum('OspfLsaOpqRiScopeEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-lsa-opq-ri-scope-link':'mgmt_lsa_opq_ri_scope_link',
            'mgmt-lsa-opq-ri-scope-area':'mgmt_lsa_opq_ri_scope_area',
            'mgmt-lsa-opq-ri-scope-as':'mgmt_lsa_opq_ri_scope_as',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'LsaEnum' : _MetaInfoEnum('LsaEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-lsa-type-rtr':'mgmt_lsa_type_rtr',
            'mgmt-lsa-type-net':'mgmt_lsa_type_net',
            'mgmt-lsa-type-sum-net':'mgmt_lsa_type_sum_net',
            'mgmt-lsa-type-sum-asb':'mgmt_lsa_type_sum_asb',
            'mgmt-lsa-type-ext':'mgmt_lsa_type_ext',
            'mgmt-lsa-type-mospf':'mgmt_lsa_type_mospf',
            'mgmt-lsa-type-7-ase':'mgmt_lsa_type_7_ase',
            'mgmt-lsa-type-8-ignore':'mgmt_lsa_type_8_ignore',
            'mgmt-lsa-type-opq-link':'mgmt_lsa_type_opq_link',
            'mgmt-lsa-type-opq-area':'mgmt_lsa_type_opq_area',
            'mgmt-lsa-type-opq-as':'mgmt_lsa_type_opq_as',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'DrBdrStateEnum' : _MetaInfoEnum('DrBdrStateEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-dbdr-none':'mgmt_dbdr_none',
            'mgmt-dbdr-dr':'mgmt_dbdr_dr',
            'mgmt-dbdr-bdr':'mgmt_dbdr_bdr',
            'mgmt-dbdr-dr-other':'mgmt_dbdr_dr_other',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'TimerTableEnum' : _MetaInfoEnum('TimerTableEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-db-no-table':'mgmt_db_no_table',
            'mgmt-db-sec-table':'mgmt_db_sec_table',
            'mgmt-db-buffer-table':'mgmt_db_buffer_table',
            'mgmt-db-min-table':'mgmt_db_min_table',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfGrReasonEnum' : _MetaInfoEnum('OspfGrReasonEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'mgmt-gr-reason-unknown':'mgmt_gr_reason_unknown',
            'mgmt-gr-reason-sw-restart':'mgmt_gr_reason_sw_restart',
            'mgmt-gr-reason-sw-upgrade':'mgmt_gr_reason_sw_upgrade',
            'mgmt-gr-reason-switchover':'mgmt_gr_reason_switchover',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfMaxMetricAbrOffReasonsEnum' : _MetaInfoEnum('OspfMaxMetricAbrOffReasonsEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'ospf-max-metric-abr-off-reason-none':'ospf_max_metric_abr_off_reason_none',
            'ospf-max-metric-abr-off-reason-no-nbr':'ospf_max_metric_abr_off_reason_no_nbr',
            'ospf-max-metric-abr-off-reason-new-nbr':'ospf_max_metric_abr_off_reason_new_nbr',
            'ospf-max-metric-abr-off-reason-nbr-full':'ospf_max_metric_abr_off_reason_nbr_full',
            'ospf-max-metric-abr-off-reason-flush-p-end':'ospf_max_metric_abr_off_reason_flush_p_end',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'OspfLsEnum' : _MetaInfoEnum('OspfLsEnum', 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper',
        {
            'router':'router',
            'network':'network',
            'summary':'summary',
            'asbr-summary':'asbr_summary',
            'external':'external',
            'nssa-external':'nssa_external',
            'opaque-link':'opaque_link',
            'opaque-area':'opaque_area',
            'opaque-as':'opaque_as',
        }, 'Cisco-IOS-XR-ipv4-ospf-oper', _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper']),
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor.ShamLinkRetransmissoin' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor.ShamLinkRetransmissoin',
            False, 
            [
            _MetaInfoClassMember('area-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-flooding-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flooding_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DBD retransmissions during last
                exchange
                ''',
                'dbd_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DBD retransmissions for this
                neighbor
                ''',
                'dbd_retransmission_total_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'neighbor_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'number_of_retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sham-link-retransmissoin',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor',
            False, 
            [
            _MetaInfoClassMember('sham-link-retransmissoin', REFERENCE_CLASS, 'ShamLinkRetransmissoin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor.ShamLinkRetransmissoin', 
                [], [], 
                '''                Neighbor retransmission info
                ''',
                'sham_link_retransmissoin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Adjacency state
                ''',
                'sham_link_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true Hellos suppressed
                ''',
                'sham_link_suppress_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sham-link-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink',
            False, 
            [
            _MetaInfoClassMember('sham-link-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Sham link
                ''',
                'sham_link_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('sham-link-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Area id
                ''',
                'sham_link_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'sham_link_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of the sham link
                ''',
                'sham_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-dc-bitless-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA's with demand circuit bit not set
                ''',
                'sham_link_dc_bitless_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dead interval (s)
                ''',
                'sham_link_dead_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the link runs as demand circuit
                ''',
                'sham_link_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-dest-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sham-link dest
                ''',
                'sham_link_dest_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (s)
                ''',
                'sham_link_hello_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-hello-interval-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (ms)
                ''',
                'sham_link_hello_interval_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-ifindex', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sham-link ifindex
                ''',
                'sham_link_ifindex',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-keychain-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Sham Link Keychain ID
                ''',
                'sham_link_keychain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-last-nsf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since last NSF
                ''',
                'sham_link_last_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-md-key', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                List of old MD keys (if any)
                ''',
                'sham_link_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Sham link name
                ''',
                'sham_link_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-neighbor', REFERENCE_CLASS, 'ShamLinkNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'sham_link_neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor on other end of this sham link
                ''',
                'sham_link_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-next-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (s)
                ''',
                'sham_link_next_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-next-hello-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (ms)
                ''',
                'sham_link_next_hello_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF restart in progress on the sham
                link
                ''',
                'sham_link_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF enabled
                ''',
                'sham_link_nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-old-md-key-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors still using the old key
                (rollover in progress)
                ''',
                'sham_link_old_md_key_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is passive
                ''',
                'sham_link_passive',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission interval (s)
                ''',
                'sham_link_retransmission_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-source-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Sham-link source
                ''',
                'sham_link_source_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the sham link
                ''',
                'sham_link_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmission delay in seconds
                ''',
                'sham_link_transmission_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait interval (s)
                ''',
                'sham_link_wait_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-youngest-md-key', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MD key configured
                ''',
                'sham_link_youngest_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sham-link-youngest-md-key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Youngest MD key ID
                ''',
                'sham_link_youngest_md_key_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sham-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks',
            False, 
            [
            _MetaInfoClassMember('sham-link', REFERENCE_LIST, 'ShamLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink', 
                [], [], 
                '''                Information for one Sham link
                ''',
                'sham_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sham-links',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation',
            False, 
            [
            _MetaInfoClassMember('sham-links', REFERENCE_CLASS, 'ShamLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks', 
                [], [], 
                '''                Sham Link table
                ''',
                'sham_links',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-vrf-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'flood_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded
                ''',
                'flood_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS update due (ms)
                ''',
                'flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FloodListTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood', 
                [], [], 
                '''                Flooding information for a specific interface
                ''',
                'flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment',
            False, 
            [
            _MetaInfoClassMember('dste-model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment instance
                ''',
                'fragment_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_', 
                [], [], 
                '''                List of fragment links
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('same-fragment-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of fragment links which haven't changed
                since the last update
                ''',
                'same_fragment_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragment',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('mpls-te-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'mpls_te_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-area-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area information instance
                ''',
                'mpls_te_area_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE enabled in area
                ''',
                'mpls_te_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-fragment', REFERENCE_LIST, 'MplsTeFragment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment', 
                [], [], 
                '''                MPLS TE fragments in the area
                ''',
                'mpls_te_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-initialized', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE initialized in the area
                ''',
                'mpls_te_initialized',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_', 
                [], [], 
                '''                MPLS-TE links in the area
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-next-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next MPLS-TE fragment ID
                ''',
                'mpls_te_next_fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MPLS-TE router address
                ''',
                'mpls_te_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF MPLS-TE router ID
                ''',
                'mpls_te_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spacious-fragment', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, fragment has space for next link
                ''',
                'spacious_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks',
            False, 
            [
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink', 
                [], [], 
                '''                MPLS TE link information
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-links',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_',
            False, 
            [
            _MetaInfoClassMember('dste-model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment instance
                ''',
                'fragment_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink', 
                [], [], 
                '''                List of fragment links
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('same-fragment-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of fragment links which haven't changed
                since the last update
                ''',
                'same_fragment_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragment',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('mpls-te-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'mpls_te_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-area-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area information instance
                ''',
                'mpls_te_area_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE enabled in area
                ''',
                'mpls_te_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-fragment', REFERENCE_LIST, 'MplsTeFragment_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_', 
                [], [], 
                '''                MPLS TE fragments in the area
                ''',
                'mpls_te_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-initialized', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE initialized in the area
                ''',
                'mpls_te_initialized',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink', 
                [], [], 
                '''                MPLS-TE links in the area
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-next-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next MPLS-TE fragment ID
                ''',
                'mpls_te_next_fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MPLS-TE router address
                ''',
                'mpls_te_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF MPLS-TE router ID
                ''',
                'mpls_te_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spacious-fragment', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, fragment has space for next link
                ''',
                'spacious_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragment',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments',
            False, 
            [
            _MetaInfoClassMember('mpls-te-fragment', REFERENCE_LIST, 'MplsTeFragment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment', 
                [], [], 
                '''                MPLS TE Fragment
                ''',
                'mpls_te_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.MplsTe' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.MplsTe',
            False, 
            [
            _MetaInfoClassMember('mpls-te-fragments', REFERENCE_CLASS, 'MplsTeFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments', 
                [], [], 
                '''                MPLS TE Fragment information table
                ''',
                'mpls_te_fragments',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-links', REFERENCE_CLASS, 'MplsTeLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks', 
                [], [], 
                '''                MPLS TE link information table
                ''',
                'mpls_te_links',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader.AreaSumm' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader.AreaSumm',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf count
                ''',
                'spf_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-summ',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader',
            False, 
            [
            _MetaInfoClassMember('area-summ', REFERENCE_LIST, 'AreaSumm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader.AreaSumm', 
                [], [], 
                '''                area summ
                ''',
                'area_summ',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                router id
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf count
                ''',
                'spf_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'spf-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiStartTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiStartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'si-start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiDuration' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiDuration',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'si-duration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime',
            False, 
            [
            _MetaInfoClassMember('si-area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                si area id str
                ''',
                'si_area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('si-change-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                si change flags
                ''',
                'si_change_flags',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('si-duration', REFERENCE_CLASS, 'SiDuration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiDuration', 
                [], [], 
                '''                si duration
                ''',
                'si_duration',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('si-start-time', REFERENCE_CLASS, 'SiStartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiStartTime', 
                [], [], 
                '''                si start time
                ''',
                'si_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'os-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpStartTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpStartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpDuration' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpDuration',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-duration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime',
            False, 
            [
            _MetaInfoClassMember('sp-adv-rtr-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp adv rtr id
                ''',
                'sp_adv_rtr_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-addr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest addr
                ''',
                'sp_dest_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest count
                ''',
                'sp_dest_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-duration', REFERENCE_CLASS, 'SpDuration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpDuration', 
                [], [], 
                '''                sp duration
                ''',
                'sp_duration',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-start-time', REFERENCE_CLASS, 'SpStartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpStartTime', 
                [], [], 
                '''                sp start time
                ''',
                'sp_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'os-sum-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpStartTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpStartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpDuration' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpDuration',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-duration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime',
            False, 
            [
            _MetaInfoClassMember('sp-adv-rtr-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp adv rtr id
                ''',
                'sp_adv_rtr_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-addr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest addr
                ''',
                'sp_dest_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest count
                ''',
                'sp_dest_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-duration', REFERENCE_CLASS, 'SpDuration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpDuration', 
                [], [], 
                '''                sp duration
                ''',
                'sp_duration',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-start-time', REFERENCE_CLASS, 'SpStartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpStartTime', 
                [], [], 
                '''                sp start time
                ''',
                'sp_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'os-ex-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.GblSpfTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.GblSpfTime',
            False, 
            [
            _MetaInfoClassMember('spf-dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf dijkstra
                ''',
                'spf_dijkstra',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix
                ''',
                'spf_ext_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix del
                ''',
                'spf_ext_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix
                ''',
                'spf_inter_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix del
                ''',
                'spf_inter_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix
                ''',
                'spf_intra_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix del
                ''',
                'spf_intra_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'gbl-spf-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('adv-rtr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                adv rtr
                ''',
                'adv_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flush', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flush
                ''',
                'flush',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime',
            False, 
            [
            _MetaInfoClassMember('spf-dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf dijkstra
                ''',
                'spf_dijkstra',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix
                ''',
                'spf_ext_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix del
                ''',
                'spf_ext_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix
                ''',
                'spf_inter_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix del
                ''',
                'spf_inter_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix
                ''',
                'spf_intra_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix del
                ''',
                'spf_intra_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'spf-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type-cnt', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa type cnt
                ''',
                'lsa_type_cnt',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=7),
            _MetaInfoClassMember('spf-time', REFERENCE_CLASS, 'SpfTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime', 
                [], [], 
                '''                spf time
                ''',
                'spf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime',
            False, 
            [
            _MetaInfoClassMember('area-stat', REFERENCE_LIST, 'AreaStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat', 
                [], [], 
                '''                area stat
                ''',
                'area_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('gbl-spf-time', REFERENCE_CLASS, 'GblSpfTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.GblSpfTime', 
                [], [], 
                '''                gbl spf time
                ''',
                'gbl_spf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-change-cnt', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                lsa change cnt
                ''',
                'lsa_change_cnt',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_LIST, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.LsaInfo', 
                [], [], 
                '''                lsa info
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=5),
            _MetaInfoClassMember('spf-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf start time
                ''',
                'spf_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats',
            False, 
            [
            _MetaInfoClassMember('os-ex-runtime', REFERENCE_LIST, 'OsExRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime', 
                [], [], 
                '''                os ex runtime
                ''',
                'os_ex_runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('os-runtime', REFERENCE_LIST, 'OsRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime', 
                [], [], 
                '''                os runtime
                ''',
                'os_runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('os-sum-runtime', REFERENCE_LIST, 'OsSumRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime', 
                [], [], 
                '''                os sum runtime
                ''',
                'os_sum_runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('runtime', REFERENCE_LIST, 'Runtime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime', 
                [], [], 
                '''                runtime
                ''',
                'runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-header', REFERENCE_CLASS, 'SpfHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader', 
                [], [], 
                '''                spf header
                ''',
                'spf_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'spf-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats.PriorityBatch' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats.PriorityBatch',
            False, 
            [
            _MetaInfoClassMember('batches-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                batches sent
                ''',
                'batches_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas add
                ''',
                'lfas_add',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas del
                ''',
                'lfas_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas pending
                ''',
                'lfas_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas sent
                ''',
                'lfas_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max routes
                ''',
                'max_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths add
                ''',
                'paths_add',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-add-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths add errs
                ''',
                'paths_add_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths del
                ''',
                'paths_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-del-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths del errs
                ''',
                'paths_del_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths pending
                ''',
                'paths_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths sent
                ''',
                'paths_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-level', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                priority level
                ''',
                'priority_level',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routes-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                routes pending
                ''',
                'routes_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                routes sent
                ''',
                'routes_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'priority-batch',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats',
            False, 
            [
            _MetaInfoClassMember('priority-batch', REFERENCE_LIST, 'PriorityBatch' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats.PriorityBatch', 
                [], [], 
                '''                priority batch
                ''',
                'priority_batch',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-batch-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-rtr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats',
            False, 
            [
            _MetaInfoClassMember('nsr-conn-to-active-attempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active attempts
                ''',
                'nsr_conn_to_active_attempts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-closes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active closes
                ''',
                'nsr_conn_to_active_closes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active errors
                ''',
                'nsr_conn_to_active_errors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active fails
                ''',
                'nsr_conn_to_active_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active opens
                ''',
                'nsr_conn_to_active_opens',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-fsm-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr fsm state
                ''',
                'nsr_fsm_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-intf-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr intf seq no
                ''',
                'nsr_intf_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr lsa init sync pend count
                ''',
                'nsr_lsa_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad mdata count
                ''',
                'nsr_lsa_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad qid
                ''',
                'nsr_lsa_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr mtu
                ''',
                'nsr_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr nbr init sync pend count
                ''',
                'nsr_nbr_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad mdata count
                ''',
                'nsr_nbr_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad qid
                ''',
                'nsr_nbr_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr seq no
                ''',
                'nsr_nbr_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nodeid
                ''',
                'nsr_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer nodeid
                ''',
                'nsr_peer_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer version
                ''',
                'nsr_peer_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rev', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr rev
                ''',
                'nsr_rev',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rtr-thd-sched', REFERENCE_CLASS, 'NsrRtrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched', 
                [], [], 
                '''                nsr rtr thd sched
                ''',
                'nsr_rtr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-thd-sched', REFERENCE_CLASS, 'NsrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched', 
                [], [], 
                '''                nsr thd sched
                ''',
                'nsr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-tmr-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr tmr quant
                ''',
                'nsr_tmr_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'issu-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq.RibBaseTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq.RibBaseTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-base-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq',
            False, 
            [
            _MetaInfoClassMember('priority-level', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                priority level
                ''',
                'priority_level',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                rib base clock
                ''',
                'rib_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-time', REFERENCE_CLASS, 'RibBaseTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq.RibBaseTime', 
                [], [], 
                '''                rib base time
                ''',
                'rib_base_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-dequeue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib dequeue errs
                ''',
                'rib_dequeue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-after', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop after
                ''',
                'rib_drop_after',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-before', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop before
                ''',
                'rib_drop_before',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop conn
                ''',
                'rib_drop_conn',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-empty-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib empty batches
                ''',
                'rib_empty_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pfx-limit-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pfx limit errs
                ''',
                'rib_pfx_limit_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pkts-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pkts sent
                ''',
                'rib_pkts_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-queue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib queue errs
                ''',
                'rib_queue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-send-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib send errs
                ''',
                'rib_send_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-signals', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib signals
                ''',
                'rib_signals',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-table-not-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib table not created
                ''',
                'rib_table_not_created',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib version
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-dqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wq dqtime
                ''',
                'wq_dqtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-cur', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len cur
                ''',
                'wq_len_cur',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-max', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len max
                ''',
                'wq_len_max',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-thread-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                wq thread active
                ''',
                'wq_thread_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-dequeued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total dequeued
                ''',
                'wq_total_dequeued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-queued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total queued
                ''',
                'wq_total_queued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wqe-qtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wqe qtime
                ''',
                'wqe_qtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'internalwq',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-base-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue',
            False, 
            [
            _MetaInfoClassMember('priority-level', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                priority level
                ''',
                'priority_level',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                rib base clock
                ''',
                'rib_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-time', REFERENCE_CLASS, 'RibBaseTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime', 
                [], [], 
                '''                rib base time
                ''',
                'rib_base_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-dequeue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib dequeue errs
                ''',
                'rib_dequeue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-after', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop after
                ''',
                'rib_drop_after',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-before', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop before
                ''',
                'rib_drop_before',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop conn
                ''',
                'rib_drop_conn',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-empty-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib empty batches
                ''',
                'rib_empty_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pfx-limit-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pfx limit errs
                ''',
                'rib_pfx_limit_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pkts-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pkts sent
                ''',
                'rib_pkts_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-queue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib queue errs
                ''',
                'rib_queue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-send-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib send errs
                ''',
                'rib_send_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-signals', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib signals
                ''',
                'rib_signals',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-table-not-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib table not created
                ''',
                'rib_table_not_created',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib version
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-dqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wq dqtime
                ''',
                'wq_dqtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-cur', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len cur
                ''',
                'wq_len_cur',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-max', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len max
                ''',
                'wq_len_max',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-thread-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                wq thread active
                ''',
                'wq_thread_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-dequeued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total dequeued
                ''',
                'wq_total_dequeued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-queued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total queued
                ''',
                'wq_total_queued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wqe-qtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wqe qtime
                ''',
                'wqe_qtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ribqueue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats',
            False, 
            [
            _MetaInfoClassMember('internalwq', REFERENCE_CLASS, 'Internalwq' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq', 
                [], [], 
                '''                internalwq
                ''',
                'internalwq',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ribqueue', REFERENCE_LIST, 'Ribqueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue', 
                [], [], 
                '''                ribqueue
                ''',
                'ribqueue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-thread-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumSentDrop' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumSentDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-send-drop-array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr pl send drop array
                ''',
                'nsr_pl_send_drop_array',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'num-sent-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-recv-drop-array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr pl recv drop array
                ''',
                'nsr_pl_recv_drop_array',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'num-recv-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri',
            False, 
            [
            _MetaInfoClassMember('num-recv', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total recvd
                ''',
                'num_recv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=6),
            _MetaInfoClassMember('num-recv-drop', REFERENCE_LIST, 'NumRecvDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop', 
                [], [], 
                '''                Recv Errors/drops
                ''',
                'num_recv_drop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=6),
            _MetaInfoClassMember('num-sent', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total sent
                ''',
                'num_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=5),
            _MetaInfoClassMember('num-sent-drop', REFERENCE_LIST, 'NumSentDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumSentDrop', 
                [], [], 
                '''                Sent Error/drops
                ''',
                'num_sent_drop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ncd-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats',
            False, 
            [
            _MetaInfoClassMember('ncd-pri', REFERENCE_LIST, 'NcdPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri', 
                [], [], 
                '''                ncd pri
                ''',
                'ncd_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=2),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pl-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-rtr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats',
            False, 
            [
            _MetaInfoClassMember('nsr-conn-to-active-attempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active attempts
                ''',
                'nsr_conn_to_active_attempts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-closes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active closes
                ''',
                'nsr_conn_to_active_closes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active errors
                ''',
                'nsr_conn_to_active_errors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active fails
                ''',
                'nsr_conn_to_active_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active opens
                ''',
                'nsr_conn_to_active_opens',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-fsm-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr fsm state
                ''',
                'nsr_fsm_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-intf-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr intf seq no
                ''',
                'nsr_intf_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr lsa init sync pend count
                ''',
                'nsr_lsa_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad mdata count
                ''',
                'nsr_lsa_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad qid
                ''',
                'nsr_lsa_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr mtu
                ''',
                'nsr_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr nbr init sync pend count
                ''',
                'nsr_nbr_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad mdata count
                ''',
                'nsr_nbr_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad qid
                ''',
                'nsr_nbr_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr seq no
                ''',
                'nsr_nbr_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nodeid
                ''',
                'nsr_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer nodeid
                ''',
                'nsr_peer_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer version
                ''',
                'nsr_peer_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rev', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr rev
                ''',
                'nsr_rev',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rtr-thd-sched', REFERENCE_CLASS, 'NsrRtrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched', 
                [], [], 
                '''                nsr rtr thd sched
                ''',
                'nsr_rtr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-thd-sched', REFERENCE_CLASS, 'NsrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched', 
                [], [], 
                '''                nsr thd sched
                ''',
                'nsr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-tmr-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr tmr quant
                ''',
                'nsr_tmr_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.FrrStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.FrrStats',
            False, 
            [
            _MetaInfoClassMember('fs-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPFRR paths
                ''',
                'fs_paths',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fs-paths-eligible', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths enabled for protection
                ''',
                'fs_paths_eligible',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fs-paths-protected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths protected
                ''',
                'fs_paths_protected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'frr-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.TeStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.TeStats',
            False, 
            [
            _MetaInfoClassMember('adj-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                adj changes
                ''',
                'adj_changes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-gets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                adj gets
                ''',
                'adj_gets',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('control-batch-reads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                control batch reads
                ''',
                'control_batch_reads',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('control-batch-writes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                control batch writes
                ''',
                'control_batch_writes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('control-disconnects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                control disconnects
                ''',
                'control_disconnects',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('data-trans-completes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data trans completes
                ''',
                'data_trans_completes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-announces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                fragment announces
                ''',
                'fragment_announces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                fragment deletes
                ''',
                'fragment_deletes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-batch-reads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link batch reads
                ''',
                'link_batch_reads',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-batch-writes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link batch writes
                ''',
                'link_batch_writes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-floods', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link floods
                ''',
                'link_floods',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-fragment-floods', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link fragment floods
                ''',
                'link_fragment_floods',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsp-gets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsp gets
                ''',
                'lsp_gets',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-br-lkup-num-dests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce br lkup num dests
                ''',
                'pce_br_lkup_num_dests',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-br-lookup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce br lookup
                ''',
                'pce_br_lookup',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-br-resp-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce br resp fails
                ''',
                'pce_br_resp_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce flood
                ''',
                'pce_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-get', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce get
                ''',
                'pce_get',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-listen', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce listen
                ''',
                'pce_listen',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-node-announce-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce node announce batches
                ''',
                'pce_node_announce_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-node-delete-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce node delete batches
                ''',
                'pce_node_delete_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-node-send-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce node send fails
                ''',
                'pce_node_send_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-num-node-announce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce num node announce
                ''',
                'pce_num_node_announce',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-num-node-delete', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce num node delete
                ''',
                'pce_num_node_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-stoplisten', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce stoplisten
                ''',
                'pce_stoplisten',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-num-area-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sr num area enabled
                ''',
                'sr_num_area_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                te connected
                ''',
                'te_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-disconnects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                te disconnects
                ''',
                'te_disconnects',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-sr-idt-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                te sr idt sent
                ''',
                'te_sr_idt_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-sr-path-reg-idt-recvd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                te sr path reg idt recvd
                ''',
                'te_sr_path_reg_idt_recvd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                total tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tunnel-announces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel announces
                ''',
                'tunnel_announces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.ProtocolStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.ProtocolStats',
            False, 
            [
            _MetaInfoClassMember('checksumerr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                checksumerr
                ''',
                'checksumerr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input ack
                ''',
                'h_input_ack',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-dbdes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input dbdes
                ''',
                'h_input_dbdes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-lsupd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input lsupd
                ''',
                'h_input_lsupd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-req', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input req
                ''',
                'h_input_req',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input ack
                ''',
                'input_ack',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-ack-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input ack lsa
                ''',
                'input_ack_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-autherr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input autherr
                ''',
                'input_autherr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-dbdes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input dbdes
                ''',
                'input_dbdes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-dbdes-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input dbdes lsa
                ''',
                'input_dbdes_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input hello
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-lsupd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input lsupd
                ''',
                'input_lsupd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-lsupd-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input lsupd lsa
                ''',
                'input_lsupd_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-req', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input req
                ''',
                'input_req',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-req-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input req lsa
                ''',
                'input_req_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                inputs
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output ack
                ''',
                'output_ack',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-ack-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output ack lsa
                ''',
                'output_ack_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-autherr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output autherr
                ''',
                'output_autherr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-dbdes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output dbdes
                ''',
                'output_dbdes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-dbdes-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output dbdes lsa
                ''',
                'output_dbdes_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output hello
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-lsupd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output lsupd
                ''',
                'output_lsupd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-lsupd-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output lsupd lsa
                ''',
                'output_lsupd_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-req', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output req
                ''',
                'output_req',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-req-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output req lsa
                ''',
                'output_req_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                outputs
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RawIoStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.RawIoStats',
            False, 
            [
            _MetaInfoClassMember('disconnects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                disconnects
                ''',
                'disconnects',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-bytes-rcv', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in bytes rcv
                ''',
                'in_bytes_rcv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-no-mem-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in no mem discarded
                ''',
                'in_no_mem_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-raw-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in raw event
                ''',
                'in_raw_event',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-rcv', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in rcv
                ''',
                'in_rcv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-short-msg-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in short msg discarded
                ''',
                'in_short_msg_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-standby-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in standby discarded
                ''',
                'in_standby_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-not-ready-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr not ready discarded
                ''',
                'nsr_not_ready_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out bytes sent
                ''',
                'out_bytes_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-ipv4-hdr-err-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out ipv4 hdr err discarded
                ''',
                'out_ipv4_hdr_err_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-no-conn-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out no conn discarded
                ''',
                'out_no_conn_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-no-pak-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out no pak discarded
                ''',
                'out_no_pak_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-null-src-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out null src discarded
                ''',
                'out_null_src_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-send-pak-err-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out send pak err discarded
                ''',
                'out_send_pak_err_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out sent
                ''',
                'out_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('raw-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                raw connected
                ''',
                'raw_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sl-raw-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sl raw connected
                ''',
                'sl_raw_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'raw-io-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF aread id string
                ''',
                'area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-stat', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF interface statistics
                ''',
                'if_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-intf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OSPF madj interface
                ''',
                'madj_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'if-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                interface handle type
                ''',
                'handle',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-entry', REFERENCE_LIST, 'IfEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry', 
                [], [], 
                '''                interface entry
                ''',
                'if_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-name-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name
                ''',
                'if_name_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entry', REFERENCE_LIST, 'InterfaceStatsEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry', 
                [], [], 
                '''                Statistics information for a specific interface
                ''',
                'interface_stats_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Statistics' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Statistics',
            False, 
            [
            _MetaInfoClassMember('frr-stats', REFERENCE_CLASS, 'FrrStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.FrrStats', 
                [], [], 
                '''                OSPF fast-reroute statistics
                ''',
                'frr_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-stats-entries', REFERENCE_CLASS, 'InterfaceStatsEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries', 
                [], [], 
                '''                Statistics innformation Interface table
                ''',
                'interface_stats_entries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('issu-stats', REFERENCE_CLASS, 'IssuStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats', 
                [], [], 
                '''                OSPF ISSU statistics
                ''',
                'issu_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pl-stats', REFERENCE_CLASS, 'NsrPlStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats', 
                [], [], 
                '''                OSPF NSR packet library statistics
                ''',
                'nsr_pl_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-stats', REFERENCE_CLASS, 'NsrStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats', 
                [], [], 
                '''                OSPF NSR thread statistics
                ''',
                'nsr_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-stats', REFERENCE_CLASS, 'ProtocolStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.ProtocolStats', 
                [], [], 
                '''                OSPF Protocol statistics
                ''',
                'protocol_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('raw-io-stats', REFERENCE_CLASS, 'RawIoStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RawIoStats', 
                [], [], 
                '''                OSPF RAW IO statistics
                ''',
                'raw_io_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-batch-stats', REFERENCE_CLASS, 'RibBatchStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats', 
                [], [], 
                '''                Stats concerning RIB route updates using the
                Batching API
                ''',
                'rib_batch_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-thread-stats', REFERENCE_CLASS, 'RibThreadStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats', 
                [], [], 
                '''                OSPF RIB thread statistics
                ''',
                'rib_thread_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-stats', REFERENCE_CLASS, 'SpfStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats', 
                [], [], 
                '''                OSPF SPF statistics
                ''',
                'spf_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-stats', REFERENCE_CLASS, 'TeStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics.TeStats', 
                [], [], 
                '''                OSPF TE IO statistics
                ''',
                'te_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Request list interface
                ''',
                'request_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'request_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request', 
                [], [], 
                '''                Request list for a particular adjacency
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'requests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of Area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS Scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Retransmission list interface
                ''',
                'retransmission_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'retransmission_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'retransmission_neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission', 
                [], [], 
                '''                Retransmission list for a particular adjacency
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmissions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation',
            False, 
            [
            _MetaInfoClassMember('area-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-flooding-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flooding_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DBD retransmissions during last
                exchange
                ''',
                'dbd_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DBD retransmissions for this
                neighbor
                ''',
                'dbd_retransmission_total_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'neighbor_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'number_of_retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-retransmission-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Label
                ''',
                'adjacency_sid_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SR Adjacency SID Protected
                ''',
                'adjacency_sid_protected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-unprotected-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Unprotected Label
                ''',
                'adjacency_sid_unprotected_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-oob-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds since last time
                Out-Of-Band resynchronization was done with this
                neighbor
                ''',
                'last_oob_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LFA Interface
                ''',
                'lfa_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Neighbor ID
                ''',
                'lfa_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LFA Neighbor Revision
                ''',
                'lfa_neighbor_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Next Hop
                ''',
                'lfa_next_hop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'neighbor_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'neighbor_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'neighbor_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs
                ''',
                'neighbor_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-lls-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                This is a bitmask of Link Local signalling
                options received from the neighbor
                ''',
                'neighbor_lls_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                 This is bitmaks of neighbor's option field
                received
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-information', REFERENCE_CLASS, 'NeighborRetransmissionInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-summary', REFERENCE_CLASS, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary', 
                [], [], 
                '''                Neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-router-state', REFERENCE_ENUM_CLASS, 'NsfRtrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NsfRtrEnum', 
                [], [], 
                '''                For cisco NSF, the router is either Requester or
                Receiver
                ''',
                'nsf_router_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('oob-resynchronization', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Out-Of-Bound resynchronization in progress
                ''',
                'oob_resynchronization',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('state-change-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes
                ''',
                'state_change_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail', 
                [], [], 
                '''                A single neighbor's detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation',
            False, 
            [
            _MetaInfoClassMember('neighbor-details', REFERENCE_CLASS, 'NeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails', 
                [], [], 
                '''                Neighbor detail table
                ''',
                'neighbor_details',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors', 
                [], [], 
                '''                Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('requests', REFERENCE_CLASS, 'Requests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests', 
                [], [], 
                '''                Request List table
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmissions', REFERENCE_CLASS, 'Retransmissions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions', 
                [], [], 
                '''                Retransmission list table
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'adjacency-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes',
            False, 
            [
            _MetaInfoClassMember('backup-route', REFERENCE_LIST, 'BackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute', 
                [], [], 
                '''                OSPF route including backup paths
                ''',
                'backup_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_LIST, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route', 
                [], [], 
                '''                An OSPF route
                ''',
                'route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-route-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-intact-backup-route', REFERENCE_LIST, 'MulticastIntactBackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute', 
                [], [], 
                '''                OSPF route including multicast backup paths
                ''',
                'multicast_intact_backup_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.FailureTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.FailureTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'failure-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.Common' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.Common',
            False, 
            [
            _MetaInfoClassMember('external-nssa-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 1 count
                ''',
                'external_nssa_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-nssa-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 2 count
                ''',
                'external_nssa_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 1 count
                ''',
                'external_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 2 count
                ''',
                'external_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('inter-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-area count
                ''',
                'inter_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('intra-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-area count
                ''',
                'intra_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_CLASS, 'Common' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.Common', 
                [], [], 
                '''                OSPF route summary Information
                ''',
                'common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Last failed address
                ''',
                'failure_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-time', REFERENCE_CLASS, 'FailureTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.FailureTime', 
                [], [], 
                '''                Last time failed
                ''',
                'failure_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB failure count
                ''',
                'failures',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes',
            False, 
            [
            _MetaInfoClassMember('connected-route', REFERENCE_LIST, 'ConnectedRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute', 
                [], [], 
                '''                Connected route
                ''',
                'connected_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes',
            False, 
            [
            _MetaInfoClassMember('local-route', REFERENCE_LIST, 'LocalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute', 
                [], [], 
                '''                Local route
                ''',
                'local_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas',
            False, 
            [
            _MetaInfoClassMember('multicast-intact-backup-route-area', REFERENCE_LIST, 'MulticastIntactBackupRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea', 
                [], [], 
                '''                OSPF route including Multicast intact backup
                paths
                ''',
                'multicast_intact_backup_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas',
            False, 
            [
            _MetaInfoClassMember('connected-route-area', REFERENCE_LIST, 'ConnectedRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea', 
                [], [], 
                '''                Connected route
                ''',
                'connected_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas',
            False, 
            [
            _MetaInfoClassMember('backup-route-area', REFERENCE_LIST, 'BackupRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea', 
                [], [], 
                '''                OSPF route including backup paths
                ''',
                'backup_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-area-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations',
            False, 
            [
            _MetaInfoClassMember('route-area-information', REFERENCE_LIST, 'RouteAreaInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation', 
                [], [], 
                '''                An OSPF route
                ''',
                'route_area_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-area-informations',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas',
            False, 
            [
            _MetaInfoClassMember('multicast-intact-route-area', REFERENCE_LIST, 'MulticastIntactRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea', 
                [], [], 
                '''                A Muliticast OSPF route in an area
                ''',
                'multicast_intact_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'failure-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common',
            False, 
            [
            _MetaInfoClassMember('external-nssa-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 1 count
                ''',
                'external_nssa_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-nssa-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 2 count
                ''',
                'external_nssa_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 1 count
                ''',
                'external_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 2 count
                ''',
                'external_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('inter-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-area count
                ''',
                'inter_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('intra-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-area count
                ''',
                'intra_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_CLASS, 'Common' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common', 
                [], [], 
                '''                OSPF route summary Information
                ''',
                'common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Last failed address
                ''',
                'failure_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-time', REFERENCE_CLASS, 'FailureTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime', 
                [], [], 
                '''                Last time failed
                ''',
                'failure_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB failure count
                ''',
                'failures',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-area-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas',
            False, 
            [
            _MetaInfoClassMember('local-route-area', REFERENCE_LIST, 'LocalRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea', 
                [], [], 
                '''                Local route
                ''',
                'local_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('backup-route-areas', REFERENCE_CLASS, 'BackupRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas', 
                [], [], 
                '''                OSPF Route Table Including Backup Paths in an
                area
                ''',
                'backup_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-route-areas', REFERENCE_CLASS, 'ConnectedRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas', 
                [], [], 
                '''                OSPF Connected Route Table in an area
                ''',
                'connected_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('local-route-areas', REFERENCE_CLASS, 'LocalRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas', 
                [], [], 
                '''                OSPF Local Route Table
                ''',
                'local_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-backup-route-areas', REFERENCE_CLASS, 'MulticastIntactBackupRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas', 
                [], [], 
                '''                OSPF Route Table Including Multicast Intace
                Backup Paths in an area
                ''',
                'multicast_intact_backup_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-route-areas', REFERENCE_CLASS, 'MulticastIntactRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas', 
                [], [], 
                '''                OSPF Area multicast-intact included route
                entry
                ''',
                'multicast_intact_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-area-informations', REFERENCE_CLASS, 'RouteAreaInformations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations', 
                [], [], 
                '''                OSPF Area Route Entry
                ''',
                'route_area_informations',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-area-information', REFERENCE_CLASS, 'SummaryAreaInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation', 
                [], [], 
                '''                OSPF route summary statistics
                ''',
                'summary_area_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas',
            False, 
            [
            _MetaInfoClassMember('route-area', REFERENCE_LIST, 'RouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea', 
                [], [], 
                '''                OSPF Area Route
                ''',
                'route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_LIST, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route', 
                [], [], 
                '''                An OSPF route
                ''',
                'route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_',
            False, 
            [
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName',
            False, 
            [
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System Number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Connected instance name
                ''',
                'connected_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Autonomous System Number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISIS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'RedistProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'RedistProtocolEnum', 
                [], [], 
                '''                ProtocolType
                ''',
                'protocol_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('extended-community-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area id
                ''',
                'extended_community_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'extended_community_domain_id_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Options
                ''',
                'extended_community_options',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route type
                ''',
                'extended_community_route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router id
                ''',
                'extended_community_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-communityl-domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID type
                ''',
                'extended_communityl_domain_id_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-name', REFERENCE_CLASS, 'ProtocolName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName', 
                [], [], 
                '''                Name of protocol from which the external route
                was redistributed
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-extended-community', REFERENCE_CLASS, 'RouteExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity', 
                [], [], 
                '''                Extended communities in the route
                ''',
                'route_extended_community',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-information', REFERENCE_CLASS, 'RouteInformation_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_', 
                [], [], 
                '''                Route information
                ''',
                'route_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes',
            False, 
            [
            _MetaInfoClassMember('external-route', REFERENCE_LIST, 'ExternalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute', 
                [], [], 
                '''                OSPF external route
                ''',
                'external_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.RouteInformation',
            False, 
            [
            _MetaInfoClassMember('backup-routes', REFERENCE_CLASS, 'BackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes', 
                [], [], 
                '''                OSPF Route Table Including Backup Paths
                ''',
                'backup_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-routes', REFERENCE_CLASS, 'ConnectedRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes', 
                [], [], 
                '''                OSPF Connected Route Table
                ''',
                'connected_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-routes', REFERENCE_CLASS, 'ExternalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes', 
                [], [], 
                '''                OSPF External Route Table
                ''',
                'external_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('local-routes', REFERENCE_CLASS, 'LocalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes', 
                [], [], 
                '''                OSPF Local Route Table
                ''',
                'local_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-backup-routes', REFERENCE_CLASS, 'MulticastIntactBackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes', 
                [], [], 
                '''                OSPF Route Table Including Multicast intact
                Backup Paths
                ''',
                'multicast_intact_backup_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-route-table', REFERENCE_CLASS, 'MulticastIntactRouteTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable', 
                [], [], 
                '''                OSPF Route Table including multicast-intact
                routes
                ''',
                'multicast_intact_route_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-areas', REFERENCE_CLASS, 'RouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas', 
                [], [], 
                '''                OSPF Area Route Table
                ''',
                'route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-table', REFERENCE_CLASS, 'RouteTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable', 
                [], [], 
                '''                OSPF Route Table
                ''',
                'route_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-information', REFERENCE_CLASS, 'SummaryInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation', 
                [], [], 
                '''                OSPF route summary statistics
                ''',
                'summary_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin',
            False, 
            [
            _MetaInfoClassMember('area-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-flooding-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flooding_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DBD retransmissions during last
                exchange
                ''',
                'dbd_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DBD retransmissions for this
                neighbor
                ''',
                'dbd_retransmission_total_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'neighbor_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'number_of_retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-link-retransmissoin',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor',
            False, 
            [
            _MetaInfoClassMember('virtual-link-retransmissoin', REFERENCE_CLASS, 'VirtualLinkRetransmissoin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin', 
                [], [], 
                '''                Neighbor retransmission info
                ''',
                'virtual_link_retransmissoin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Adjacency state
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true Hellos suppressed
                ''',
                'virtual_link_suppress_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-link-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('virtual-link-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Virtual link
                ''',
                'virtual_link_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('transit-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transit area id
                ''',
                'transit_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtaul-link-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission interval (s)
                ''',
                'virtaul_link_retransmission_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'virtual_link_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of the virtual link
                ''',
                'virtual_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-dc-bitless-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA's with demand circuit bit not set
                ''',
                'virtual_link_dc_bitless_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dead interval (s)
                ''',
                'virtual_link_dead_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the link runs as demand circuit
                ''',
                'virtual_link_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (s)
                ''',
                'virtual_link_hello_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-hello-interval-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (ms)
                ''',
                'virtual_link_hello_interval_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this virtual link is formed
                ''',
                'virtual_link_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-keychain-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Virtual Link Keychain ID
                ''',
                'virtual_link_keychain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-last-nsf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since last NSF
                ''',
                'virtual_link_last_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-md-key', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                List of old MD keys (if any)
                ''',
                'virtual_link_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual link name
                ''',
                'virtual_link_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor', REFERENCE_CLASS, 'VirtualLinkNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'virtual_link_neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor on other end of this virtual link
                ''',
                'virtual_link_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-next-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (s)
                ''',
                'virtual_link_next_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-next-hello-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (ms)
                ''',
                'virtual_link_next_hello_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF restart in progress on the virtual
                link
                ''',
                'virtual_link_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF enabled
                ''',
                'virtual_link_nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-old-md-key-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors still using the old key
                (rollover in progress)
                ''',
                'virtual_link_old_md_key_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is passive
                ''',
                'virtual_link_passive',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the virtual link
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait interval (s)
                ''',
                'virtual_link_wait_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-youngest-md-key', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MD key configured
                ''',
                'virtual_link_youngest_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-youngest-md-key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Youngest MD key ID
                ''',
                'virtual_link_youngest_md_key_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virual-link-transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmission delay in seconds
                ''',
                'virual_link_transmission_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks',
            False, 
            [
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink', 
                [], [], 
                '''                Information for one Virtual link
                ''',
                'virtual_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-links',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface in fast detect hold down state
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief', 
                [], [], 
                '''                OSPF interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier
                ''',
                'detection_multiplier',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms)
                ''',
                'interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'interface_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'interface_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms)
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('keychain-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Keychain ID
                ''',
                'keychain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms)
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('md-keys', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                List of old MD keys
                ''',
                'md_keys',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('old-md5-key-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors using the old key (if
                rollover in progress)
                ''',
                'old_md5_key_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed
                ''',
                'suppress_hello_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MD key is configured
                ''',
                'youngest_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Youngest MD key ID
                ''',
                'youngest_md_key_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor Router ID
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backup designated router
                ''',
                'neighbor_bdr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Designated router
                ''',
                'neighbor_dr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hellos suppressed
                ''',
                'suppress_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers',
            False, 
            [
            _MetaInfoClassMember('tiebreaker-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tiebreaker Index
                ''',
                'tiebreaker_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tiebreaker-type', REFERENCE_ENUM_CLASS, 'IpfrrTbrkrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrTbrkrEnum', 
                [], [], 
                '''                Tiebreaker Type
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipfrr-tiebreakers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router
                ''',
                'backup_designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cfg-cost-fallback', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is configured
                ''',
                'cfg_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit
                ''',
                'configured_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync-igp-shortcuts', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sync igp shortcuts
                ''',
                'configured_ldp_sync_igp_shortcuts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cost-fallback-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is active
                ''',
                'cost_fallback_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s)
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-down time in ms for fast-detect event
                ''',
                'fast_detect_hold_down_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining hold down time in ms
                ''',
                'fast_detect_hold_down_time_remaining',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-topology-independent-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Topology Independent LFA
                ''',
                'fast_reroute_topology_independent_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-type', REFERENCE_ENUM_CLASS, 'IpfrrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrEnum', 
                [], [], 
                '''                IP Fast Reroute Type
                ''',
                'fast_reroute_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (ms)
                ''',
                'hello_interval_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'interface_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'interface_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface bandwidth
                ''',
                'interface_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bfd-information', REFERENCE_CLASS, 'InterfaceBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation', 
                [], [], 
                '''                BFD information
                ''',
                'interface_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-cost-fallback', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface fallback cost
                ''',
                'interface_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'interface_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Link in hold-down state due to fast detect event
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-last-nsf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last NSF restart (s)
                ''',
                'interface_last_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-line-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up
                ''',
                'interface_line_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-lsa-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs
                ''',
                'interface_lsa_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF restart in progress on this
                interface
                ''',
                'interface_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF is enabled
                ''',
                'interface_nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-retransmission-interrval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s)
                ''',
                'interface_retransmission_interrval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Router ID
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface SID
                ''',
                'interface_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID N-Flag Clear
                ''',
                'interface_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID PHP Off
                ''',
                'interface_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Strict-SPF SID
                ''',
                'interface_strict_spf_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID N-Flag Clear
                ''',
                'interface_strict_spf_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID PHP Off
                ''',
                'interface_strict_spf_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-tunnel-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface tunnel flags
                ''',
                'interface_tunnel_flags',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IP MTU
                ''',
                'ip_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-tiebreakers', REFERENCE_LIST, 'IpfrrTiebreakers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers', 
                [], [], 
                '''                IPFRR-Tiebreakers list
                ''',
                'ipfrr_tiebreakers',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('is-loopback-stub-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, loopback interface is advertised as a
                stub network
                ''',
                'is_loopback_stub_network',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-packet-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum Packet Size
                ''',
                'maximum_packet_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s)
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (ms)
                ''',
                'next_hello_time_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, passive interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-primary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for primary addresses
                ''',
                'prefix_suppress_primary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-secondary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for secondary addresses
                ''',
                'prefix_suppress_secondary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('registered-for-link-down-fast-detection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Registered for Link Down Fast Detection
                ''',
                'registered_for_link_down_fast_detection',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG Values
                ''',
                'srlg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface Transmission delay
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL security enabled on the interface
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TTL security hop counts
                ''',
                'ttl_security_hop_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s)
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface', 
                [], [], 
                '''                OSPF interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation',
            False, 
            [
            _MetaInfoClassMember('interface-briefs', REFERENCE_CLASS, 'InterfaceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs', 
                [], [], 
                '''                OSPF Interface Brief Table
                ''',
                'interface_briefs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces', 
                [], [], 
                '''                OSPF Interface Table
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-links', REFERENCE_CLASS, 'VirtualLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks', 
                [], [], 
                '''                Virtual Link table
                ''',
                'virtual_links',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath',
            False, 
            [
            _MetaInfoClassMember('border-router-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area string in decimal or dotted-decimal format
                ''',
                'border_router_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'border_router_next_hop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-next-hop-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'border_router_next_hop_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'border_router_route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'border_router_route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-type', REFERENCE_ENUM_CLASS, 'OspfBrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfBrEnum', 
                [], [], 
                '''                Border router type
                ''',
                'border_router_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF run instance count
                ''',
                'spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'border-router-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter',
            False, 
            [
            _MetaInfoClassMember('border-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router address
                ''',
                'border_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('border-router-id-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Border Router
                ''',
                'border_router_id_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-path', REFERENCE_LIST, 'BorderRouterPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath', 
                [], [], 
                '''                List of Border Router paths
                ''',
                'border_router_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'border-router',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.BorderRouters' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.BorderRouters',
            False, 
            [
            _MetaInfoClassMember('border-router', REFERENCE_LIST, 'BorderRouter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter', 
                [], [], 
                '''                Information for a particular border router
                ''',
                'border_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'border-routers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface',
            False, 
            [
            _MetaInfoClassMember('protocol-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'protocol_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-interface-dist-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'protocol_interface_dist_list_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'protocol_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Area ID if in IP address format
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID if in integer format
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protcol-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal and dotted-decimal
                format
                ''',
                'protcol_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-area-dist-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'protocol_area_dist_list_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-interface', REFERENCE_LIST, 'ProtocolInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface', 
                [], [], 
                '''                Interface list
                ''',
                'protocol_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-mpls', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS-TE enabled
                ''',
                'protocol_mpls',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas',
            False, 
            [
            _MetaInfoClassMember('protocol-area', REFERENCE_LIST, 'ProtocolArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea', 
                [], [], 
                '''                Area information
                ''',
                'protocol_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolSummary',
            False, 
            [
            _MetaInfoClassMember('administrative-distance-external', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for External routes
                ''',
                'administrative_distance_external',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('administrative-distance-inter-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for Inter Area routes
                ''',
                'administrative_distance_inter_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dist-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'dist_list_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative distance
                ''',
                'protocol_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if NSF enabled
                ''',
                'protocol_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'protocol_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol',
            False, 
            [
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System Number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Connected instance name
                ''',
                'connected_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Autonomous System Number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISIS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'RedistProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'RedistProtocolEnum', 
                [], [], 
                '''                ProtocolType
                ''',
                'protocol_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution',
            False, 
            [
            _MetaInfoClassMember('classless', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether to use CIDR
                ''',
                'classless',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Metric configured
                ''',
                'metric_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                To NSSA areas only
                ''',
                'nssa_only',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('process-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Process name
                ''',
                'process_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Protocol name
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-protocol', REFERENCE_CLASS, 'RedistributionProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol', 
                [], [], 
                '''                Protocol Information
                ''',
                'redistribution_protocol',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions',
            False, 
            [
            _MetaInfoClassMember('redistribution', REFERENCE_LIST, 'Redistribution' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution', 
                [], [], 
                '''                Redistribution information
                ''',
                'redistribution',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistributions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange',
            False, 
            [
            _MetaInfoClassMember('advertise-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether to advertise Summary LSAs for this range
                ''',
                'advertise_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('range-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'range_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('range-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP prefix for summarization
                ''',
                'range_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Area ID if in IP address format
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-adj-stag-num-nbr-forming', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of nbrs currently forming
                ''',
                'area_adj_stag_num_nbr_forming',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA with demand circuit bit not set
                ''',
                'area_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID if in integer format
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string
                ''',
                'area_id_string',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of interfaces in the area
                ''',
                'area_interface_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LFA enabled interfaces
                ''',
                'area_lfa_interface_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lfa-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area LFA revision
                ''',
                'area_lfa_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of all area LSAs checksum
                ''',
                'area_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs in the Area
                ''',
                'area_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-nssa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, area is a NSSA
                ''',
                'area_nssa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-num-nbr-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of full nbrs in area
                ''',
                'area_num_nbr_full',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksums
                ''',
                'area_opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-opaque-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Opaque LSAs in the Area
                ''',
                'area_opaque_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-per-prefix-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Per Prefix LFA enabled interfaces
                ''',
                'area_per_prefix_lfa_interface_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-in', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, inbound policy is configured
                ''',
                'area_policy_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-in-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inbound summary lsa filtering policy
                ''',
                'area_policy_in_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, outbound policy is configured
                ''',
                'area_policy_out',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-out-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound summary lsa filtering policy
                ''',
                'area_policy_out_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-range', REFERENCE_LIST, 'AreaRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange', 
                [], [], 
                '''                List of ranges to summarize
                ''',
                'area_range',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-stub', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub area
                ''',
                'area_stub',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-total-stub', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, totally stubby area
                ''',
                'area_total_stub',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backbone-area-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backbone area is active
                ''',
                'backbone_area_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dna-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DoNotAge LSAs
                ''',
                'dna_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise intra-area prefixes as
                external
                ''',
                'external_out',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs which need to be flooded
                ''',
                'flood_list_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('indication-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of indication LSAs
                ''',
                'indication_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, generate NSSA default route
                ''',
                'nssa_default',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-no-redistribution', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, No redistribution into this NSSA area
                ''',
                'nssa_no_redistribution',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-translate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, perform 7/5 translation
                ''',
                'nssa_translate',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('segment-routing', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If true, Segment Routing enabled
                ''',
                'segment_routing',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations run
                ''',
                'spf_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Segment routing Uloop avoidance        
                is currently active in this area
                ''',
                'sr_microloop_avoidance_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-event-type', REFERENCE_ENUM_CLASS, 'SrUloopEventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrUloopEventEnum', 
                [], [], 
                '''                Event for which SR uloop is triggered           
                Link Up/Link Down
                ''',
                'sr_microloop_avoidance_event_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-far-end-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link State ID of the far end                    
                of the topology change
                ''',
                'sr_microloop_avoidance_far_end_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-near-end-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link State ID of the near end                   
                of the topology change
                ''',
                'sr_microloop_avoidance_near_end_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-pseudonode-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link State ID of the pseudo node,               
                if the change is on a broadcast link
                ''',
                'sr_microloop_avoidance_pseudonode_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-strict-spf-cap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, All routers in Area are SR Strict-SPF
                Capable
                ''',
                'sr_strict_spf_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-strict-spfsids-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, All routers in Area have SR Strict-SPF
                SIDs
                ''',
                'sr_strict_spfsids_available',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stub-default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default cost for Stub or NSSA area
                ''',
                'stub_default_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-in', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise redistributedprefixes as
                summary
                ''',
                'summary_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE enabled
                ''',
                'te_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-topology-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE area topology version number
                ''',
                'te_topology_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas',
            False, 
            [
            _MetaInfoClassMember('process-area', REFERENCE_LIST, 'ProcessArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea', 
                [], [], 
                '''                Detailed information for a particular area
                ''',
                'process_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'primary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'secondary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId',
            False, 
            [
            _MetaInfoClassMember('primary-domain-id', REFERENCE_CLASS, 'PrimaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId', 
                [], [], 
                '''                Primary Domain ID
                ''',
                'primary_domain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('secondary-domain-id', REFERENCE_LIST, 'SecondaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId', 
                [], [], 
                '''                List of secondary domain IDs
                ''',
                'secondary_domain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'maximum-metric-time-unset',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-metric-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Max-metric enabled
                ''',
                'max_metric_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-metric-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Max-metric reason
                ''',
                'max_metric_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-external-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise max-metric in external-LSAs
                ''',
                'maximum_metric_external_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-external-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max-metric value to advertise in external-LSAs
                ''',
                'maximum_metric_external_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-include-stubs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, set max-metric in stub links
                ''',
                'maximum_metric_include_stubs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-originated-for', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time max-metric was used for
                ''',
                'maximum_metric_originated_for',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time remaining until we will start using normal
                metrics (s)
                ''',
                'maximum_metric_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-summary-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise max-metric in summary-LSAs
                ''',
                'maximum_metric_summary_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-summary-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max-metric value to advertise in summary-LSAs
                ''',
                'maximum_metric_summary_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-time-unset', REFERENCE_CLASS, 'MaximumMetricTimeUnset' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset', 
                [], [], 
                '''                Time max-metric condition was cleared
                ''',
                'maximum_metric_time_unset',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-unset-reason', REFERENCE_ENUM_CLASS, 'MaxMetricUnsetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MaxMetricUnsetReasonEnum', 
                [], [], 
                '''                Max-metric unset reason
                ''',
                'maximum_metric_unset_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('saved-startup-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time configured (s)
                ''',
                'saved_startup_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('saved-unset-maximum-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Saved UnsetMaximumMetric
                ''',
                'saved_unset_maximum_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unset-maximum-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, BGP is up, no maximum metric Router LSA
                ''',
                'unset_maximum_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol',
            False, 
            [
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System Number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Connected instance name
                ''',
                'connected_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Autonomous System Number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISIS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'RedistProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'RedistProtocolEnum', 
                [], [], 
                '''                ProtocolType
                ''',
                'protocol_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution',
            False, 
            [
            _MetaInfoClassMember('classless', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether to use CIDR
                ''',
                'classless',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Metric configured
                ''',
                'metric_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                To NSSA areas only
                ''',
                'nssa_only',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-protocol', REFERENCE_CLASS, 'RedistributionProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol', 
                [], [], 
                '''                Protocol Information
                ''',
                'redistribution_protocol',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary',
            False, 
            [
            _MetaInfoClassMember('adj-stag-init-num-nbr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of nbrs brought up initially per area
                ''',
                'adj_stag_init_num_nbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-stag-max-num-nbr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max num of nbrs brought up simultaneously per
                OSPF instance
                ''',
                'adj_stag_max_num_nbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-stag-num-nbr-forming', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of nbrs currently forming for OSPF instance
                ''',
                'adj_stag_num_nbr_forming',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-stagger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, OSPF Adjacency Staggering is configured
                ''',
                'adj_stagger_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an Area Border Router
                ''',
                'area_border_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of areas
                ''',
                'area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an AS Border Router
                ''',
                'as_border_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of External and AS Opaque LSAs with
                demand circut bit not set
                ''',
                'as_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-dna-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of External and AS Opaque LSAs with
                DoNotAge set 
                ''',
                'as_dna_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of AS scope LSA checksum
                ''',
                'as_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS scope LSAs
                ''',
                'as_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-lsa-flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of AS LSAs flood list
                ''',
                'as_lsa_flood_list_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('context-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                Context name
                ''',
                'context_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('domain-id', REFERENCE_CLASS, 'DomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId', 
                [], [], 
                '''                Domain ID information
                ''',
                'domain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('graceful-shutdown-retention-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time routes are retained after
                graceful shutdown (s)
                ''',
                'graceful_shutdown_retention_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('graceful-shutdown-state', REFERENCE_ENUM_CLASS, 'GsStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'GsStateEnum', 
                [], [], 
                '''                State of graceful shutdown
                ''',
                'graceful_shutdown_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-flood-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flood pacing timer (ms)
                ''',
                'if_flood_pacing_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-retrans-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Retransmission pacing timer (ms)
                ''',
                'if_retrans_pacing_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-intact-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, running in IGP-Intact mode
                ''',
                'igp_intact_on',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-nsf-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Length of time since the last NSF (s)
                ''',
                'last_nsf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second delay before generating next LSA (ms)
                ''',
                'lsa_hold_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay before generating an LSA (ms)
                ''',
                'lsa_maximum_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA refresh interval (sec)
                ''',
                'lsa_refresh_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-start-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inital LSA throttle delay (ms)
                ''',
                'lsa_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-bound', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if bound to LSD
                ''',
                'lsd_bound',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if connected to LSD
                ''',
                'lsd_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-connection-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSD Connection Revision
                ''',
                'lsd_connection_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if registered with LSD
                ''',
                'lsd_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, max-lsa protection enabled
                ''',
                'max_lsa_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How many times ignore state has been entered
                ''',
                'max_lsa_ignore_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max allowed number of entering ignore state
                ''',
                'max_lsa_ignore_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time ignoring new LSAs after max-lsa reached
                ''',
                'max_lsa_ignore_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running
                ''',
                'max_lsa_ignore_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum allowed number of non self-generated
                LSAs
                ''',
                'max_lsa_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-reset-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time after which LSA protection counter is reset
                ''',
                'max_lsa_reset_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-reset-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when reset timer is running
                ''',
                'max_lsa_reset_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-treshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max-lsa protection warning threshold
                ''',
                'max_lsa_treshold',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when max-lsa reached
                ''',
                'max_lsa_warning_only',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of interfaces
                ''',
                'maximum_interfaces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric', REFERENCE_LIST, 'MaximumMetric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric', 
                [], [], 
                '''                Max-metric list
                ''',
                'maximum_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-abr-off-buffer-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Buffer time in seconds since last neighbor
                activity, to remain in max-metric ABR off state
                ''',
                'maximum_metric_abr_off_buffer_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-abr-off-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, ABR duties temporarily disabled
                ''',
                'maximum_metric_abr_off_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-abr-off-reasons', REFERENCE_ENUM_CLASS, 'OspfMaxMetricAbrOffReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfMaxMetricAbrOffReasonsEnum', 
                [], [], 
                '''                Reasons for ABR duties being temporarily
                disabled
                ''',
                'maximum_metric_abr_off_reasons',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-set-reason', REFERENCE_ENUM_CLASS, 'MaxMetricSetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MaxMetricSetReasonEnum', 
                [], [], 
                '''                Max-metric set reason
                ''',
                'maximum_metric_set_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-start', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, originate Router LSA with maximum
                metric
                ''',
                'maximum_metric_start',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-start-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time remaining for hold down timer (s)
                ''',
                'maximum_metric_start_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Uloop is active
                ''',
                'microloop_avoidance_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop delay time after which actual         
                post convergence paths are given to RIB (s)
                ''',
                'microloop_avoidance_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-delay-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for uloop delay timer            
                to expire (s)
                ''',
                'microloop_avoidance_delay_expiry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-type', REFERENCE_ENUM_CLASS, 'UloopAvoidanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'UloopAvoidanceEnum', 
                [], [], 
                '''                Microloop avoidance type configured
                ''',
                'microloop_avoidance_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-arrival-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum time between accepting LSAs (ms) Rel 4.0
                .1, deprecated by MinimumLSAArrivalIntervalU32]
                ''',
                'minimum_lsa_arrival_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-arrival-interval-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time between accepting LSAs (ms)
                ''',
                'minimum_lsa_arrival_interval_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum time between LSA regeneration (ms) Rel 4
                .0.1, deprecated by MinimumLSAIntervalU32]
                ''',
                'minimum_lsa_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-interval-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time between LSA regeneration (ms)
                ''',
                'minimum_lsa_interval_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('non-self-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Non self-generated LSA count
                ''',
                'non_self_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('normal-area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of normal Areas
                ''',
                'normal_area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF enabled
                ''',
                'nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total time to complete NSF (s)
                ''',
                'nsf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSR is enabled
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-switchover-on-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger RP Switchover on detectable process
                restart
                ''',
                'nsr_switchover_on_restart',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of NSSA Areas
                ''',
                'nssa_area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-nbrs-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of full nbrs
                ''',
                'number_nbrs_full',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Opaque LSA capable
                ''',
                'opaque_capable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksum
                ''',
                'opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Opaque LSAs
                ''',
                'opaque_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution', REFERENCE_LIST, 'Redistribution' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution', 
                [], [], 
                '''                Redistribution list
                ''',
                'redistribution',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of redistributed prefixes allowed
                ''',
                'redistribution_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-limit-warn', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, only a syslog message is printed when
                redistribution prefix limit is reached
                ''',
                'redistribution_limit_warn',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                When the number of redistributed prefixes
                reaches this threshold, a warning message is
                issued
                ''',
                'redistribution_threshold',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('role', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Role, V1/V2 Active/Standby
                ''',
                'role',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Role is Standby, Active otherwise
                ''',
                'role_standby',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('snmp-trap-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, snmp trap is enabled
                ''',
                'snmp_trap_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum delay time between SPF runs (ms) This is
                valid if configured below 64k Deprecated by
                SPFHoldTimeU32]
                ''',
                'spf_hold_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-hold-time-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum delay time between SPF runs (ms)
                ''',
                'spf_hold_time_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum delay time between SPF runs (ms) This is
                valid if configured below 64k Deprecated by
                SPFMaximumTimeU32]
                ''',
                'spf_maximum_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-maximum-time-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay time between SPF runs (ms)
                ''',
                'spf_maximum_time_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-prefix-priority', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, prefix-priority policy is configured
                ''',
                'spf_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-prefix-priority-route-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SPF Prefix-priority route policy
                ''',
                'spf_prefix_priority_route_policy',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Scheduling delay for SPF (ms) This is valid if
                configured below 64k Deprecated by
                SPFStartTimeU32]
                ''',
                'spf_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-start-time-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Scheduling delay for SPF (ms)
                ''',
                'spf_start_time_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-strict-spf-cap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if Segment Routing Strict-SPF capable
                ''',
                'sr_strict_spf_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if Segment Routing Global Block configured
                ''',
                'srgb_configured',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment Routing Global Block end label value
                ''',
                'srgb_end',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment Routing Global Block start label value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-status', REFERENCE_ENUM_CLASS, 'OspfSrgbStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfSrgbStatusEnum', 
                [], [], 
                '''                Segment Routing Global Block allocation status
                ''',
                'srgb_status',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stub-area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Stub and Total Stub Areas
                ''',
                'stub_area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('table-prefix-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, prefix limit for table has been 
                reached
                ''',
                'table_prefix_limit_reached',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of Service supported
                ''',
                'tos_options',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, UCMP is enabled
                ''',
                'ucmp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Delay between end of SPF and start of UCMP
                calculation (ms)
                ''',
                'ucmp_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp-prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                UCMP Prefix-list
                ''',
                'ucmp_prefix_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp-variance', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                UCMP Variance
                ''',
                'ucmp_variance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('vrf-lite-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, vrf lite is enabled
                ''',
                'vrf_lite_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation',
            False, 
            [
            _MetaInfoClassMember('process-areas', REFERENCE_CLASS, 'ProcessAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas', 
                [], [], 
                '''                Process Area table
                ''',
                'process_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('process-summary', REFERENCE_CLASS, 'ProcessSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary', 
                [], [], 
                '''                Basic OSPF summary information
                ''',
                'process_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-areas', REFERENCE_CLASS, 'ProtocolAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas', 
                [], [], 
                '''                Protocol Area table
                ''',
                'protocol_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-summary', REFERENCE_CLASS, 'ProtocolSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolSummary', 
                [], [], 
                '''                Basic OSPF protocol information
                ''',
                'protocol_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistributions', REFERENCE_CLASS, 'Redistributions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions', 
                [], [], 
                '''                Redistribution information table
                ''',
                'redistributions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'flood_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded
                ''',
                'flood_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS update due (ms)
                ''',
                'flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood', 
                [], [], 
                '''                Flooding information for a specific interface
                ''',
                'flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood-list-area-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface in fast detect hold down state
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief', 
                [], [], 
                '''                OSPF interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Request list interface
                ''',
                'request_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'request_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request', 
                [], [], 
                '''                Request list for a particular adjacency
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'requests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of Area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS Scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Retransmission list interface
                ''',
                'retransmission_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'retransmission_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'retransmission_neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission', 
                [], [], 
                '''                Retransmission list for a particular adjacency
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmissions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF aread id string
                ''',
                'area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-stat', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF interface statistics
                ''',
                'if_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-intf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OSPF madj interface
                ''',
                'madj_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'if-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                interface handle type
                ''',
                'handle',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-entry', REFERENCE_LIST, 'IfEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry', 
                [], [], 
                '''                interface entry
                ''',
                'if_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-name-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name
                ''',
                'if_name_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entry', REFERENCE_LIST, 'InterfaceStatsEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry', 
                [], [], 
                '''                Statistics information for a specific interface
                ''',
                'interface_stats_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entries', REFERENCE_CLASS, 'InterfaceStatsEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries', 
                [], [], 
                '''                Statistics innformation Interface table
                ''',
                'interface_stats_entries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation',
            False, 
            [
            _MetaInfoClassMember('area-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-flooding-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flooding_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DBD retransmissions during last
                exchange
                ''',
                'dbd_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DBD retransmissions for this
                neighbor
                ''',
                'dbd_retransmission_total_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'neighbor_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'number_of_retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-retransmission-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Label
                ''',
                'adjacency_sid_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SR Adjacency SID Protected
                ''',
                'adjacency_sid_protected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-unprotected-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Unprotected Label
                ''',
                'adjacency_sid_unprotected_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-oob-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds since last time
                Out-Of-Band resynchronization was done with this
                neighbor
                ''',
                'last_oob_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LFA Interface
                ''',
                'lfa_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Neighbor ID
                ''',
                'lfa_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LFA Neighbor Revision
                ''',
                'lfa_neighbor_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Next Hop
                ''',
                'lfa_next_hop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'neighbor_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'neighbor_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'neighbor_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs
                ''',
                'neighbor_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-lls-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                This is a bitmask of Link Local signalling
                options received from the neighbor
                ''',
                'neighbor_lls_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                 This is bitmaks of neighbor's option field
                received
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-information', REFERENCE_CLASS, 'NeighborRetransmissionInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-summary', REFERENCE_CLASS, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary', 
                [], [], 
                '''                Neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-router-state', REFERENCE_ENUM_CLASS, 'NsfRtrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NsfRtrEnum', 
                [], [], 
                '''                For cisco NSF, the router is either Requester or
                Receiver
                ''',
                'nsf_router_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('oob-resynchronization', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Out-Of-Bound resynchronization in progress
                ''',
                'oob_resynchronization',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('state-change-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes
                ''',
                'state_change_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail', 
                [], [], 
                '''                A single neighbor's detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier
                ''',
                'detection_multiplier',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms)
                ''',
                'interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'interface_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'interface_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms)
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('keychain-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Keychain ID
                ''',
                'keychain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms)
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('md-keys', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                List of old MD keys
                ''',
                'md_keys',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('old-md5-key-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors using the old key (if
                rollover in progress)
                ''',
                'old_md5_key_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed
                ''',
                'suppress_hello_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MD key is configured
                ''',
                'youngest_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Youngest MD key ID
                ''',
                'youngest_md_key_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor Router ID
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backup designated router
                ''',
                'neighbor_bdr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Designated router
                ''',
                'neighbor_dr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hellos suppressed
                ''',
                'suppress_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers',
            False, 
            [
            _MetaInfoClassMember('tiebreaker-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tiebreaker Index
                ''',
                'tiebreaker_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tiebreaker-type', REFERENCE_ENUM_CLASS, 'IpfrrTbrkrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrTbrkrEnum', 
                [], [], 
                '''                Tiebreaker Type
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipfrr-tiebreakers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router
                ''',
                'backup_designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cfg-cost-fallback', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is configured
                ''',
                'cfg_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit
                ''',
                'configured_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync-igp-shortcuts', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sync igp shortcuts
                ''',
                'configured_ldp_sync_igp_shortcuts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cost-fallback-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is active
                ''',
                'cost_fallback_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s)
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-down time in ms for fast-detect event
                ''',
                'fast_detect_hold_down_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining hold down time in ms
                ''',
                'fast_detect_hold_down_time_remaining',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-topology-independent-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Topology Independent LFA
                ''',
                'fast_reroute_topology_independent_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-type', REFERENCE_ENUM_CLASS, 'IpfrrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrEnum', 
                [], [], 
                '''                IP Fast Reroute Type
                ''',
                'fast_reroute_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (ms)
                ''',
                'hello_interval_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'interface_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'interface_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface bandwidth
                ''',
                'interface_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bfd-information', REFERENCE_CLASS, 'InterfaceBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation', 
                [], [], 
                '''                BFD information
                ''',
                'interface_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-cost-fallback', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface fallback cost
                ''',
                'interface_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'interface_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Link in hold-down state due to fast detect event
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-last-nsf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last NSF restart (s)
                ''',
                'interface_last_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-line-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up
                ''',
                'interface_line_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-lsa-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs
                ''',
                'interface_lsa_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF restart in progress on this
                interface
                ''',
                'interface_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF is enabled
                ''',
                'interface_nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-retransmission-interrval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s)
                ''',
                'interface_retransmission_interrval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Router ID
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface SID
                ''',
                'interface_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID N-Flag Clear
                ''',
                'interface_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID PHP Off
                ''',
                'interface_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Strict-SPF SID
                ''',
                'interface_strict_spf_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID N-Flag Clear
                ''',
                'interface_strict_spf_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID PHP Off
                ''',
                'interface_strict_spf_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-tunnel-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface tunnel flags
                ''',
                'interface_tunnel_flags',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IP MTU
                ''',
                'ip_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-tiebreakers', REFERENCE_LIST, 'IpfrrTiebreakers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers', 
                [], [], 
                '''                IPFRR-Tiebreakers list
                ''',
                'ipfrr_tiebreakers',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('is-loopback-stub-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, loopback interface is advertised as a
                stub network
                ''',
                'is_loopback_stub_network',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-packet-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum Packet Size
                ''',
                'maximum_packet_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s)
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (ms)
                ''',
                'next_hello_time_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, passive interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-primary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for primary addresses
                ''',
                'prefix_suppress_primary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-secondary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for secondary addresses
                ''',
                'prefix_suppress_secondary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('registered-for-link-down-fast-detection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Registered for Link Down Fast Detection
                ''',
                'registered_for_link_down_fast_detection',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG Values
                ''',
                'srlg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface Transmission delay
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL security enabled on the interface
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TTL security hop counts
                ''',
                'ttl_security_hop_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s)
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface', 
                [], [], 
                '''                OSPF interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas.Area',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-list-area-table', REFERENCE_CLASS, 'FloodListAreaTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable', 
                [], [], 
                '''                Area specific flood list table
                ''',
                'flood_list_area_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-briefs', REFERENCE_CLASS, 'InterfaceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs', 
                [], [], 
                '''                OSPF Interface Brief Table
                ''',
                'interface_briefs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces', 
                [], [], 
                '''                OSPF Interface Table
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-details', REFERENCE_CLASS, 'NeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails', 
                [], [], 
                '''                Neighbor detail table
                ''',
                'neighbor_details',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors', 
                [], [], 
                '''                Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('requests', REFERENCE_CLASS, 'Requests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests', 
                [], [], 
                '''                Request List table
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmissions', REFERENCE_CLASS, 'Retransmissions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions', 
                [], [], 
                '''                Retransmission list table
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Areas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Areas',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas.Area', 
                [], [], 
                '''                Container for per area data
                ''',
                'area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer',
            False, 
            [
            _MetaInfoClassMember('last-inst-minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Minute table index processed
                ''',
                'last_inst_minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-inst-second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Second table index processed
                ''',
                'last_inst_second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-location', REFERENCE_ENUM_CLASS, 'TimerTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerTableEnum', 
                [], [], 
                '''                Timer table
                ''',
                'timer_location',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'TimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerEnum', 
                [], [], 
                '''                Timer type
                ''',
                'timer_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-throttle-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-last-updated-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsadb-base-time-stamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty
                ''',
                'acknowledgement',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'flood_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-age', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'maximum_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'neighbor_exchange',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'no_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'nsr_ack_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'partial_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table
                ''',
                'routing_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-orig-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending summary LSA originating
                ''',
                'sum_orig_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'not-delete',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData',
            False, 
            [
            _MetaInfoClassMember('advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'advertising_router_reachable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ase-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                External Origin
                ''',
                'ase_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, capable of demand circuit as indicated
                by LSA's option field
                ''',
                'demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                if true, DN bit set on the summary LSA indicated
                by LSA's option field
                ''',
                'dn_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Not In Sync With Active
                ''',
                'in_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-last-updated-time', REFERENCE_CLASS, 'LsaLastUpdatedTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime', 
                [], [], 
                '''                Time LSA was last updated
                ''',
                'lsa_last_updated_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Current LSA prefix priority
                ''',
                'lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-rate-limit-due-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Due time for rate-limit timer (ms)
                ''',
                'lsa_rate_limit_due_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-throttle-timer', REFERENCE_CLASS, 'LsaThrottleTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer', 
                [], [], 
                '''                LSA throttle timer table information
                ''',
                'lsa_throttle_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Clock stamp since boot
                ''',
                'lsadb_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-time-stamp', REFERENCE_CLASS, 'LsadbBaseTimeStamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp', 
                [], [], 
                '''                Current time stamp
                ''',
                'lsadb_base_time_stamp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                New LSA prefix priority
                ''',
                'new_lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('not-delete', REFERENCE_CLASS, 'NotDelete' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete', 
                [], [], 
                '''                Reason why LSA is not deleted
                ''',
                'not_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-translation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  capable of type 7 to 5 translation
                indicated by LSA's option field
                ''',
                'nssa_translation',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'routing_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Summary Origin
                ''',
                'sum_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, type of service capable indicated by
                LSA's option field
                ''',
                'tos_capable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-detail-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'internal-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-link', REFERENCE_LIST, 'InternalLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink', 
                [], [], 
                '''                List of links for internal LSA
                ''',
                'internal_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal LSA
                ''',
                'internal_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-abr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Area Border Router
                ''',
                'router_abr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Autonomous system Border
                Router
                ''',
                'router_asbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Network prefix length
                ''',
                'network_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-sum-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_sum_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-metric', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'summary_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Summary LSA prefix length
                ''',
                'summary_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric',
            False, 
            [
            _MetaInfoClassMember('external-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of this route
                ''',
                'external_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-metric-type', REFERENCE_ENUM_CLASS, 'ExMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'ExMetricEnum', 
                [], [], 
                '''                External LSA metric type
                ''',
                'external_metric_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of Service
                ''',
                'external_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-tos-metric',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'external_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos-metric', REFERENCE_LIST, 'ExternalTosMetric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric', 
                [], [], 
                '''                Type of service information
                ''',
                'external_tos_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-external-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_external_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which the Opaque link LSA is
                received
                ''',
                'opaque_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-mpls-te-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time the router's neighbor should
                advertise it fully adjacent (s)
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'OspfGrReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfGrReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP interface address on the subnet associated
                with the grace LSA
                ''',
                'ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv',
            False, 
            [
            _MetaInfoClassMember('rtr-cap-additional-info', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Additional Information in TLV
                ''',
                'rtr_cap_additional_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-all-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                All capability bits
                ''',
                'rtr_cap_all_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-area-te', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Traffic Engineering capability of area
                ''',
                'rtr_cap_area_te',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability
                ''',
                'rtr_cap_graceful_restart',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart-helper', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Helper Capability
                ''',
                'rtr_cap_graceful_restart_helper',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-p2plan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2P LAN Capability
                ''',
                'rtr_cap_p2plan',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-stub-rtr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stub Router capability
                ''',
                'rtr_cap_stub_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-te-exp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE Experimental bit
                ''',
                'rtr_cap_te_exp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'rtr_cap_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rtr-cap-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pce-addr-unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv4 Address
                ''',
                'pceipv4_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv4pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv6 Address
                ''',
                'pceipv6_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv6pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4pce-addr', REFERENCE_CLASS, 'Ipv4PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr', 
                [], [], 
                '''                IPv4 PCE Address
                ''',
                'ipv4pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv6pce-addr', REFERENCE_CLASS, 'Ipv6PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr', 
                [], [], 
                '''                IPv6 PCE Address
                ''',
                'ipv6pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiPceAddrTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiPceAddrTypesEnum', 
                [], [], 
                '''                PCEAddrType
                ''',
                'pce_addr_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-unknown-tlv', REFERENCE_CLASS, 'PceAddrUnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv', 
                [], [], 
                '''                Unknown PCE Addr TLV
                ''',
                'pce_addr_unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope',
            False, 
            [
            _MetaInfoClassMember('all-scope-info-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Scope Information
                ''',
                'all_scope_info_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L Bit
                ''',
                'lbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-l', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref L
                ''',
                'pref_l',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-r', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref R
                ''',
                'pref_r',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-s', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref S
                ''',
                'pref_s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-y', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref Y
                ''',
                'pref_y',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                R Bit
                ''',
                'rbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rd Bit
                ''',
                'rd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sd Bit
                ''',
                'sd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ybit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Y Bit
                ''',
                'ybit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-scope',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv',
            False, 
            [
            _MetaInfoClassMember('pced-addr', REFERENCE_CLASS, 'PcedAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr', 
                [], [], 
                '''                PCE Address
                ''',
                'pced_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pced-scope', REFERENCE_CLASS, 'PcedScope' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope', 
                [], [], 
                '''                PCE Scope Information
                ''',
                'pced_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pcedtlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'pcedtlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pcedtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv',
            False, 
            [
            _MetaInfoClassMember('sr-algo-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_algo_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                SR Algorithms
                ''',
                'sr_algo_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-algo-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv',
            False, 
            [
            _MetaInfoClassMember('sr-sid-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub-TLV
                ''',
                'sr_sid_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID Value
                ''',
                'sr_sid_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sidtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv',
            False, 
            [
            _MetaInfoClassMember('sidtlv', REFERENCE_CLASS, 'Sidtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv', 
                [], [], 
                '''                SID sub-TLV
                ''',
                'sidtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_range_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Range Size
                ''',
                'sr_range_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-range-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv',
            False, 
            [
            _MetaInfoClassMember('pcedtlv', REFERENCE_CLASS, 'Pcedtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv', 
                [], [], 
                '''                PCE Discovery TLV
                ''',
                'pcedtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ritlv-internal-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiTlvTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiTlvTypesEnum', 
                [], [], 
                '''                RITLVInternalType
                ''',
                'ritlv_internal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv', REFERENCE_CLASS, 'RtrCapTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv', 
                [], [], 
                '''                Rtr Cap TLV
                ''',
                'rtr_cap_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-tlv', REFERENCE_CLASS, 'SrAlgoTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv', 
                [], [], 
                '''                SR Algorithm TLV
                ''',
                'sr_algo_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-tlv', REFERENCE_CLASS, 'SrRangeTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv', 
                [], [], 
                '''                SR Range TLV
                ''',
                'sr_range_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unknown-tlv', REFERENCE_CLASS, 'UnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv', 
                [], [], 
                '''                Unknown Rtr Info TLV
                ''',
                'unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ritlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-ri-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this Link-Local Opaque link
                LSA is received
                ''',
                'opaque_ri_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-rilsa-scope', REFERENCE_ENUM_CLASS, 'OspfLsaOpqRiScopeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsaOpqRiScopeEnum', 
                [], [], 
                '''                Opaque LSA flooding scope, a.k.a., Opaque LSA
                Type
                ''',
                'opaque_rilsa_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ritlv', REFERENCE_LIST, 'OpaqueRitlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv', 
                [], [], 
                '''                Router Information TLV
                ''',
                'opaque_ritlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-router-info-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ep-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-el-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa-type', REFERENCE_ENUM_CLASS, 'OspfInternalLsaTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInternalLsaTypesEnum', 
                [], [], 
                '''                InternalLSAType
                ''',
                'internal_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-el-lsa-type', REFERENCE_CLASS, 'OpaqueElLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType', 
                [], [], 
                '''                Extended Link LSA type
                ''',
                'opaque_el_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ep-lsa-type', REFERENCE_CLASS, 'OpaqueEpLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType', 
                [], [], 
                '''                Extende Prefix LSA type
                ''',
                'opaque_ep_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-grace-lsa', REFERENCE_CLASS, 'OpaqueGraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa', 
                [], [], 
                '''                Opaque-link, opaque type 3 Grace LSA
                ''',
                'opaque_grace_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-link-lsa-type', REFERENCE_CLASS, 'OpaqueLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType', 
                [], [], 
                '''                Opaque-Link LSA
                ''',
                'opaque_link_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-mpls-te-lsa-type', REFERENCE_CLASS, 'OpaqueMplsTeLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType', 
                [], [], 
                '''                Opaque-Area, opaque type 1 LSA
                ''',
                'opaque_mpls_te_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-router-info-lsa-type', REFERENCE_CLASS, 'OpaqueRouterInfoLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType', 
                [], [], 
                '''                Opaque Router Information LSA
                ''',
                'opaque_router_info_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-type', REFERENCE_CLASS, 'SummaryLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType', 
                [], [], 
                '''                Summary LSA
                ''',
                'summary_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-internal-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-detail-data', REFERENCE_CLASS, 'LsaDetailData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader', 
                [], [], 
                '''                Header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-internal-data', REFERENCE_CLASS, 'LsaInternalData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData', 
                [], [], 
                '''                Information pertaining to a specific LSA type
                ''',
                'lsa_internal_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa', 
                [], [], 
                '''                Link State Advertisement information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'link_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader', 
                [], [], 
                '''                LSA header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries',
            False, 
            [
            _MetaInfoClassMember('lsa-summary', REFERENCE_LIST, 'LsaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary', 
                [], [], 
                '''                LSA summary information
                ''',
                'lsa_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('lsa-summaries', REFERENCE_CLASS, 'LsaSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries', 
                [], [], 
                '''                Link state advertisement summary table
                ''',
                'lsa_summaries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsas', REFERENCE_CLASS, 'Lsas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas', 
                [], [], 
                '''                Link State Database Table
                ''',
                'lsas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas',
            False, 
            [
            _MetaInfoClassMember('database-area', REFERENCE_LIST, 'DatabaseArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea', 
                [], [], 
                '''                Per-Area Link State Database data
                ''',
                'database_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter',
            False, 
            [
            _MetaInfoClassMember('lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of LSAs of this type
                ''',
                'lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-delete-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of deleted LSAs of this type
                ''',
                'lsa_delete_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-maxage-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of MaxAged LSAs of this type
                ''',
                'lsa_maxage_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-self-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of self-generated LSAs
                ''',
                'lsa_self_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                Type of LSAs
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-lsa-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-lsa-counter', REFERENCE_LIST, 'AreaLsaCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter', 
                [], [], 
                '''                Summary counters for Area scope LSAs
                ''',
                'area_lsa_counter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbase-sum-area-id-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area id
                ''',
                'dbase_sum_area_id_string',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries',
            False, 
            [
            _MetaInfoClassMember('database-summary', REFERENCE_LIST, 'DatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary', 
                [], [], 
                '''                Link State Database summary for a particular
                area
                ''',
                'database_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs.AsLsaCounter' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs.AsLsaCounter',
            False, 
            [
            _MetaInfoClassMember('lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of LSAs of this type
                ''',
                'lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-delete-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of deleted LSAs of this type
                ''',
                'lsa_delete_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-maxage-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of MaxAged LSAs of this type
                ''',
                'lsa_maxage_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-self-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of self-generated LSAs
                ''',
                'lsa_self_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                Type of LSAs
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'as-lsa-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs',
            False, 
            [
            _MetaInfoClassMember('as-lsa-counter', REFERENCE_LIST, 'AsLsaCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs.AsLsaCounter', 
                [], [], 
                '''                Summary counter for AS scope LSAs
                ''',
                'as_lsa_counter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-summary-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer',
            False, 
            [
            _MetaInfoClassMember('last-inst-minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Minute table index processed
                ''',
                'last_inst_minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-inst-second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Second table index processed
                ''',
                'last_inst_second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-location', REFERENCE_ENUM_CLASS, 'TimerTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerTableEnum', 
                [], [], 
                '''                Timer table
                ''',
                'timer_location',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'TimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerEnum', 
                [], [], 
                '''                Timer type
                ''',
                'timer_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-throttle-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-last-updated-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsadb-base-time-stamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.NotDelete' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.NotDelete',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty
                ''',
                'acknowledgement',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'flood_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-age', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'maximum_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'neighbor_exchange',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'no_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'nsr_ack_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'partial_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table
                ''',
                'routing_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-orig-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending summary LSA originating
                ''',
                'sum_orig_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'not-delete',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData',
            False, 
            [
            _MetaInfoClassMember('advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'advertising_router_reachable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ase-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                External Origin
                ''',
                'ase_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, capable of demand circuit as indicated
                by LSA's option field
                ''',
                'demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                if true, DN bit set on the summary LSA indicated
                by LSA's option field
                ''',
                'dn_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Not In Sync With Active
                ''',
                'in_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-last-updated-time', REFERENCE_CLASS, 'LsaLastUpdatedTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime', 
                [], [], 
                '''                Time LSA was last updated
                ''',
                'lsa_last_updated_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Current LSA prefix priority
                ''',
                'lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-rate-limit-due-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Due time for rate-limit timer (ms)
                ''',
                'lsa_rate_limit_due_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-throttle-timer', REFERENCE_CLASS, 'LsaThrottleTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer', 
                [], [], 
                '''                LSA throttle timer table information
                ''',
                'lsa_throttle_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Clock stamp since boot
                ''',
                'lsadb_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-time-stamp', REFERENCE_CLASS, 'LsadbBaseTimeStamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp', 
                [], [], 
                '''                Current time stamp
                ''',
                'lsadb_base_time_stamp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                New LSA prefix priority
                ''',
                'new_lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('not-delete', REFERENCE_CLASS, 'NotDelete' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.NotDelete', 
                [], [], 
                '''                Reason why LSA is not deleted
                ''',
                'not_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-translation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  capable of type 7 to 5 translation
                indicated by LSA's option field
                ''',
                'nssa_translation',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'routing_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Summary Origin
                ''',
                'sum_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, type of service capable indicated by
                LSA's option field
                ''',
                'tos_capable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-detail-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'internal-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-link', REFERENCE_LIST, 'InternalLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink', 
                [], [], 
                '''                List of links for internal LSA
                ''',
                'internal_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal LSA
                ''',
                'internal_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-abr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Area Border Router
                ''',
                'router_abr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Autonomous system Border
                Router
                ''',
                'router_asbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Network prefix length
                ''',
                'network_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-sum-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_sum_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-metric', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'summary_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Summary LSA prefix length
                ''',
                'summary_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric',
            False, 
            [
            _MetaInfoClassMember('external-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of this route
                ''',
                'external_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-metric-type', REFERENCE_ENUM_CLASS, 'ExMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'ExMetricEnum', 
                [], [], 
                '''                External LSA metric type
                ''',
                'external_metric_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of Service
                ''',
                'external_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-tos-metric',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'external_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos-metric', REFERENCE_LIST, 'ExternalTosMetric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric', 
                [], [], 
                '''                Type of service information
                ''',
                'external_tos_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-external-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_external_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which the Opaque link LSA is
                received
                ''',
                'opaque_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-mpls-te-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time the router's neighbor should
                advertise it fully adjacent (s)
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'OspfGrReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfGrReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP interface address on the subnet associated
                with the grace LSA
                ''',
                'ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv',
            False, 
            [
            _MetaInfoClassMember('rtr-cap-additional-info', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Additional Information in TLV
                ''',
                'rtr_cap_additional_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-all-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                All capability bits
                ''',
                'rtr_cap_all_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-area-te', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Traffic Engineering capability of area
                ''',
                'rtr_cap_area_te',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability
                ''',
                'rtr_cap_graceful_restart',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart-helper', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Helper Capability
                ''',
                'rtr_cap_graceful_restart_helper',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-p2plan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2P LAN Capability
                ''',
                'rtr_cap_p2plan',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-stub-rtr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stub Router capability
                ''',
                'rtr_cap_stub_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-te-exp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE Experimental bit
                ''',
                'rtr_cap_te_exp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'rtr_cap_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rtr-cap-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pce-addr-unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv4 Address
                ''',
                'pceipv4_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv4pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv6 Address
                ''',
                'pceipv6_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv6pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4pce-addr', REFERENCE_CLASS, 'Ipv4PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr', 
                [], [], 
                '''                IPv4 PCE Address
                ''',
                'ipv4pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv6pce-addr', REFERENCE_CLASS, 'Ipv6PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr', 
                [], [], 
                '''                IPv6 PCE Address
                ''',
                'ipv6pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiPceAddrTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiPceAddrTypesEnum', 
                [], [], 
                '''                PCEAddrType
                ''',
                'pce_addr_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-unknown-tlv', REFERENCE_CLASS, 'PceAddrUnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv', 
                [], [], 
                '''                Unknown PCE Addr TLV
                ''',
                'pce_addr_unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope',
            False, 
            [
            _MetaInfoClassMember('all-scope-info-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Scope Information
                ''',
                'all_scope_info_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L Bit
                ''',
                'lbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-l', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref L
                ''',
                'pref_l',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-r', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref R
                ''',
                'pref_r',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-s', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref S
                ''',
                'pref_s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-y', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref Y
                ''',
                'pref_y',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                R Bit
                ''',
                'rbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rd Bit
                ''',
                'rd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sd Bit
                ''',
                'sd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ybit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Y Bit
                ''',
                'ybit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-scope',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv',
            False, 
            [
            _MetaInfoClassMember('pced-addr', REFERENCE_CLASS, 'PcedAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr', 
                [], [], 
                '''                PCE Address
                ''',
                'pced_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pced-scope', REFERENCE_CLASS, 'PcedScope' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope', 
                [], [], 
                '''                PCE Scope Information
                ''',
                'pced_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pcedtlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'pcedtlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pcedtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv',
            False, 
            [
            _MetaInfoClassMember('sr-algo-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_algo_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                SR Algorithms
                ''',
                'sr_algo_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-algo-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv',
            False, 
            [
            _MetaInfoClassMember('sr-sid-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub-TLV
                ''',
                'sr_sid_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID Value
                ''',
                'sr_sid_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sidtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv',
            False, 
            [
            _MetaInfoClassMember('sidtlv', REFERENCE_CLASS, 'Sidtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv', 
                [], [], 
                '''                SID sub-TLV
                ''',
                'sidtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_range_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Range Size
                ''',
                'sr_range_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-range-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv',
            False, 
            [
            _MetaInfoClassMember('pcedtlv', REFERENCE_CLASS, 'Pcedtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv', 
                [], [], 
                '''                PCE Discovery TLV
                ''',
                'pcedtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ritlv-internal-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiTlvTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiTlvTypesEnum', 
                [], [], 
                '''                RITLVInternalType
                ''',
                'ritlv_internal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv', REFERENCE_CLASS, 'RtrCapTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv', 
                [], [], 
                '''                Rtr Cap TLV
                ''',
                'rtr_cap_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-tlv', REFERENCE_CLASS, 'SrAlgoTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv', 
                [], [], 
                '''                SR Algorithm TLV
                ''',
                'sr_algo_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-tlv', REFERENCE_CLASS, 'SrRangeTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv', 
                [], [], 
                '''                SR Range TLV
                ''',
                'sr_range_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unknown-tlv', REFERENCE_CLASS, 'UnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv', 
                [], [], 
                '''                Unknown Rtr Info TLV
                ''',
                'unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ritlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-ri-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this Link-Local Opaque link
                LSA is received
                ''',
                'opaque_ri_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-rilsa-scope', REFERENCE_ENUM_CLASS, 'OspfLsaOpqRiScopeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsaOpqRiScopeEnum', 
                [], [], 
                '''                Opaque LSA flooding scope, a.k.a., Opaque LSA
                Type
                ''',
                'opaque_rilsa_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ritlv', REFERENCE_LIST, 'OpaqueRitlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv', 
                [], [], 
                '''                Router Information TLV
                ''',
                'opaque_ritlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-router-info-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ep-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-el-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa-type', REFERENCE_ENUM_CLASS, 'OspfInternalLsaTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInternalLsaTypesEnum', 
                [], [], 
                '''                InternalLSAType
                ''',
                'internal_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-el-lsa-type', REFERENCE_CLASS, 'OpaqueElLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType', 
                [], [], 
                '''                Extended Link LSA type
                ''',
                'opaque_el_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ep-lsa-type', REFERENCE_CLASS, 'OpaqueEpLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType', 
                [], [], 
                '''                Extende Prefix LSA type
                ''',
                'opaque_ep_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-grace-lsa', REFERENCE_CLASS, 'OpaqueGraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa', 
                [], [], 
                '''                Opaque-link, opaque type 3 Grace LSA
                ''',
                'opaque_grace_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-link-lsa-type', REFERENCE_CLASS, 'OpaqueLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType', 
                [], [], 
                '''                Opaque-Link LSA
                ''',
                'opaque_link_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-mpls-te-lsa-type', REFERENCE_CLASS, 'OpaqueMplsTeLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType', 
                [], [], 
                '''                Opaque-Area, opaque type 1 LSA
                ''',
                'opaque_mpls_te_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-router-info-lsa-type', REFERENCE_CLASS, 'OpaqueRouterInfoLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType', 
                [], [], 
                '''                Opaque Router Information LSA
                ''',
                'opaque_router_info_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-type', REFERENCE_CLASS, 'SummaryLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType', 
                [], [], 
                '''                Summary LSA
                ''',
                'summary_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-internal-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-detail-data', REFERENCE_CLASS, 'LsaDetailData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaHeader', 
                [], [], 
                '''                Header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-internal-data', REFERENCE_CLASS, 'LsaInternalData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData', 
                [], [], 
                '''                Information pertaining to a specific LSA type
                ''',
                'lsa_internal_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa', 
                [], [], 
                '''                Link State Advertisement information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'link_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary.LsaHeader', 
                [], [], 
                '''                LSA header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries',
            False, 
            [
            _MetaInfoClassMember('lsa-summary', REFERENCE_LIST, 'LsaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary', 
                [], [], 
                '''                LSA summary information
                ''',
                'lsa_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.Database' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.Database',
            False, 
            [
            _MetaInfoClassMember('database-areas', REFERENCE_CLASS, 'DatabaseAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas', 
                [], [], 
                '''                Per-Area view of Link state database
                ''',
                'database_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('database-summaries', REFERENCE_CLASS, 'DatabaseSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries', 
                [], [], 
                '''                Link State database summary table
                ''',
                'database_summaries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('database-summary-as', REFERENCE_CLASS, 'DatabaseSummaryAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs', 
                [], [], 
                '''                Link State Database summary for the AS
                ''',
                'database_summary_as',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-summaries', REFERENCE_CLASS, 'LsaSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries', 
                [], [], 
                '''                Link state advertisement summary table
                ''',
                'lsa_summaries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsas', REFERENCE_CLASS, 'Lsas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas', 
                [], [], 
                '''                Link State Database Table
                ''',
                'lsas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary Mask
                ''',
                'netmask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary Netmask
                ''',
                'summary_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of Summary
                ''',
                'summary_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-metric-type', REFERENCE_ENUM_CLASS, 'ExMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'ExMetricEnum', 
                [], [], 
                '''                Type of Metric
                ''',
                'summary_metric_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with this summary prefix
                ''',
                'summary_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes',
            False, 
            [
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix', 
                [], [], 
                '''                Summary prefix information
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF aread id string
                ''',
                'area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-stat', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF interface statistics
                ''',
                'if_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-intf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OSPF madj interface
                ''',
                'madj_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'if-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                interface handle type
                ''',
                'handle',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-entry', REFERENCE_LIST, 'IfEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry', 
                [], [], 
                '''                interface entry
                ''',
                'if_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-name-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name
                ''',
                'if_name_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entry', REFERENCE_LIST, 'InterfaceStatsEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry', 
                [], [], 
                '''                Statistics information for a specific interface
                ''',
                'interface_stats_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entries', REFERENCE_CLASS, 'InterfaceStatsEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries', 
                [], [], 
                '''                Statistics innformation Interface table
                ''',
                'interface_stats_entries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.OspfSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.OspfSummary',
            False, 
            [
            _MetaInfoClassMember('sa-lsa-cnt-type-7ase', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type 7ase
                ''',
                'sa_lsa_cnt_type_7ase',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-8-ignore', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type 8 ignore
                ''',
                'sa_lsa_cnt_type_8_ignore',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-ase', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type ase
                ''',
                'sa_lsa_cnt_type_ase',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-mospf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type mospf
                ''',
                'sa_lsa_cnt_type_mospf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-net', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type net
                ''',
                'sa_lsa_cnt_type_net',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-opq-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type opq area
                ''',
                'sa_lsa_cnt_type_opq_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-opq-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type opq as
                ''',
                'sa_lsa_cnt_type_opq_as',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-opq-link', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type opq link
                ''',
                'sa_lsa_cnt_type_opq_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-rtr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type rtr
                ''',
                'sa_lsa_cnt_type_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-sum-asb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type sum asb
                ''',
                'sa_lsa_cnt_type_sum_asb',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-sum-net', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type sum net
                ''',
                'sa_lsa_cnt_type_sum_net',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num areas
                ''',
                'sa_num_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-intf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num intf
                ''',
                'sa_num_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-intf-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num intf up
                ''',
                'sa_num_intf_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-nbrs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num nbrs
                ''',
                'sa_num_nbrs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-nbrs-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num nbrs up
                ''',
                'sa_num_nbrs_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-slintf-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num slintf up
                ''',
                'sa_num_slintf_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-vintf-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num vintf up
                ''',
                'sa_num_vintf_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ospf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology.IpfrrTopo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology.IpfrrTopo',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('distance-reverse', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Reverse Distance
                ''',
                'distance_reverse',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology DR entry
                ''',
                'dr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology Neighbor Sourced
                ''',
                'neighbor_sourced',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPFRR Topology Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('poison', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology rSPT poison
                ''',
                'poison',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('type4', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topoogy Type-4 entry
                ''',
                'type4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipfrr-topo',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-area-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'ipfrr_area_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF Router ID
                ''',
                'ipfrr_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-topo', REFERENCE_LIST, 'IpfrrTopo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology.IpfrrTopo', 
                [], [], 
                '''                IPFRR Topology entries
                ''',
                'ipfrr_topo',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-topo-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'ipfrr_topo_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology', 
                [], [], 
                '''                Fast-reroute topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies', 
                [], [], 
                '''                Fast-reroute topology information table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs.Vrf' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs.Vrf',
            False, 
            [
            _MetaInfoClassMember('vrf-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                VRF Name
                ''',
                'vrf_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('adjacency-information', REFERENCE_CLASS, 'AdjacencyInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation', 
                [], [], 
                '''                Container for OSPF Interfaces
                ''',
                'adjacency_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('areas', REFERENCE_CLASS, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Areas', 
                [], [], 
                '''                Area table
                ''',
                'areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-routers', REFERENCE_CLASS, 'BorderRouters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.BorderRouters', 
                [], [], 
                '''                Border router table
                ''',
                'border_routers',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Database', 
                [], [], 
                '''                OSPF Link State Database
                ''',
                'database',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FastReroute', 
                [], [], 
                '''                Container for FastReroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-list-table', REFERENCE_CLASS, 'FloodListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.FloodListTable', 
                [], [], 
                '''                Flood list table
                ''',
                'flood_list_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-information', REFERENCE_CLASS, 'InterfaceInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation', 
                [], [], 
                '''                Container for OSPF Interfaces/links
                ''',
                'interface_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-vrf-information', REFERENCE_CLASS, 'InterfaceVrfInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation', 
                [], [], 
                '''                Container for OSPF Interfaces/links under a
                VRF
                ''',
                'interface_vrf_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te', REFERENCE_CLASS, 'MplsTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.MplsTe', 
                [], [], 
                '''                Container for MPLS TE
                ''',
                'mpls_te',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-summary', REFERENCE_CLASS, 'OspfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.OspfSummary', 
                [], [], 
                '''                Fast-reroute topology information
                ''',
                'ospf_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('process-information', REFERENCE_CLASS, 'ProcessInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation', 
                [], [], 
                '''                Container for OSPF Process information
                ''',
                'process_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-information', REFERENCE_CLASS, 'RouteInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.RouteInformation', 
                [], [], 
                '''                Container for OSPF routing tables
                ''',
                'route_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.Statistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefixes', REFERENCE_CLASS, 'SummaryPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes', 
                [], [], 
                '''                Summary prefix table
                ''',
                'summary_prefixes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Vrfs' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Vrfs',
            False, 
            [
            _MetaInfoClassMember('vrf', REFERENCE_LIST, 'Vrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs.Vrf', 
                [], [], 
                '''                Operational data for a particular VRF
                (instance) in the OSPF process
                ''',
                'vrf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'vrfs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_ENUM_CLASS, 'SrmsMiAfEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrmsMiAfEBEnum', 
                [], [], 
                '''                AF
                ''',
                'af',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi',
            False, 
            [
            _MetaInfoClassMember('mi-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mapping Item ID (0, 1, 2, ...)
                ''',
                'mi_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr', 
                [], [], 
                '''                addr
                ''',
                'addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Area (OSPF) or Level (ISIS)
                ''',
                'area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flag-attached', REFERENCE_ENUM_CLASS, 'SrmsMiFlagEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrmsMiFlagEBEnum', 
                [], [], 
                '''                Attached flag
                ''',
                'flag_attached',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-prefix', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Last IP Prefix
                ''',
                'last_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-sid-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last SID Index
                ''',
                'last_sid_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Router ID
                ''',
                'router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sid-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID range
                ''',
                'sid_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sid-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Starting SID
                ''',
                'sid_start',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('src', REFERENCE_ENUM_CLASS, 'SrmsMiSrcEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrmsMiSrcEBEnum', 
                [], [], 
                '''                src
                ''',
                'src',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'policy-mi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup',
            False, 
            [
            _MetaInfoClassMember('policy-mi', REFERENCE_LIST, 'PolicyMi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi', 
                [], [], 
                '''                Mapping Item
                ''',
                'policy_mi',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'policy-ipv4-backup',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr',
            False, 
            [
            _MetaInfoClassMember('af', REFERENCE_ENUM_CLASS, 'SrmsMiAfEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrmsMiAfEBEnum', 
                [], [], 
                '''                AF
                ''',
                'af',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv4', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv4
                ''',
                'ipv4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv6', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                IPv6
                ''',
                'ipv6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi',
            False, 
            [
            _MetaInfoClassMember('mi-id', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Mapping Item ID (0, 1, 2, ...)
                ''',
                'mi_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('addr', REFERENCE_CLASS, 'Addr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr', 
                [], [], 
                '''                addr
                ''',
                'addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Area (OSPF) or Level (ISIS)
                ''',
                'area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flag-attached', REFERENCE_ENUM_CLASS, 'SrmsMiFlagEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrmsMiFlagEBEnum', 
                [], [], 
                '''                Attached flag
                ''',
                'flag_attached',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-prefix', ATTRIBUTE, 'str' , None, None, 
                [(0, 50)], [], 
                '''                Last IP Prefix
                ''',
                'last_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-sid-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last SID Index
                ''',
                'last_sid_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Prefix length
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router', ATTRIBUTE, 'str' , None, None, 
                [(0, 30)], [], 
                '''                Router ID
                ''',
                'router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sid-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID range
                ''',
                'sid_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sid-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Starting SID
                ''',
                'sid_start',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('src', REFERENCE_ENUM_CLASS, 'SrmsMiSrcEBEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrmsMiSrcEBEnum', 
                [], [], 
                '''                src
                ''',
                'src',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'policy-mi',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active',
            False, 
            [
            _MetaInfoClassMember('policy-mi', REFERENCE_LIST, 'PolicyMi' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi', 
                [], [], 
                '''                Mapping Item
                ''',
                'policy_mi',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'policy-ipv4-active',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy.PolicyIpv4' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy.PolicyIpv4',
            False, 
            [
            _MetaInfoClassMember('policy-ipv4-active', REFERENCE_CLASS, 'PolicyIpv4Active' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active', 
                [], [], 
                '''                IPv4 active policy operational data
                ''',
                'policy_ipv4_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('policy-ipv4-backup', REFERENCE_CLASS, 'PolicyIpv4Backup' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup', 
                [], [], 
                '''                IPv4 backup policy operational data
                ''',
                'policy_ipv4_backup',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'policy-ipv4',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms.Policy' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms.Policy',
            False, 
            [
            _MetaInfoClassMember('policy-ipv4', REFERENCE_CLASS, 'PolicyIpv4' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy.PolicyIpv4', 
                [], [], 
                '''                IPv4 policy operational data
                ''',
                'policy_ipv4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'policy',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.Srms' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.Srms',
            False, 
            [
            _MetaInfoClassMember('policy', REFERENCE_CLASS, 'Policy' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms.Policy', 
                [], [], 
                '''                Policy operational data
                ''',
                'policy',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srms',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'flood_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded
                ''',
                'flood_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS update due (ms)
                ''',
                'flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FloodListTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FloodListTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood', 
                [], [], 
                '''                Flooding information for a specific interface
                ''',
                'flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood-list-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment',
            False, 
            [
            _MetaInfoClassMember('dste-model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment instance
                ''',
                'fragment_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_', 
                [], [], 
                '''                List of fragment links
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('same-fragment-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of fragment links which haven't changed
                since the last update
                ''',
                'same_fragment_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragment',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('mpls-te-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'mpls_te_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-area-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area information instance
                ''',
                'mpls_te_area_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE enabled in area
                ''',
                'mpls_te_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-fragment', REFERENCE_LIST, 'MplsTeFragment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment', 
                [], [], 
                '''                MPLS TE fragments in the area
                ''',
                'mpls_te_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-initialized', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE initialized in the area
                ''',
                'mpls_te_initialized',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_', 
                [], [], 
                '''                MPLS-TE links in the area
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-next-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next MPLS-TE fragment ID
                ''',
                'mpls_te_next_fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MPLS-TE router address
                ''',
                'mpls_te_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF MPLS-TE router ID
                ''',
                'mpls_te_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spacious-fragment', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, fragment has space for next link
                ''',
                'spacious_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks',
            False, 
            [
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink', 
                [], [], 
                '''                MPLS TE link information
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-links',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'global-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority',
            False, 
            [
            _MetaInfoClassMember('bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Unreserved bandwidth for each priority (bytes/s)
                ''',
                'bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sub-pool-unreserve-bw-per-priority',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability',
            False, 
            [
            _MetaInfoClassMember('link-protocol-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol capability
                ''',
                'link_protocol_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link protocol priority
                ''',
                'link_protocol_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-protocol-priority-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability',
            False, 
            [
            _MetaInfoClassMember('link-encoding', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Encoding
                ''',
                'link_encoding',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Link MTU size (bytes)
                ''',
                'link_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-switching-capability', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Link Switching Capability
                ''',
                'link_switching_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-lsp-bw-per-priority', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Maximum LSP bandwidth for each priority
                (bytes/s)
                ''',
                'maximum_lsp_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('minimum-lsp-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Minimum LSP bandwidth (bytes/s)
                ''',
                'minimum_lsp_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-sw-capability',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList',
            False, 
            [
            _MetaInfoClassMember('ext-admin-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of Extended Admin Group
                ''',
                'ext_admin_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Size of the extended admin group
                ''',
                'extended_admin_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'extended-admin-group-list',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue',
            False, 
            [
            _MetaInfoClassMember('model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Allocation Model ID
                ''',
                'model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-bc-bandwidth', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Value of BC TLV
                ''',
                'mplste_link_bc_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-b-cs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of BC TLVs
                ''',
                'num_b_cs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bctlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue',
            False, 
            [
            _MetaInfoClassMember('mplste-link-srlg-data', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Value of SRLG TLV
                ''',
                'mplste_link_srlg_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('num-srl-gs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SRLG TLVs
                ''',
                'num_srl_gs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of SRLG TLV
                ''',
                'srlg_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'srlgtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo',
            False, 
            [
            _MetaInfoClassMember('min-lsp-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Min LSP bandwidth
                ''',
                'min_lsp_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('psc-interface-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                 Interface MTU
                ''',
                'psc_interface_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdpsc-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-sub-tlv-value', REFERENCE_CLASS, 'FixedSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unres-oduj-prio', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Array of Unres Oduj Prio
                ''',
                'unres_oduj_prio',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fixed-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon',
            False, 
            [
            _MetaInfoClassMember('num-stages', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of stages
                ''',
                'num_stages',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit0', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 0
                ''',
                'priority_bit0',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit1', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 1
                ''',
                'priority_bit1',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit2', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 2
                ''',
                'priority_bit2',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit3', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 3
                ''',
                'priority_bit3',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit4', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 4
                ''',
                'priority_bit4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit5', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 5
                ''',
                'priority_bit5',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit6', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 6
                ''',
                'priority_bit6',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-bit7', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Priority 7
                ''',
                'priority_bit7',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('res', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Res
                ''',
                'res',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('signal-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Signal Type
                ''',
                'signal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stage', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Array of Stages
                ''',
                'stage',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tbit', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                T Bit
                ''',
                'tbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tsg', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                TSG
                ''',
                'tsg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-sub-tlv-value-common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('flex-sub-tlv-value-common', REFERENCE_CLASS, 'FlexSubTlvValueCommon' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon', 
                [], [], 
                '''                Flex Sub TLV Value
                ''',
                'flex_sub_tlv_value_common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Max LSP BW Array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('unres-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Array of Unres LSP BW
                ''',
                'unres_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flex-bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-bw-sub-tlv-value', REFERENCE_CLASS, 'FixedBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue', 
                [], [], 
                '''                Value of Fixed Sub TLV
                ''',
                'fixed_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-bw-sub-tlv-value', REFERENCE_CLASS, 'FlexBwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue', 
                [], [], 
                '''                Value of Flex Sub TLV
                ''',
                'flex_bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdbw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IXCDBWSubTLVType
                ''',
                'ixcdbw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'bw-sub-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv',
            False, 
            [
            _MetaInfoClassMember('bw-sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of BW Sub TLV
                ''',
                'bw_sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Sub TLV
                ''',
                'bw_sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bw-sub-tlv-value', REFERENCE_CLASS, 'BwSubTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue', 
                [], [], 
                '''                Value of BW Sub TLV
                ''',
                'bw_sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'arr-bw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv',
            False, 
            [
            _MetaInfoClassMember('arr-bw-sub-tlv', REFERENCE_LIST, 'ArrBwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv', 
                [], [], 
                '''                Array of sub tlvs
                ''',
                'arr_bw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdbw-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType',
            False, 
            [
            _MetaInfoClassMember('ixcdbw-sub-tlv', REFERENCE_CLASS, 'IxcdbwSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv', 
                [], [], 
                '''                Sub TLVs
                ''',
                'ixcdbw_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdpsc-info', REFERENCE_CLASS, 'IxcdpscInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo', 
                [], [], 
                '''                IXCD PSC information
                ''',
                'ixcdpsc_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SwitchingCapType
                ''',
                'switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcd-switching-cap-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue',
            False, 
            [
            _MetaInfoClassMember('fixed-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fixed SCSI count
                ''',
                'fixed_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flex-scsi-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flexible SCSI count
                ''',
                'flex_scsi_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcd-switching-cap-type', REFERENCE_CLASS, 'IxcdSwitchingCapType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType', 
                [], [], 
                '''                Switching Cap type
                ''',
                'ixcd_switching_cap_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lspbw', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('-9223372036854775808', '9223372036854775807')], [], 
                '''                Max LSP bandwidth array
                ''',
                'max_lspbw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            _MetaInfoClassMember('rile-len-code', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Rile LenCode
                ''',
                'rile_len_code',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('switching-cap', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SCap
                ''',
                'switching_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ixcdtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue',
            False, 
            [
            _MetaInfoClassMember('uni-dir-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Uni Dir Delay
                ''',
                'uni_dir_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unidtlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue',
            False, 
            [
            _MetaInfoClassMember('bctlv-value', REFERENCE_CLASS, 'BctlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue', 
                [], [], 
                '''                Value of Bandwidth Constraints TLV
                ''',
                'bctlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ixcdtlv-value', REFERENCE_CLASS, 'IxcdtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue', 
                [], [], 
                '''                Value of IXCD TLV
                ''',
                'ixcdtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                OpaqueTLVType
                ''',
                'opaque_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlgtlv-value', REFERENCE_CLASS, 'SrlgtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue', 
                [], [], 
                '''                Value of SRLG TLV
                ''',
                'srlgtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unidtlv-value', REFERENCE_CLASS, 'UnidtlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue', 
                [], [], 
                '''                Value of Uni Delay TLV
                ''',
                'unidtlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv-value',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv',
            False, 
            [
            _MetaInfoClassMember('mplste-link-opt-tlv-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of Opt TLV
                ''',
                'mplste_link_opt_tlv_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-type', REFERENCE_ENUM_CLASS, 'MplsTeOptTlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MplsTeOptTlvEnum', 
                [], [], 
                '''                Type of Opt TLV
                ''',
                'mplste_link_opt_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv-value', REFERENCE_LIST, 'MplsteLinkOptTlvValue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue', 
                [], [], 
                '''                Value of Opt TLV
                ''',
                'mplste_link_opt_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mplste-link-opt-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink',
            False, 
            [
            _MetaInfoClassMember('affinity', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Affinity
                ''',
                'affinity',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-allocation-model-id', REFERENCE_ENUM_CLASS, 'IgpteLibBwModelEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IgpteLibBwModelEnum', 
                [], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_allocation_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dste-in-use', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                A DS-TE Allocation Model in use
                ''',
                'dste_in_use',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-admin-group-list', REFERENCE_CLASS, 'ExtendedAdminGroupList' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList', 
                [], [], 
                '''                Extended Admin Group
                ''',
                'extended_admin_group_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID for this link
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('global-unreserve-bw-per-priority', REFERENCE_CLASS, 'GlobalUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority', 
                [], [], 
                '''                Global pool unreserved bandwidth for each
                priority (bytes/s)
                ''',
                'global_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link IGP metric
                ''',
                'igp_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Input interface ID
                ''',
                'input_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                The local interface address
                ''',
                'link_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-protocol-priority-capability', REFERENCE_CLASS, 'LinkProtocolPriorityCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability', 
                [], [], 
                '''                Link protocol and protocol priority capability
                ''',
                'link_protocol_priority_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-sw-capability', REFERENCE_CLASS, 'LinkSwCapability' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability', 
                [], [], 
                '''                Link switching capability
                ''',
                'link_sw_capability',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link bandwidth (bytes/s)
                ''',
                'maximum_link_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link global pool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-link-sub-reservable-bw', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum link subpool reservable bandwidth
                (bytes/s)
                ''',
                'maximum_link_sub_reservable_bw',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link instance
                ''',
                'mpls_link_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-link-type', REFERENCE_ENUM_CLASS, 'LinkSubnetEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LinkSubnetEnum', 
                [], [], 
                '''                Type of link
                ''',
                'mpls_link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mplste-link-opt-tlv', REFERENCE_LIST, 'MplsteLinkOptTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv', 
                [], [], 
                '''                List of Optional TLVs
                ''',
                'mplste_link_opt_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address.
                ''',
                'neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-system-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor system ID
                ''',
                'neighbor_system_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Link is new
                ''',
                'new_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-optional-tl-vs', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of Optional TLVs
                ''',
                'number_of_optional_tl_vs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-interface-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Output interface ID
                ''',
                'output_interface_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of priorities.
                ''',
                'priority_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-pool-unreserve-bw-per-priority', REFERENCE_CLASS, 'SubPoolUnreserveBwPerPriority' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority', 
                [], [], 
                '''                Sub pool unreserved bandwidth for each priority
                (bytes/s)
                ''',
                'sub_pool_unreserve_bw_per_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Link TE metric
                ''',
                'te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_',
            False, 
            [
            _MetaInfoClassMember('dste-model-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                DS-TE Allocation Model ID
                ''',
                'dste_model_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment ID
                ''',
                'fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Fragment instance
                ''',
                'fragment_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink', 
                [], [], 
                '''                List of fragment links
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('same-fragment-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Number of fragment links which haven't changed
                since the last update
                ''',
                'same_fragment_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragment',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('mpls-te-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'mpls_te_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-area-instance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area information instance
                ''',
                'mpls_te_area_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE enabled in area
                ''',
                'mpls_te_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-fragment', REFERENCE_LIST, 'MplsTeFragment_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_', 
                [], [], 
                '''                MPLS TE fragments in the area
                ''',
                'mpls_te_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-initialized', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE initialized in the area
                ''',
                'mpls_te_initialized',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-link', REFERENCE_LIST, 'MplsTeLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink', 
                [], [], 
                '''                MPLS-TE links in the area
                ''',
                'mpls_te_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-next-fragment-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next MPLS-TE fragment ID
                ''',
                'mpls_te_next_fragment_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                MPLS-TE router address
                ''',
                'mpls_te_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF MPLS-TE router ID
                ''',
                'mpls_te_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spacious-fragment', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, fragment has space for next link
                ''',
                'spacious_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragment',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments',
            False, 
            [
            _MetaInfoClassMember('mpls-te-fragment', REFERENCE_LIST, 'MplsTeFragment' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment', 
                [], [], 
                '''                MPLS TE Fragment
                ''',
                'mpls_te_fragment',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te-fragments',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.MplsTe' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.MplsTe',
            False, 
            [
            _MetaInfoClassMember('mpls-te-fragments', REFERENCE_CLASS, 'MplsTeFragments' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments', 
                [], [], 
                '''                MPLS TE Fragment information table
                ''',
                'mpls_te_fragments',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te-links', REFERENCE_CLASS, 'MplsTeLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks', 
                [], [], 
                '''                MPLS TE link information table
                ''',
                'mpls_te_links',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'mpls-te',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader.AreaSumm' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader.AreaSumm',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf count
                ''',
                'spf_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-summ',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader',
            False, 
            [
            _MetaInfoClassMember('area-summ', REFERENCE_LIST, 'AreaSumm' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader.AreaSumm', 
                [], [], 
                '''                area summ
                ''',
                'area_summ',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                router id
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf count
                ''',
                'spf_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'spf-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiStartTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiStartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'si-start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiDuration' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiDuration',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'si-duration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime',
            False, 
            [
            _MetaInfoClassMember('si-area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                si area id str
                ''',
                'si_area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('si-change-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                si change flags
                ''',
                'si_change_flags',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('si-duration', REFERENCE_CLASS, 'SiDuration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiDuration', 
                [], [], 
                '''                si duration
                ''',
                'si_duration',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('si-start-time', REFERENCE_CLASS, 'SiStartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiStartTime', 
                [], [], 
                '''                si start time
                ''',
                'si_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'os-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpStartTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpStartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpDuration' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpDuration',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-duration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime',
            False, 
            [
            _MetaInfoClassMember('sp-adv-rtr-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp adv rtr id
                ''',
                'sp_adv_rtr_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-addr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest addr
                ''',
                'sp_dest_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest count
                ''',
                'sp_dest_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-duration', REFERENCE_CLASS, 'SpDuration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpDuration', 
                [], [], 
                '''                sp duration
                ''',
                'sp_duration',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-start-time', REFERENCE_CLASS, 'SpStartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpStartTime', 
                [], [], 
                '''                sp start time
                ''',
                'sp_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'os-sum-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpStartTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpStartTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-start-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpDuration' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpDuration',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sp-duration',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime',
            False, 
            [
            _MetaInfoClassMember('sp-adv-rtr-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp adv rtr id
                ''',
                'sp_adv_rtr_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-addr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest addr
                ''',
                'sp_dest_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-dest-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sp dest count
                ''',
                'sp_dest_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-duration', REFERENCE_CLASS, 'SpDuration' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpDuration', 
                [], [], 
                '''                sp duration
                ''',
                'sp_duration',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sp-start-time', REFERENCE_CLASS, 'SpStartTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpStartTime', 
                [], [], 
                '''                sp start time
                ''',
                'sp_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'os-ex-runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.GblSpfTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.GblSpfTime',
            False, 
            [
            _MetaInfoClassMember('spf-dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf dijkstra
                ''',
                'spf_dijkstra',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix
                ''',
                'spf_ext_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix del
                ''',
                'spf_ext_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix
                ''',
                'spf_inter_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix del
                ''',
                'spf_inter_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix
                ''',
                'spf_intra_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix del
                ''',
                'spf_intra_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'gbl-spf-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.LsaInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.LsaInfo',
            False, 
            [
            _MetaInfoClassMember('adv-rtr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                adv rtr
                ''',
                'adv_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flush', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                flush
                ''',
                'flush',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                id
                ''',
                'id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                type
                ''',
                'type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime',
            False, 
            [
            _MetaInfoClassMember('spf-dijkstra', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf dijkstra
                ''',
                'spf_dijkstra',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix
                ''',
                'spf_ext_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-ext-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf ext prefix del
                ''',
                'spf_ext_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix
                ''',
                'spf_inter_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-inter-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf inter prefix del
                ''',
                'spf_inter_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix
                ''',
                'spf_intra_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-intra-prefix-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf intra prefix del
                ''',
                'spf_intra_prefix_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'spf-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type-cnt', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsa type cnt
                ''',
                'lsa_type_cnt',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=7),
            _MetaInfoClassMember('spf-time', REFERENCE_CLASS, 'SpfTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime', 
                [], [], 
                '''                spf time
                ''',
                'spf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-stat',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime',
            False, 
            [
            _MetaInfoClassMember('area-stat', REFERENCE_LIST, 'AreaStat' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat', 
                [], [], 
                '''                area stat
                ''',
                'area_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('gbl-spf-time', REFERENCE_CLASS, 'GblSpfTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.GblSpfTime', 
                [], [], 
                '''                gbl spf time
                ''',
                'gbl_spf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-change-cnt', ATTRIBUTE, 'int' , None, None, 
                [('-32768', '32767')], [], 
                '''                lsa change cnt
                ''',
                'lsa_change_cnt',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-info', REFERENCE_LIST, 'LsaInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.LsaInfo', 
                [], [], 
                '''                lsa info
                ''',
                'lsa_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=5),
            _MetaInfoClassMember('spf-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                spf start time
                ''',
                'spf_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'runtime',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats',
            False, 
            [
            _MetaInfoClassMember('os-ex-runtime', REFERENCE_LIST, 'OsExRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime', 
                [], [], 
                '''                os ex runtime
                ''',
                'os_ex_runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('os-runtime', REFERENCE_LIST, 'OsRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime', 
                [], [], 
                '''                os runtime
                ''',
                'os_runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('os-sum-runtime', REFERENCE_LIST, 'OsSumRuntime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime', 
                [], [], 
                '''                os sum runtime
                ''',
                'os_sum_runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('runtime', REFERENCE_LIST, 'Runtime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime', 
                [], [], 
                '''                runtime
                ''',
                'runtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-header', REFERENCE_CLASS, 'SpfHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader', 
                [], [], 
                '''                spf header
                ''',
                'spf_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'spf-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats.PriorityBatch' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats.PriorityBatch',
            False, 
            [
            _MetaInfoClassMember('batches-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                batches sent
                ''',
                'batches_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas add
                ''',
                'lfas_add',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas del
                ''',
                'lfas_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas pending
                ''',
                'lfas_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfas-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lfas sent
                ''',
                'lfas_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-routes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max routes
                ''',
                'max_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-add', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths add
                ''',
                'paths_add',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-add-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths add errs
                ''',
                'paths_add_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-del', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths del
                ''',
                'paths_del',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-del-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths del errs
                ''',
                'paths_del_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths pending
                ''',
                'paths_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('paths-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                paths sent
                ''',
                'paths_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('priority-level', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                priority level
                ''',
                'priority_level',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routes-pending', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                routes pending
                ''',
                'routes_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                routes sent
                ''',
                'routes_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'priority-batch',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats',
            False, 
            [
            _MetaInfoClassMember('priority-batch', REFERENCE_LIST, 'PriorityBatch' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats.PriorityBatch', 
                [], [], 
                '''                priority batch
                ''',
                'priority_batch',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-batch-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-rtr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats',
            False, 
            [
            _MetaInfoClassMember('nsr-conn-to-active-attempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active attempts
                ''',
                'nsr_conn_to_active_attempts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-closes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active closes
                ''',
                'nsr_conn_to_active_closes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active errors
                ''',
                'nsr_conn_to_active_errors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active fails
                ''',
                'nsr_conn_to_active_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active opens
                ''',
                'nsr_conn_to_active_opens',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-fsm-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr fsm state
                ''',
                'nsr_fsm_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-intf-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr intf seq no
                ''',
                'nsr_intf_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr lsa init sync pend count
                ''',
                'nsr_lsa_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad mdata count
                ''',
                'nsr_lsa_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad qid
                ''',
                'nsr_lsa_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr mtu
                ''',
                'nsr_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr nbr init sync pend count
                ''',
                'nsr_nbr_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad mdata count
                ''',
                'nsr_nbr_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad qid
                ''',
                'nsr_nbr_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr seq no
                ''',
                'nsr_nbr_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nodeid
                ''',
                'nsr_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer nodeid
                ''',
                'nsr_peer_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer version
                ''',
                'nsr_peer_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rev', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr rev
                ''',
                'nsr_rev',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rtr-thd-sched', REFERENCE_CLASS, 'NsrRtrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched', 
                [], [], 
                '''                nsr rtr thd sched
                ''',
                'nsr_rtr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-thd-sched', REFERENCE_CLASS, 'NsrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched', 
                [], [], 
                '''                nsr thd sched
                ''',
                'nsr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-tmr-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr tmr quant
                ''',
                'nsr_tmr_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'issu-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq.RibBaseTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq.RibBaseTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-base-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq',
            False, 
            [
            _MetaInfoClassMember('priority-level', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                priority level
                ''',
                'priority_level',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                rib base clock
                ''',
                'rib_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-time', REFERENCE_CLASS, 'RibBaseTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq.RibBaseTime', 
                [], [], 
                '''                rib base time
                ''',
                'rib_base_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-dequeue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib dequeue errs
                ''',
                'rib_dequeue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-after', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop after
                ''',
                'rib_drop_after',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-before', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop before
                ''',
                'rib_drop_before',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop conn
                ''',
                'rib_drop_conn',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-empty-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib empty batches
                ''',
                'rib_empty_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pfx-limit-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pfx limit errs
                ''',
                'rib_pfx_limit_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pkts-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pkts sent
                ''',
                'rib_pkts_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-queue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib queue errs
                ''',
                'rib_queue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-send-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib send errs
                ''',
                'rib_send_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-signals', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib signals
                ''',
                'rib_signals',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-table-not-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib table not created
                ''',
                'rib_table_not_created',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib version
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-dqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wq dqtime
                ''',
                'wq_dqtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-cur', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len cur
                ''',
                'wq_len_cur',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-max', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len max
                ''',
                'wq_len_max',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-thread-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                wq thread active
                ''',
                'wq_thread_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-dequeued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total dequeued
                ''',
                'wq_total_dequeued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-queued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total queued
                ''',
                'wq_total_queued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wqe-qtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wqe qtime
                ''',
                'wqe_qtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'internalwq',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-base-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue',
            False, 
            [
            _MetaInfoClassMember('priority-level', ATTRIBUTE, 'str' , None, None, 
                [(0, 40)], [], 
                '''                priority level
                ''',
                'priority_level',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                rib base clock
                ''',
                'rib_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-base-time', REFERENCE_CLASS, 'RibBaseTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime', 
                [], [], 
                '''                rib base time
                ''',
                'rib_base_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-dequeue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib dequeue errs
                ''',
                'rib_dequeue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-after', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop after
                ''',
                'rib_drop_after',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-before', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop before
                ''',
                'rib_drop_before',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-drop-conn', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib drop conn
                ''',
                'rib_drop_conn',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-empty-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib empty batches
                ''',
                'rib_empty_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pfx-limit-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pfx limit errs
                ''',
                'rib_pfx_limit_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-pkts-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib pkts sent
                ''',
                'rib_pkts_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-queue-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib queue errs
                ''',
                'rib_queue_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-send-errs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib send errs
                ''',
                'rib_send_errs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-signals', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib signals
                ''',
                'rib_signals',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-table-not-created', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib table not created
                ''',
                'rib_table_not_created',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                rib version
                ''',
                'rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-dqtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wq dqtime
                ''',
                'wq_dqtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-cur', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len cur
                ''',
                'wq_len_cur',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-len-max', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                wq len max
                ''',
                'wq_len_max',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-thread-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                wq thread active
                ''',
                'wq_thread_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-dequeued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total dequeued
                ''',
                'wq_total_dequeued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wq-total-queued', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                wq total queued
                ''',
                'wq_total_queued',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wqe-qtime', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                wqe qtime
                ''',
                'wqe_qtime',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ribqueue',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats',
            False, 
            [
            _MetaInfoClassMember('internalwq', REFERENCE_CLASS, 'Internalwq' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq', 
                [], [], 
                '''                internalwq
                ''',
                'internalwq',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ribqueue', REFERENCE_LIST, 'Ribqueue' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue', 
                [], [], 
                '''                ribqueue
                ''',
                'ribqueue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=8),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rib-thread-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumSentDrop' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumSentDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-send-drop-array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr pl send drop array
                ''',
                'nsr_pl_send_drop_array',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=7),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'num-sent-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop',
            False, 
            [
            _MetaInfoClassMember('nsr-pl-recv-drop-array', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr pl recv drop array
                ''',
                'nsr_pl_recv_drop_array',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=15),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'num-recv-drop',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri',
            False, 
            [
            _MetaInfoClassMember('num-recv', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total recvd
                ''',
                'num_recv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=6),
            _MetaInfoClassMember('num-recv-drop', REFERENCE_LIST, 'NumRecvDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop', 
                [], [], 
                '''                Recv Errors/drops
                ''',
                'num_recv_drop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=6),
            _MetaInfoClassMember('num-sent', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Total sent
                ''',
                'num_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=5),
            _MetaInfoClassMember('num-sent-drop', REFERENCE_LIST, 'NumSentDrop' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumSentDrop', 
                [], [], 
                '''                Sent Error/drops
                ''',
                'num_sent_drop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=5),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ncd-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats',
            False, 
            [
            _MetaInfoClassMember('ncd-pri', REFERENCE_LIST, 'NcdPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri', 
                [], [], 
                '''                ncd pri
                ''',
                'ncd_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=2),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pl-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri',
            False, 
            [
            _MetaInfoClassMember('nsr-sched-enq-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched enq fails
                ''',
                'nsr_sched_enq_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-deqd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs deqd
                ''',
                'nsr_sched_evs_deqd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched evs in q
                ''',
                'nsr_sched_evs_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-evs-qd', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr sched evs qd
                ''',
                'nsr_sched_evs_qd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-max-evs', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched max evs
                ''',
                'nsr_sched_max_evs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-peak-q-len', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                nsr sched peak q len
                ''',
                'nsr_sched_peak_q_len',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-pri', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr sched pri
                ''',
                'nsr_sched_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched quant
                ''',
                'nsr_sched_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-sched-remain-quant', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                nsr sched remain quant
                ''',
                'nsr_sched_remain_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-pri',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched',
            False, 
            [
            _MetaInfoClassMember('nsr-bad-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr bad pulses rx
                ''',
                'nsr_bad_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-in-q', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr events in q
                ''',
                'nsr_events_in_q',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events rx
                ''',
                'nsr_events_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-events-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr events tx
                ''',
                'nsr_events_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-good-pulses-rx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr good pulses rx
                ''',
                'nsr_good_pulses_rx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pri', REFERENCE_LIST, 'NsrPri' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri', 
                [], [], 
                '''                nsr pri
                ''',
                'nsr_pri',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=3),
            _MetaInfoClassMember('nsr-pulse-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr pulse quant
                ''',
                'nsr_pulse_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulse-tx-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulse tx fails
                ''',
                'nsr_pulse_tx_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pulses-tx', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr pulses tx
                ''',
                'nsr_pulses_tx',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-rtr-thd-sched',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats',
            False, 
            [
            _MetaInfoClassMember('nsr-conn-to-active-attempts', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active attempts
                ''',
                'nsr_conn_to_active_attempts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-closes', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active closes
                ''',
                'nsr_conn_to_active_closes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-errors', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active errors
                ''',
                'nsr_conn_to_active_errors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active fails
                ''',
                'nsr_conn_to_active_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-conn-to-active-opens', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                nsr conn to active opens
                ''',
                'nsr_conn_to_active_opens',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-fsm-state', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr fsm state
                ''',
                'nsr_fsm_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-intf-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr intf seq no
                ''',
                'nsr_intf_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr lsa init sync pend count
                ''',
                'nsr_lsa_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad mdata count
                ''',
                'nsr_lsa_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-lsa-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr lsa qad qid
                ''',
                'nsr_lsa_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr mtu
                ''',
                'nsr_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-init-sync-pend-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr nbr init sync pend count
                ''',
                'nsr_nbr_init_sync_pend_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-mdata-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad mdata count
                ''',
                'nsr_nbr_qad_mdata_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-qad-qid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr qad qid
                ''',
                'nsr_nbr_qad_qid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nbr-seq-no', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nbr seq no
                ''',
                'nsr_nbr_seq_no',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr nodeid
                ''',
                'nsr_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-nodeid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer nodeid
                ''',
                'nsr_peer_nodeid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-peer-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr peer version
                ''',
                'nsr_peer_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rev', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr rev
                ''',
                'nsr_rev',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-rtr-thd-sched', REFERENCE_CLASS, 'NsrRtrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched', 
                [], [], 
                '''                nsr rtr thd sched
                ''',
                'nsr_rtr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-thd-sched', REFERENCE_CLASS, 'NsrThdSched' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched', 
                [], [], 
                '''                nsr thd sched
                ''',
                'nsr_thd_sched',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-tmr-quant', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                nsr tmr quant
                ''',
                'nsr_tmr_quant',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr version
                ''',
                'nsr_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'nsr-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.FrrStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.FrrStats',
            False, 
            [
            _MetaInfoClassMember('fs-paths', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of IPFRR paths
                ''',
                'fs_paths',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fs-paths-eligible', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths enabled for protection
                ''',
                'fs_paths_eligible',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fs-paths-protected', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of paths protected
                ''',
                'fs_paths_protected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'frr-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.TeStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.TeStats',
            False, 
            [
            _MetaInfoClassMember('adj-changes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                adj changes
                ''',
                'adj_changes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-gets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                adj gets
                ''',
                'adj_gets',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('control-batch-reads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                control batch reads
                ''',
                'control_batch_reads',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('control-batch-writes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                control batch writes
                ''',
                'control_batch_writes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('control-disconnects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                control disconnects
                ''',
                'control_disconnects',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('data-trans-completes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                data trans completes
                ''',
                'data_trans_completes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-announces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                fragment announces
                ''',
                'fragment_announces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fragment-deletes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                fragment deletes
                ''',
                'fragment_deletes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-batch-reads', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link batch reads
                ''',
                'link_batch_reads',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-batch-writes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link batch writes
                ''',
                'link_batch_writes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-floods', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link floods
                ''',
                'link_floods',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-fragment-floods', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                link fragment floods
                ''',
                'link_fragment_floods',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsp-gets', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                lsp gets
                ''',
                'lsp_gets',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-br-lkup-num-dests', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce br lkup num dests
                ''',
                'pce_br_lkup_num_dests',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-br-lookup', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce br lookup
                ''',
                'pce_br_lookup',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-br-resp-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce br resp fails
                ''',
                'pce_br_resp_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce flood
                ''',
                'pce_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-get', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce get
                ''',
                'pce_get',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-listen', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce listen
                ''',
                'pce_listen',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-node-announce-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce node announce batches
                ''',
                'pce_node_announce_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-node-delete-batches', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce node delete batches
                ''',
                'pce_node_delete_batches',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-node-send-fails', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce node send fails
                ''',
                'pce_node_send_fails',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-num-node-announce', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce num node announce
                ''',
                'pce_num_node_announce',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-num-node-delete', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce num node delete
                ''',
                'pce_num_node_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-stoplisten', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                pce stoplisten
                ''',
                'pce_stoplisten',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-num-area-enabled', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sr num area enabled
                ''',
                'sr_num_area_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                te connected
                ''',
                'te_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-disconnects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                te disconnects
                ''',
                'te_disconnects',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-sr-idt-sent', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                te sr idt sent
                ''',
                'te_sr_idt_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-sr-path-reg-idt-recvd', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                te sr path reg idt recvd
                ''',
                'te_sr_path_reg_idt_recvd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('total-tunnels', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                total tunnels
                ''',
                'total_tunnels',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tunnel-announces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                tunnel announces
                ''',
                'tunnel_announces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.ProtocolStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.ProtocolStats',
            False, 
            [
            _MetaInfoClassMember('checksumerr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                checksumerr
                ''',
                'checksumerr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input ack
                ''',
                'h_input_ack',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-dbdes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input dbdes
                ''',
                'h_input_dbdes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-lsupd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input lsupd
                ''',
                'h_input_lsupd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('h-input-req', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                h input req
                ''',
                'h_input_req',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input ack
                ''',
                'input_ack',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-ack-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input ack lsa
                ''',
                'input_ack_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-autherr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input autherr
                ''',
                'input_autherr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-dbdes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input dbdes
                ''',
                'input_dbdes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-dbdes-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input dbdes lsa
                ''',
                'input_dbdes_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input hello
                ''',
                'input_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-lsupd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input lsupd
                ''',
                'input_lsupd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-lsupd-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input lsupd lsa
                ''',
                'input_lsupd_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-req', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input req
                ''',
                'input_req',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('input-req-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                input req lsa
                ''',
                'input_req_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('inputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                inputs
                ''',
                'inputs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-ack', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output ack
                ''',
                'output_ack',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-ack-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output ack lsa
                ''',
                'output_ack_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-autherr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output autherr
                ''',
                'output_autherr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-dbdes', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output dbdes
                ''',
                'output_dbdes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-dbdes-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output dbdes lsa
                ''',
                'output_dbdes_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output hello
                ''',
                'output_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-lsupd', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output lsupd
                ''',
                'output_lsupd',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-lsupd-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output lsupd lsa
                ''',
                'output_lsupd_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-req', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output req
                ''',
                'output_req',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('output-req-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                output req lsa
                ''',
                'output_req_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('outputs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                outputs
                ''',
                'outputs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.RawIoStats' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.RawIoStats',
            False, 
            [
            _MetaInfoClassMember('disconnects', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                disconnects
                ''',
                'disconnects',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-bytes-rcv', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in bytes rcv
                ''',
                'in_bytes_rcv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-no-mem-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in no mem discarded
                ''',
                'in_no_mem_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-raw-event', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in raw event
                ''',
                'in_raw_event',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-rcv', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in rcv
                ''',
                'in_rcv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-short-msg-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in short msg discarded
                ''',
                'in_short_msg_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-standby-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                in standby discarded
                ''',
                'in_standby_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-not-ready-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                nsr not ready discarded
                ''',
                'nsr_not_ready_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-bytes-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out bytes sent
                ''',
                'out_bytes_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-ipv4-hdr-err-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out ipv4 hdr err discarded
                ''',
                'out_ipv4_hdr_err_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-no-conn-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out no conn discarded
                ''',
                'out_no_conn_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-no-pak-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out no pak discarded
                ''',
                'out_no_pak_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-null-src-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out null src discarded
                ''',
                'out_null_src_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-send-pak-err-discarded', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out send pak err discarded
                ''',
                'out_send_pak_err_discarded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('out-sent', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                out sent
                ''',
                'out_sent',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('raw-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                raw connected
                ''',
                'raw_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sl-raw-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                sl raw connected
                ''',
                'sl_raw_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'raw-io-stats',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF aread id string
                ''',
                'area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-stat', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF interface statistics
                ''',
                'if_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-intf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OSPF madj interface
                ''',
                'madj_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'if-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                interface handle type
                ''',
                'handle',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-entry', REFERENCE_LIST, 'IfEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry', 
                [], [], 
                '''                interface entry
                ''',
                'if_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-name-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name
                ''',
                'if_name_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entry', REFERENCE_LIST, 'InterfaceStatsEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry', 
                [], [], 
                '''                Statistics information for a specific interface
                ''',
                'interface_stats_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Statistics' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Statistics',
            False, 
            [
            _MetaInfoClassMember('frr-stats', REFERENCE_CLASS, 'FrrStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.FrrStats', 
                [], [], 
                '''                OSPF fast-reroute statistics
                ''',
                'frr_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-stats-entries', REFERENCE_CLASS, 'InterfaceStatsEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries', 
                [], [], 
                '''                Statistics innformation Interface table
                ''',
                'interface_stats_entries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('issu-stats', REFERENCE_CLASS, 'IssuStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats', 
                [], [], 
                '''                OSPF ISSU statistics
                ''',
                'issu_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-pl-stats', REFERENCE_CLASS, 'NsrPlStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats', 
                [], [], 
                '''                OSPF NSR packet library statistics
                ''',
                'nsr_pl_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-stats', REFERENCE_CLASS, 'NsrStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats', 
                [], [], 
                '''                OSPF NSR thread statistics
                ''',
                'nsr_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-stats', REFERENCE_CLASS, 'ProtocolStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.ProtocolStats', 
                [], [], 
                '''                OSPF Protocol statistics
                ''',
                'protocol_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('raw-io-stats', REFERENCE_CLASS, 'RawIoStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RawIoStats', 
                [], [], 
                '''                OSPF RAW IO statistics
                ''',
                'raw_io_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-batch-stats', REFERENCE_CLASS, 'RibBatchStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats', 
                [], [], 
                '''                Stats concerning RIB route updates using the
                Batching API
                ''',
                'rib_batch_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rib-thread-stats', REFERENCE_CLASS, 'RibThreadStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats', 
                [], [], 
                '''                OSPF RIB thread statistics
                ''',
                'rib_thread_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-stats', REFERENCE_CLASS, 'SpfStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats', 
                [], [], 
                '''                OSPF SPF statistics
                ''',
                'spf_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-stats', REFERENCE_CLASS, 'TeStats' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics.TeStats', 
                [], [], 
                '''                OSPF TE IO statistics
                ''',
                'te_stats',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Request list interface
                ''',
                'request_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'request_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request', 
                [], [], 
                '''                Request list for a particular adjacency
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'requests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of Area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS Scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Retransmission list interface
                ''',
                'retransmission_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'retransmission_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'retransmission_neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission', 
                [], [], 
                '''                Retransmission list for a particular adjacency
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmissions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation',
            False, 
            [
            _MetaInfoClassMember('area-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-flooding-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flooding_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DBD retransmissions during last
                exchange
                ''',
                'dbd_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DBD retransmissions for this
                neighbor
                ''',
                'dbd_retransmission_total_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'neighbor_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'number_of_retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-retransmission-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Label
                ''',
                'adjacency_sid_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SR Adjacency SID Protected
                ''',
                'adjacency_sid_protected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-unprotected-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Unprotected Label
                ''',
                'adjacency_sid_unprotected_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-oob-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds since last time
                Out-Of-Band resynchronization was done with this
                neighbor
                ''',
                'last_oob_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LFA Interface
                ''',
                'lfa_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Neighbor ID
                ''',
                'lfa_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LFA Neighbor Revision
                ''',
                'lfa_neighbor_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Next Hop
                ''',
                'lfa_next_hop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'neighbor_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'neighbor_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'neighbor_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs
                ''',
                'neighbor_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-lls-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                This is a bitmask of Link Local signalling
                options received from the neighbor
                ''',
                'neighbor_lls_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                 This is bitmaks of neighbor's option field
                received
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-information', REFERENCE_CLASS, 'NeighborRetransmissionInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-summary', REFERENCE_CLASS, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary', 
                [], [], 
                '''                Neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-router-state', REFERENCE_ENUM_CLASS, 'NsfRtrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NsfRtrEnum', 
                [], [], 
                '''                For cisco NSF, the router is either Requester or
                Receiver
                ''',
                'nsf_router_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('oob-resynchronization', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Out-Of-Bound resynchronization in progress
                ''',
                'oob_resynchronization',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('state-change-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes
                ''',
                'state_change_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail', 
                [], [], 
                '''                A single neighbor's detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AdjacencyInformation',
            False, 
            [
            _MetaInfoClassMember('neighbor-details', REFERENCE_CLASS, 'NeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails', 
                [], [], 
                '''                Neighbor detail table
                ''',
                'neighbor_details',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors', 
                [], [], 
                '''                Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('requests', REFERENCE_CLASS, 'Requests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests', 
                [], [], 
                '''                Request List table
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmissions', REFERENCE_CLASS, 'Retransmissions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions', 
                [], [], 
                '''                Retransmission list table
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'adjacency-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes',
            False, 
            [
            _MetaInfoClassMember('backup-route', REFERENCE_LIST, 'BackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute', 
                [], [], 
                '''                OSPF route including backup paths
                ''',
                'backup_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_LIST, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route', 
                [], [], 
                '''                An OSPF route
                ''',
                'route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-route-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes',
            False, 
            [
            _MetaInfoClassMember('multicast-intact-backup-route', REFERENCE_LIST, 'MulticastIntactBackupRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute', 
                [], [], 
                '''                OSPF route including multicast backup paths
                ''',
                'multicast_intact_backup_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.FailureTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.FailureTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'failure-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.Common' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.Common',
            False, 
            [
            _MetaInfoClassMember('external-nssa-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 1 count
                ''',
                'external_nssa_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-nssa-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 2 count
                ''',
                'external_nssa_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 1 count
                ''',
                'external_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 2 count
                ''',
                'external_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('inter-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-area count
                ''',
                'inter_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('intra-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-area count
                ''',
                'intra_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_CLASS, 'Common' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.Common', 
                [], [], 
                '''                OSPF route summary Information
                ''',
                'common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Last failed address
                ''',
                'failure_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-time', REFERENCE_CLASS, 'FailureTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.FailureTime', 
                [], [], 
                '''                Last time failed
                ''',
                'failure_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB failure count
                ''',
                'failures',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes',
            False, 
            [
            _MetaInfoClassMember('connected-route', REFERENCE_LIST, 'ConnectedRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute', 
                [], [], 
                '''                Connected route
                ''',
                'connected_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes',
            False, 
            [
            _MetaInfoClassMember('local-route', REFERENCE_LIST, 'LocalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute', 
                [], [], 
                '''                Local route
                ''',
                'local_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas',
            False, 
            [
            _MetaInfoClassMember('multicast-intact-backup-route-area', REFERENCE_LIST, 'MulticastIntactBackupRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea', 
                [], [], 
                '''                OSPF route including Multicast intact backup
                paths
                ''',
                'multicast_intact_backup_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-backup-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas',
            False, 
            [
            _MetaInfoClassMember('connected-route-area', REFERENCE_LIST, 'ConnectedRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea', 
                [], [], 
                '''                Connected route
                ''',
                'connected_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'connected-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath',
            False, 
            [
            _MetaInfoClassMember('backup-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'backup_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-remote-lfa', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of remote LFA
                ''',
                'backup_remote_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-repair', REFERENCE_LIST, 'BackupRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair', 
                [], [], 
                '''                Backup Repair List
                ''',
                'backup_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('backup-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair List Size
                ''',
                'backup_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'backup_route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'backup_route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'backup_route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Backup Tunnel Interface
                ''',
                'backup_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('downstream', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Downstream
                ''',
                'downstream',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('line-card-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Line Card Disjoint
                ''',
                'line_card_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-protect', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Node Protect
                ''',
                'node_protect',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('primary-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Primary Path
                ''',
                'primary_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg-disjoint', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SRLG Disjoint
                ''',
                'srlg_disjoint',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-backup-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-backup-path', REFERENCE_CLASS, 'RouteBackupPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath', 
                [], [], 
                '''                Backup Path Info
                ''',
                'route_backup_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Path ID of path
                ''',
                'route_path_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas',
            False, 
            [
            _MetaInfoClassMember('backup-route-area', REFERENCE_LIST, 'BackupRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea', 
                [], [], 
                '''                OSPF route including backup paths
                ''',
                'backup_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'backup-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-area-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations',
            False, 
            [
            _MetaInfoClassMember('route-area-information', REFERENCE_LIST, 'RouteAreaInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation', 
                [], [], 
                '''                An OSPF route
                ''',
                'route_area_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-area-informations',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas',
            False, 
            [
            _MetaInfoClassMember('multicast-intact-route-area', REFERENCE_LIST, 'MulticastIntactRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea', 
                [], [], 
                '''                A Muliticast OSPF route in an area
                ''',
                'multicast_intact_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'multicast-intact-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'failure-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common',
            False, 
            [
            _MetaInfoClassMember('external-nssa-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 1 count
                ''',
                'external_nssa_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-nssa-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External NSSA type 2 count
                ''',
                'external_nssa_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type1s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 1 count
                ''',
                'external_type1s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-type2s', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                External type 2 count
                ''',
                'external_type2s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('inter-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Inter-area count
                ''',
                'inter_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('intra-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Intra-area count
                ''',
                'intra_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('total', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total count
                ''',
                'total',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'common',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation',
            False, 
            [
            _MetaInfoClassMember('common', REFERENCE_CLASS, 'Common' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common', 
                [], [], 
                '''                OSPF route summary Information
                ''',
                'common',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Last failed address
                ''',
                'failure_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failure-time', REFERENCE_CLASS, 'FailureTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime', 
                [], [], 
                '''                Last time failed
                ''',
                'failure_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('failures', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB failure count
                ''',
                'failures',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-area-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas',
            False, 
            [
            _MetaInfoClassMember('local-route-area', REFERENCE_LIST, 'LocalRouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea', 
                [], [], 
                '''                Local route
                ''',
                'local_route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'local-route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('backup-route-areas', REFERENCE_CLASS, 'BackupRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas', 
                [], [], 
                '''                OSPF Route Table Including Backup Paths in an
                area
                ''',
                'backup_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-route-areas', REFERENCE_CLASS, 'ConnectedRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas', 
                [], [], 
                '''                OSPF Connected Route Table in an area
                ''',
                'connected_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('local-route-areas', REFERENCE_CLASS, 'LocalRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas', 
                [], [], 
                '''                OSPF Local Route Table
                ''',
                'local_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-backup-route-areas', REFERENCE_CLASS, 'MulticastIntactBackupRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas', 
                [], [], 
                '''                OSPF Route Table Including Multicast Intace
                Backup Paths in an area
                ''',
                'multicast_intact_backup_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-route-areas', REFERENCE_CLASS, 'MulticastIntactRouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas', 
                [], [], 
                '''                OSPF Area multicast-intact included route
                entry
                ''',
                'multicast_intact_route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-area-informations', REFERENCE_CLASS, 'RouteAreaInformations' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations', 
                [], [], 
                '''                OSPF Area Route Entry
                ''',
                'route_area_informations',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-area-information', REFERENCE_CLASS, 'SummaryAreaInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation', 
                [], [], 
                '''                OSPF route summary statistics
                ''',
                'summary_area_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas',
            False, 
            [
            _MetaInfoClassMember('route-area', REFERENCE_LIST, 'RouteArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea', 
                [], [], 
                '''                OSPF Area Route
                ''',
                'route_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable',
            False, 
            [
            _MetaInfoClassMember('route', REFERENCE_LIST, 'Route' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route', 
                [], [], 
                '''                An OSPF route
                ''',
                'route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-update-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-fail-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo',
            False, 
            [
            _MetaInfoClassMember('route-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'route_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-auto-excluded', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, exclude from TE paths
                ''',
                'route_auto_excluded',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-fail-time', REFERENCE_CLASS, 'RouteFailTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime', 
                [], [], 
                '''                Last time update failed
                ''',
                'route_fail_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-forward-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Forward distance
                ''',
                'route_forward_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-rib-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                RIB version
                ''',
                'route_rib_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Protocol source
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                SPF priority
                ''',
                'route_spf_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF version
                ''',
                'route_spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-nbr-registered', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                SRTE registered neigbhor count on route
                ''',
                'route_srte_nbr_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-srte-prefix-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, SRTE registered prefix route
                ''',
                'route_srte_prefix_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-te-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE metric
                ''',
                'route_te_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-update-time', REFERENCE_CLASS, 'RouteUpdateTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime', 
                [], [], 
                '''                Last time updated
                ''',
                'route_update_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-info',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair',
            False, 
            [
            _MetaInfoClassMember('repair-element-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Repair Element ID
                ''',
                'repair_element_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-element-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Element Type
                ''',
                'repair_element_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('repair-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Repair Label
                ''',
                'repair_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'microloop-repair',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath',
            False, 
            [
            _MetaInfoClassMember('microloop-repair', REFERENCE_LIST, 'MicroloopRepair' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair', 
                [], [], 
                '''                Microloop Repair List
                ''',
                'microloop_repair',
                'Cisco-IOS-XR-ipv4-ospf-oper', False, max_elements=10),
            _MetaInfoClassMember('microloop-repair-list-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop Repair List Size
                ''',
                'microloop_repair_list_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-strict-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict SPF SID
                ''',
                'microloop_strict_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-tunnel-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Microloop Tunnel Interface name
                ''',
                'microloop_tunnel_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-microloop-avoidance-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath',
            False, 
            [
            _MetaInfoClassMember('area-format', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Area format IP or uint32
                ''',
                'area_format',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                LSA type, see RFC2328 etc.
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'route_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-lsaid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID, see RFC2328
                ''',
                'route_lsaid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-next-hop-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Nexthop IP address
                ''',
                'route_next_hop_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-mcast-intact', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Multicast-intact path
                ''',
                'route_path_is_mcast_intact',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path-is-ucmp-path', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                UCMP path
                ''',
                'route_path_is_ucmp_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-source', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP address of source of route
                ''',
                'route_source',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-path', REFERENCE_CLASS, 'SrMicroloopAvoidancePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath', 
                [], [], 
                '''                SR Microloop avoidance Path Info
                ''',
                'sr_microloop_avoidance_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_',
            False, 
            [
            _MetaInfoClassMember('route-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, connected route
                ''',
                'route_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-info', REFERENCE_CLASS, 'RouteInfo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo', 
                [], [], 
                '''                Route information
                ''',
                'route_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-path', REFERENCE_LIST, 'RoutePath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath', 
                [], [], 
                '''                List of paths to this route
                ''',
                'route_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'route_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'route_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName',
            False, 
            [
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System Number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Connected instance name
                ''',
                'connected_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Autonomous System Number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISIS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'RedistProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'RedistProtocolEnum', 
                [], [], 
                '''                ProtocolType
                ''',
                'protocol_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-name',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity',
            False, 
            [
            _MetaInfoClassMember('extended-community-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area id
                ''',
                'extended_community_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'extended_community_domain_id_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route Options
                ''',
                'extended_community_options',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-route-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Route type
                ''',
                'extended_community_route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-community-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router id
                ''',
                'extended_community_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('extended-communityl-domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID type
                ''',
                'extended_communityl_domain_id_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-extended-community',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute',
            False, 
            [
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '32')], [], 
                '''                Prefix Length
                ''',
                'prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-name', REFERENCE_CLASS, 'ProtocolName' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName', 
                [], [], 
                '''                Name of protocol from which the external route
                was redistributed
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-extended-community', REFERENCE_CLASS, 'RouteExtendedCommunity' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity', 
                [], [], 
                '''                Extended communities in the route
                ''',
                'route_extended_community',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-information', REFERENCE_CLASS, 'RouteInformation_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_', 
                [], [], 
                '''                Route information
                ''',
                'route_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-route',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes',
            False, 
            [
            _MetaInfoClassMember('external-route', REFERENCE_LIST, 'ExternalRoute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute', 
                [], [], 
                '''                OSPF external route
                ''',
                'external_route',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-routes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.RouteInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.RouteInformation',
            False, 
            [
            _MetaInfoClassMember('backup-routes', REFERENCE_CLASS, 'BackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes', 
                [], [], 
                '''                OSPF Route Table Including Backup Paths
                ''',
                'backup_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-routes', REFERENCE_CLASS, 'ConnectedRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes', 
                [], [], 
                '''                OSPF Connected Route Table
                ''',
                'connected_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-routes', REFERENCE_CLASS, 'ExternalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes', 
                [], [], 
                '''                OSPF External Route Table
                ''',
                'external_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('local-routes', REFERENCE_CLASS, 'LocalRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes', 
                [], [], 
                '''                OSPF Local Route Table
                ''',
                'local_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-backup-routes', REFERENCE_CLASS, 'MulticastIntactBackupRoutes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes', 
                [], [], 
                '''                OSPF Route Table Including Multicast intact
                Backup Paths
                ''',
                'multicast_intact_backup_routes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('multicast-intact-route-table', REFERENCE_CLASS, 'MulticastIntactRouteTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable', 
                [], [], 
                '''                OSPF Route Table including multicast-intact
                routes
                ''',
                'multicast_intact_route_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-areas', REFERENCE_CLASS, 'RouteAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas', 
                [], [], 
                '''                OSPF Area Route Table
                ''',
                'route_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-table', REFERENCE_CLASS, 'RouteTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable', 
                [], [], 
                '''                OSPF Route Table
                ''',
                'route_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-information', REFERENCE_CLASS, 'SummaryInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation', 
                [], [], 
                '''                OSPF route summary statistics
                ''',
                'summary_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'route-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin',
            False, 
            [
            _MetaInfoClassMember('area-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-flooding-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flooding_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DBD retransmissions during last
                exchange
                ''',
                'dbd_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DBD retransmissions for this
                neighbor
                ''',
                'dbd_retransmission_total_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'neighbor_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'number_of_retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-link-retransmissoin',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor',
            False, 
            [
            _MetaInfoClassMember('virtual-link-retransmissoin', REFERENCE_CLASS, 'VirtualLinkRetransmissoin' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin', 
                [], [], 
                '''                Neighbor retransmission info
                ''',
                'virtual_link_retransmissoin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Adjacency state
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true Hellos suppressed
                ''',
                'virtual_link_suppress_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-link-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink',
            False, 
            [
            _MetaInfoClassMember('virtual-link-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Virtual link
                ''',
                'virtual_link_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('transit-area', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Transit area id
                ''',
                'transit_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtaul-link-retransmission-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission interval (s)
                ''',
                'virtaul_link_retransmission_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'virtual_link_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of the virtual link
                ''',
                'virtual_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-dc-bitless-lsa', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA's with demand circuit bit not set
                ''',
                'virtual_link_dc_bitless_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Dead interval (s)
                ''',
                'virtual_link_dead_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the link runs as demand circuit
                ''',
                'virtual_link_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (s)
                ''',
                'virtual_link_hello_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-hello-interval-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hello interval (ms)
                ''',
                'virtual_link_hello_interval_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this virtual link is formed
                ''',
                'virtual_link_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-keychain-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Virtual Link Keychain ID
                ''',
                'virtual_link_keychain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-last-nsf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time in seconds since last NSF
                ''',
                'virtual_link_last_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-md-key', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                List of old MD keys (if any)
                ''',
                'virtual_link_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Virtual link name
                ''',
                'virtual_link_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor', REFERENCE_CLASS, 'VirtualLinkNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'virtual_link_neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor on other end of this virtual link
                ''',
                'virtual_link_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-next-hello', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (s)
                ''',
                'virtual_link_next_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-next-hello-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next hello (ms)
                ''',
                'virtual_link_next_hello_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF restart in progress on the virtual
                link
                ''',
                'virtual_link_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF enabled
                ''',
                'virtual_link_nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-old-md-key-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors still using the old key
                (rollover in progress)
                ''',
                'virtual_link_old_md_key_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-passive', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is passive
                ''',
                'virtual_link_passive',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                OSPF interface state for the virtual link
                ''',
                'virtual_link_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait interval (s)
                ''',
                'virtual_link_wait_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-youngest-md-key', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MD key configured
                ''',
                'virtual_link_youngest_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-link-youngest-md-key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Youngest MD key ID
                ''',
                'virtual_link_youngest_md_key_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virual-link-transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Transmission delay in seconds
                ''',
                'virual_link_transmission_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks',
            False, 
            [
            _MetaInfoClassMember('virtual-link', REFERENCE_LIST, 'VirtualLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink', 
                [], [], 
                '''                Information for one Virtual link
                ''',
                'virtual_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'virtual-links',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface in fast detect hold down state
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief', 
                [], [], 
                '''                OSPF interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier
                ''',
                'detection_multiplier',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms)
                ''',
                'interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'interface_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'interface_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms)
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('keychain-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Keychain ID
                ''',
                'keychain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms)
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('md-keys', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                List of old MD keys
                ''',
                'md_keys',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('old-md5-key-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors using the old key (if
                rollover in progress)
                ''',
                'old_md5_key_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed
                ''',
                'suppress_hello_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MD key is configured
                ''',
                'youngest_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Youngest MD key ID
                ''',
                'youngest_md_key_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor Router ID
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backup designated router
                ''',
                'neighbor_bdr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Designated router
                ''',
                'neighbor_dr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hellos suppressed
                ''',
                'suppress_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers',
            False, 
            [
            _MetaInfoClassMember('tiebreaker-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tiebreaker Index
                ''',
                'tiebreaker_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tiebreaker-type', REFERENCE_ENUM_CLASS, 'IpfrrTbrkrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrTbrkrEnum', 
                [], [], 
                '''                Tiebreaker Type
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipfrr-tiebreakers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router
                ''',
                'backup_designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cfg-cost-fallback', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is configured
                ''',
                'cfg_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit
                ''',
                'configured_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync-igp-shortcuts', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sync igp shortcuts
                ''',
                'configured_ldp_sync_igp_shortcuts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cost-fallback-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is active
                ''',
                'cost_fallback_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s)
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-down time in ms for fast-detect event
                ''',
                'fast_detect_hold_down_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining hold down time in ms
                ''',
                'fast_detect_hold_down_time_remaining',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-topology-independent-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Topology Independent LFA
                ''',
                'fast_reroute_topology_independent_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-type', REFERENCE_ENUM_CLASS, 'IpfrrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrEnum', 
                [], [], 
                '''                IP Fast Reroute Type
                ''',
                'fast_reroute_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (ms)
                ''',
                'hello_interval_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'interface_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'interface_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface bandwidth
                ''',
                'interface_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bfd-information', REFERENCE_CLASS, 'InterfaceBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation', 
                [], [], 
                '''                BFD information
                ''',
                'interface_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-cost-fallback', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface fallback cost
                ''',
                'interface_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'interface_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Link in hold-down state due to fast detect event
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-last-nsf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last NSF restart (s)
                ''',
                'interface_last_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-line-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up
                ''',
                'interface_line_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-lsa-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs
                ''',
                'interface_lsa_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF restart in progress on this
                interface
                ''',
                'interface_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF is enabled
                ''',
                'interface_nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-retransmission-interrval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s)
                ''',
                'interface_retransmission_interrval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Router ID
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface SID
                ''',
                'interface_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID N-Flag Clear
                ''',
                'interface_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID PHP Off
                ''',
                'interface_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Strict-SPF SID
                ''',
                'interface_strict_spf_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID N-Flag Clear
                ''',
                'interface_strict_spf_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID PHP Off
                ''',
                'interface_strict_spf_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-tunnel-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface tunnel flags
                ''',
                'interface_tunnel_flags',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IP MTU
                ''',
                'ip_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-tiebreakers', REFERENCE_LIST, 'IpfrrTiebreakers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers', 
                [], [], 
                '''                IPFRR-Tiebreakers list
                ''',
                'ipfrr_tiebreakers',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('is-loopback-stub-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, loopback interface is advertised as a
                stub network
                ''',
                'is_loopback_stub_network',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-packet-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum Packet Size
                ''',
                'maximum_packet_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s)
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (ms)
                ''',
                'next_hello_time_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, passive interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-primary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for primary addresses
                ''',
                'prefix_suppress_primary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-secondary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for secondary addresses
                ''',
                'prefix_suppress_secondary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('registered-for-link-down-fast-detection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Registered for Link Down Fast Detection
                ''',
                'registered_for_link_down_fast_detection',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG Values
                ''',
                'srlg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface Transmission delay
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL security enabled on the interface
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TTL security hop counts
                ''',
                'ttl_security_hop_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s)
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface', 
                [], [], 
                '''                OSPF interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.InterfaceInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.InterfaceInformation',
            False, 
            [
            _MetaInfoClassMember('interface-briefs', REFERENCE_CLASS, 'InterfaceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs', 
                [], [], 
                '''                OSPF Interface Brief Table
                ''',
                'interface_briefs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces', 
                [], [], 
                '''                OSPF Interface Table
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('virtual-links', REFERENCE_CLASS, 'VirtualLinks' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks', 
                [], [], 
                '''                Virtual Link table
                ''',
                'virtual_links',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath',
            False, 
            [
            _MetaInfoClassMember('border-router-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area string in decimal or dotted-decimal format
                ''',
                'border_router_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Next hop address
                ''',
                'border_router_next_hop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-next-hop-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Next hop Interface
                ''',
                'border_router_next_hop_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-route-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'border_router_route_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-route-type', REFERENCE_ENUM_CLASS, 'OspfRouteEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfRouteEnum', 
                [], [], 
                '''                Route type
                ''',
                'border_router_route_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-type', REFERENCE_ENUM_CLASS, 'OspfBrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfBrEnum', 
                [], [], 
                '''                Border router type
                ''',
                'border_router_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                SPF run instance count
                ''',
                'spf_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'border-router-path',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter',
            False, 
            [
            _MetaInfoClassMember('border-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router address
                ''',
                'border_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('border-router-id-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Border Router
                ''',
                'border_router_id_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-router-path', REFERENCE_LIST, 'BorderRouterPath' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath', 
                [], [], 
                '''                List of Border Router paths
                ''',
                'border_router_path',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'border-router',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.BorderRouters' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.BorderRouters',
            False, 
            [
            _MetaInfoClassMember('border-router', REFERENCE_LIST, 'BorderRouter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter', 
                [], [], 
                '''                Information for a particular border router
                ''',
                'border_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'border-routers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface',
            False, 
            [
            _MetaInfoClassMember('protocol-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'protocol_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-interface-dist-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'protocol_interface_dist_list_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'protocol_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Area ID if in IP address format
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID if in integer format
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protcol-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal and dotted-decimal
                format
                ''',
                'protcol_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-area-dist-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'protocol_area_dist_list_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-interface', REFERENCE_LIST, 'ProtocolInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface', 
                [], [], 
                '''                Interface list
                ''',
                'protocol_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-mpls', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS-TE enabled
                ''',
                'protocol_mpls',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas',
            False, 
            [
            _MetaInfoClassMember('protocol-area', REFERENCE_LIST, 'ProtocolArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea', 
                [], [], 
                '''                Area information
                ''',
                'protocol_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolSummary',
            False, 
            [
            _MetaInfoClassMember('administrative-distance-external', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for External routes
                ''',
                'administrative_distance_external',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('administrative-distance-inter-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative Distance for Inter Area routes
                ''',
                'administrative_distance_inter_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dist-list-in', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Distribute List In
                ''',
                'dist_list_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Administrative distance
                ''',
                'protocol_distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if NSF enabled
                ''',
                'protocol_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'protocol_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'protocol-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol',
            False, 
            [
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System Number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Connected instance name
                ''',
                'connected_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Autonomous System Number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISIS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'RedistProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'RedistProtocolEnum', 
                [], [], 
                '''                ProtocolType
                ''',
                'protocol_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution',
            False, 
            [
            _MetaInfoClassMember('classless', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether to use CIDR
                ''',
                'classless',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Metric configured
                ''',
                'metric_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                To NSSA areas only
                ''',
                'nssa_only',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('process-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Process name
                ''',
                'process_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                Protocol name
                ''',
                'protocol_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-protocol', REFERENCE_CLASS, 'RedistributionProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol', 
                [], [], 
                '''                Protocol Information
                ''',
                'redistribution_protocol',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions',
            False, 
            [
            _MetaInfoClassMember('redistribution', REFERENCE_LIST, 'Redistribution' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution', 
                [], [], 
                '''                Redistribution information
                ''',
                'redistribution',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistributions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange',
            False, 
            [
            _MetaInfoClassMember('advertise-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether to advertise Summary LSAs for this range
                ''',
                'advertise_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost
                ''',
                'cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('range-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Network mask
                ''',
                'range_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('range-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP prefix for summarization
                ''',
                'range_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-range',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea',
            False, 
            [
            _MetaInfoClassMember('address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Area ID if in IP address format
                ''',
                'address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-adj-stag-num-nbr-forming', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of nbrs currently forming
                ''',
                'area_adj_stag_num_nbr_forming',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSA with demand circuit bit not set
                ''',
                'area_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID if in integer format
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string
                ''',
                'area_id_string',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of interfaces in the area
                ''',
                'area_interface_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LFA enabled interfaces
                ''',
                'area_lfa_interface_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lfa-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area LFA revision
                ''',
                'area_lfa_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of all area LSAs checksum
                ''',
                'area_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs in the Area
                ''',
                'area_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-nssa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, area is a NSSA
                ''',
                'area_nssa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-num-nbr-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of full nbrs in area
                ''',
                'area_num_nbr_full',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksums
                ''',
                'area_opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-opaque-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Opaque LSAs in the Area
                ''',
                'area_opaque_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-per-prefix-lfa-interface-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Per Prefix LFA enabled interfaces
                ''',
                'area_per_prefix_lfa_interface_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-in', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, inbound policy is configured
                ''',
                'area_policy_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-in-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Inbound summary lsa filtering policy
                ''',
                'area_policy_in_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, outbound policy is configured
                ''',
                'area_policy_out',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-policy-out-name', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Outbound summary lsa filtering policy
                ''',
                'area_policy_out_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-range', REFERENCE_LIST, 'AreaRange' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange', 
                [], [], 
                '''                List of ranges to summarize
                ''',
                'area_range',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-stub', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, stub area
                ''',
                'area_stub',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-total-stub', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, totally stubby area
                ''',
                'area_total_stub',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backbone-area-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backbone area is active
                ''',
                'backbone_area_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dna-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DoNotAge LSAs
                ''',
                'dna_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-out', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise intra-area prefixes as
                external
                ''',
                'external_out',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs which need to be flooded
                ''',
                'flood_list_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('indication-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of indication LSAs
                ''',
                'indication_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-default', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, generate NSSA default route
                ''',
                'nssa_default',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-no-redistribution', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, No redistribution into this NSSA area
                ''',
                'nssa_no_redistribution',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-translate', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, perform 7/5 translation
                ''',
                'nssa_translate',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('segment-routing', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                If true, Segment Routing enabled
                ''',
                'segment_routing',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of SPF calculations run
                ''',
                'spf_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Segment routing Uloop avoidance        
                is currently active in this area
                ''',
                'sr_microloop_avoidance_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-event-type', REFERENCE_ENUM_CLASS, 'SrUloopEventEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'SrUloopEventEnum', 
                [], [], 
                '''                Event for which SR uloop is triggered           
                Link Up/Link Down
                ''',
                'sr_microloop_avoidance_event_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-far-end-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link State ID of the far end                    
                of the topology change
                ''',
                'sr_microloop_avoidance_far_end_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-near-end-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link State ID of the near end                   
                of the topology change
                ''',
                'sr_microloop_avoidance_near_end_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-microloop-avoidance-pseudonode-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link State ID of the pseudo node,               
                if the change is on a broadcast link
                ''',
                'sr_microloop_avoidance_pseudonode_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-strict-spf-cap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, All routers in Area are SR Strict-SPF
                Capable
                ''',
                'sr_strict_spf_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-strict-spfsids-available', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, All routers in Area have SR Strict-SPF
                SIDs
                ''',
                'sr_strict_spfsids_available',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stub-default-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Default cost for Stub or NSSA area
                ''',
                'stub_default_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-in', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise redistributedprefixes as
                summary
                ''',
                'summary_in',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MPLS-TE enabled
                ''',
                'te_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-topology-version', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TE area topology version number
                ''',
                'te_topology_version',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas',
            False, 
            [
            _MetaInfoClassMember('process-area', REFERENCE_LIST, 'ProcessArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea', 
                [], [], 
                '''                Detailed information for a particular area
                ''',
                'process_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'primary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId',
            False, 
            [
            _MetaInfoClassMember('domain-id-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Domain ID Type
                ''',
                'domain_id_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('domain-id-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Domain ID value
                ''',
                'domain_id_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'secondary-domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId',
            False, 
            [
            _MetaInfoClassMember('primary-domain-id', REFERENCE_CLASS, 'PrimaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId', 
                [], [], 
                '''                Primary Domain ID
                ''',
                'primary_domain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('secondary-domain-id', REFERENCE_LIST, 'SecondaryDomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId', 
                [], [], 
                '''                List of secondary domain IDs
                ''',
                'secondary_domain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'domain-id',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'maximum-metric-time-unset',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric',
            False, 
            [
            _MetaInfoClassMember('max-metric-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Max-metric enabled
                ''',
                'max_metric_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-metric-reason', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Max-metric reason
                ''',
                'max_metric_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-external-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise max-metric in external-LSAs
                ''',
                'maximum_metric_external_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-external-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max-metric value to advertise in external-LSAs
                ''',
                'maximum_metric_external_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-include-stubs', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, set max-metric in stub links
                ''',
                'maximum_metric_include_stubs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-originated-for', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time max-metric was used for
                ''',
                'maximum_metric_originated_for',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time remaining until we will start using normal
                metrics (s)
                ''',
                'maximum_metric_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-summary-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, advertise max-metric in summary-LSAs
                ''',
                'maximum_metric_summary_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-summary-lsa-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max-metric value to advertise in summary-LSAs
                ''',
                'maximum_metric_summary_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-time-unset', REFERENCE_CLASS, 'MaximumMetricTimeUnset' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset', 
                [], [], 
                '''                Time max-metric condition was cleared
                ''',
                'maximum_metric_time_unset',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-unset-reason', REFERENCE_ENUM_CLASS, 'MaxMetricUnsetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MaxMetricUnsetReasonEnum', 
                [], [], 
                '''                Max-metric unset reason
                ''',
                'maximum_metric_unset_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('saved-startup-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold time configured (s)
                ''',
                'saved_startup_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('saved-unset-maximum-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Saved UnsetMaximumMetric
                ''',
                'saved_unset_maximum_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unset-maximum-metric', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, BGP is up, no maximum metric Router LSA
                ''',
                'unset_maximum_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'maximum-metric',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol',
            False, 
            [
            _MetaInfoClassMember('bgp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                BGP Autonomous System Number
                ''',
                'bgp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('connected-instance', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Connected instance name
                ''',
                'connected_instance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('eigrp-as-number', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                Autonomous System Number
                ''',
                'eigrp_as_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('isis-instance-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                ISIS instance identifier
                ''',
                'isis_instance_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-process-id', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF process identifier
                ''',
                'ospf_process_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-type', REFERENCE_ENUM_CLASS, 'RedistProtocolEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'RedistProtocolEnum', 
                [], [], 
                '''                ProtocolType
                ''',
                'protocol_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution-protocol',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution',
            False, 
            [
            _MetaInfoClassMember('classless', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Whether to use CIDR
                ''',
                'classless',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route metric
                ''',
                'metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('metric-flag', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Metric configured
                ''',
                'metric_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                To NSSA areas only
                ''',
                'nssa_only',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-protocol', REFERENCE_CLASS, 'RedistributionProtocol' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol', 
                [], [], 
                '''                Protocol Information
                ''',
                'redistribution_protocol',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'redistribution',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary',
            False, 
            [
            _MetaInfoClassMember('adj-stag-init-num-nbr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of nbrs brought up initially per area
                ''',
                'adj_stag_init_num_nbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-stag-max-num-nbr', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Max num of nbrs brought up simultaneously per
                OSPF instance
                ''',
                'adj_stag_max_num_nbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-stag-num-nbr-forming', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of nbrs currently forming for OSPF instance
                ''',
                'adj_stag_num_nbr_forming',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adj-stagger-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, OSPF Adjacency Staggering is configured
                ''',
                'adj_stagger_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an Area Border Router
                ''',
                'area_border_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of areas
                ''',
                'area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-border-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, is an AS Border Router
                ''',
                'as_border_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of External and AS Opaque LSAs with
                demand circut bit not set
                ''',
                'as_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-dna-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of External and AS Opaque LSAs with
                DoNotAge set 
                ''',
                'as_dna_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of AS scope LSA checksum
                ''',
                'as_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of AS scope LSAs
                ''',
                'as_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-lsa-flood-list-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Length of AS LSAs flood list
                ''',
                'as_lsa_flood_list_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('context-name', ATTRIBUTE, 'str' , None, None, 
                [(0, 32)], [], 
                '''                Context name
                ''',
                'context_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('domain-id', REFERENCE_CLASS, 'DomainId' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId', 
                [], [], 
                '''                Domain ID information
                ''',
                'domain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('graceful-shutdown-retention-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time routes are retained after
                graceful shutdown (s)
                ''',
                'graceful_shutdown_retention_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('graceful-shutdown-state', REFERENCE_ENUM_CLASS, 'GsStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'GsStateEnum', 
                [], [], 
                '''                State of graceful shutdown
                ''',
                'graceful_shutdown_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-flood-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Flood pacing timer (ms)
                ''',
                'if_flood_pacing_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-retrans-pacing-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Retransmission pacing timer (ms)
                ''',
                'if_retrans_pacing_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('igp-intact-on', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, running in IGP-Intact mode
                ''',
                'igp_intact_on',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-nsf-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                 Length of time since the last NSF (s)
                ''',
                'last_nsf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second delay before generating next LSA (ms)
                ''',
                'lsa_hold_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay before generating an LSA (ms)
                ''',
                'lsa_maximum_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-refresh-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSA refresh interval (sec)
                ''',
                'lsa_refresh_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-start-time', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Inital LSA throttle delay (ms)
                ''',
                'lsa_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-bound', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if bound to LSD
                ''',
                'lsd_bound',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-connected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if connected to LSD
                ''',
                'lsd_connected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-connection-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LSD Connection Revision
                ''',
                'lsd_connection_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsd-registered', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if registered with LSD
                ''',
                'lsd_registered',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, max-lsa protection enabled
                ''',
                'max_lsa_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                How many times ignore state has been entered
                ''',
                'max_lsa_ignore_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Max allowed number of entering ignore state
                ''',
                'max_lsa_ignore_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time ignoring new LSAs after max-lsa reached
                ''',
                'max_lsa_ignore_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-ignore-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when ignore timer is running
                ''',
                'max_lsa_ignore_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum allowed number of non self-generated
                LSAs
                ''',
                'max_lsa_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-reset-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time after which LSA protection counter is reset
                ''',
                'max_lsa_reset_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-reset-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time when reset timer is running
                ''',
                'max_lsa_reset_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-treshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                max-lsa protection warning threshold
                ''',
                'max_lsa_treshold',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('max-lsa-warning-only', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Warning only when max-lsa reached
                ''',
                'max_lsa_warning_only',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-interfaces', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of interfaces
                ''',
                'maximum_interfaces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric', REFERENCE_LIST, 'MaximumMetric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric', 
                [], [], 
                '''                Max-metric list
                ''',
                'maximum_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-abr-off-buffer-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Buffer time in seconds since last neighbor
                activity, to remain in max-metric ABR off state
                ''',
                'maximum_metric_abr_off_buffer_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-abr-off-mode', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, ABR duties temporarily disabled
                ''',
                'maximum_metric_abr_off_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-abr-off-reasons', REFERENCE_ENUM_CLASS, 'OspfMaxMetricAbrOffReasonsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfMaxMetricAbrOffReasonsEnum', 
                [], [], 
                '''                Reasons for ABR duties being temporarily
                disabled
                ''',
                'maximum_metric_abr_off_reasons',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-set-reason', REFERENCE_ENUM_CLASS, 'MaxMetricSetReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'MaxMetricSetReasonEnum', 
                [], [], 
                '''                Max-metric set reason
                ''',
                'maximum_metric_set_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-start', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, originate Router LSA with maximum
                metric
                ''',
                'maximum_metric_start',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-metric-start-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time remaining for hold down timer (s)
                ''',
                'maximum_metric_start_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Uloop is active
                ''',
                'microloop_avoidance_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Microloop delay time after which actual         
                post convergence paths are given to RIB (s)
                ''',
                'microloop_avoidance_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-delay-expiry', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining time for uloop delay timer            
                to expire (s)
                ''',
                'microloop_avoidance_delay_expiry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('microloop-avoidance-type', REFERENCE_ENUM_CLASS, 'UloopAvoidanceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'UloopAvoidanceEnum', 
                [], [], 
                '''                Microloop avoidance type configured
                ''',
                'microloop_avoidance_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-arrival-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum time between accepting LSAs (ms) Rel 4.0
                .1, deprecated by MinimumLSAArrivalIntervalU32]
                ''',
                'minimum_lsa_arrival_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-arrival-interval-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time between accepting LSAs (ms)
                ''',
                'minimum_lsa_arrival_interval_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum time between LSA regeneration (ms) Rel 4
                .0.1, deprecated by MinimumLSAIntervalU32]
                ''',
                'minimum_lsa_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minimum-lsa-interval-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum time between LSA regeneration (ms)
                ''',
                'minimum_lsa_interval_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('non-self-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Non self-generated LSA count
                ''',
                'non_self_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('normal-area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of normal Areas
                ''',
                'normal_area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF enabled
                ''',
                'nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total time to complete NSF (s)
                ''',
                'nsf_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSR is enabled
                ''',
                'nsr_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-switchover-on-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Trigger RP Switchover on detectable process
                restart
                ''',
                'nsr_switchover_on_restart',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of NSSA Areas
                ''',
                'nssa_area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-nbrs-full', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Num of full nbrs
                ''',
                'number_nbrs_full',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Opaque LSA capable
                ''',
                'opaque_capable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Sum of opaque LSA checksum
                ''',
                'opaque_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of Opaque LSAs
                ''',
                'opaque_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution', REFERENCE_LIST, 'Redistribution' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution', 
                [], [], 
                '''                Redistribution list
                ''',
                'redistribution',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-limit', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The number of redistributed prefixes allowed
                ''',
                'redistribution_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-limit-warn', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, only a syslog message is printed when
                redistribution prefix limit is reached
                ''',
                'redistribution_limit_warn',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistribution-threshold', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                When the number of redistributed prefixes
                reaches this threshold, a warning message is
                issued
                ''',
                'redistribution_threshold',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('role', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Role, V1/V2 Active/Standby
                ''',
                'role',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('role-standby', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Role is Standby, Active otherwise
                ''',
                'role_standby',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('snmp-trap-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, snmp trap is enabled
                ''',
                'snmp_trap_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-hold-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Minimum delay time between SPF runs (ms) This is
                valid if configured below 64k Deprecated by
                SPFHoldTimeU32]
                ''',
                'spf_hold_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-hold-time-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Minimum delay time between SPF runs (ms)
                ''',
                'spf_hold_time_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-maximum-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum delay time between SPF runs (ms) This is
                valid if configured below 64k Deprecated by
                SPFMaximumTimeU32]
                ''',
                'spf_maximum_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-maximum-time-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum delay time between SPF runs (ms)
                ''',
                'spf_maximum_time_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-prefix-priority', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, prefix-priority policy is configured
                ''',
                'spf_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-prefix-priority-route-policy', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                SPF Prefix-priority route policy
                ''',
                'spf_prefix_priority_route_policy',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-start-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Scheduling delay for SPF (ms) This is valid if
                configured below 64k Deprecated by
                SPFStartTimeU32]
                ''',
                'spf_start_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('spf-start-time-u32', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Scheduling delay for SPF (ms)
                ''',
                'spf_start_time_u32',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-strict-spf-cap', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if Segment Routing Strict-SPF capable
                ''',
                'sr_strict_spf_cap',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-configured', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                True if Segment Routing Global Block configured
                ''',
                'srgb_configured',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-end', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment Routing Global Block end label value
                ''',
                'srgb_end',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-start', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Segment Routing Global Block start label value
                ''',
                'srgb_start',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srgb-status', REFERENCE_ENUM_CLASS, 'OspfSrgbStatusEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfSrgbStatusEnum', 
                [], [], 
                '''                Segment Routing Global Block allocation status
                ''',
                'srgb_status',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('stub-area-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Stub and Total Stub Areas
                ''',
                'stub_area_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('table-prefix-limit-reached', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, prefix limit for table has been 
                reached
                ''',
                'table_prefix_limit_reached',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-options', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Type of Service supported
                ''',
                'tos_options',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, UCMP is enabled
                ''',
                'ucmp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Delay between end of SPF and start of UCMP
                calculation (ms)
                ''',
                'ucmp_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp-prefix-list', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                UCMP Prefix-list
                ''',
                'ucmp_prefix_list',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ucmp-variance', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                UCMP Variance
                ''',
                'ucmp_variance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('vrf-lite-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, vrf lite is enabled
                ''',
                'vrf_lite_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.ProcessInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.ProcessInformation',
            False, 
            [
            _MetaInfoClassMember('process-areas', REFERENCE_CLASS, 'ProcessAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas', 
                [], [], 
                '''                Process Area table
                ''',
                'process_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('process-summary', REFERENCE_CLASS, 'ProcessSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary', 
                [], [], 
                '''                Basic OSPF summary information
                ''',
                'process_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-areas', REFERENCE_CLASS, 'ProtocolAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas', 
                [], [], 
                '''                Protocol Area table
                ''',
                'protocol_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('protocol-summary', REFERENCE_CLASS, 'ProtocolSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolSummary', 
                [], [], 
                '''                Basic OSPF protocol information
                ''',
                'protocol_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('redistributions', REFERENCE_CLASS, 'Redistributions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions', 
                [], [], 
                '''                Redistribution information table
                ''',
                'redistributions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AsFlood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AsFlood',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'as-flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-flood', REFERENCE_LIST, 'AreaFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood', 
                [], [], 
                '''                Area scope floodlist
                ''',
                'area_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood', REFERENCE_LIST, 'AsFlood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AsFlood', 
                [], [], 
                '''                AS scope floodlist
                ''',
                'as_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'flood_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs currently being flooded
                ''',
                'flood_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LS update due (ms)
                ''',
                'flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable',
            False, 
            [
            _MetaInfoClassMember('flood', REFERENCE_LIST, 'Flood' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood', 
                [], [], 
                '''                Flooding information for a specific interface
                ''',
                'flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'flood-list-area-table',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors',
            False, 
            [
            _MetaInfoClassMember('neighbor', REFERENCE_LIST, 'Neighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor', 
                [], [], 
                '''                Neighbor information
                ''',
                'neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbors',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface in fast detect hold down state
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-brief',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs',
            False, 
            [
            _MetaInfoClassMember('interface-brief', REFERENCE_LIST, 'InterfaceBrief' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief', 
                [], [], 
                '''                OSPF interface brief information
                ''',
                'interface_brief',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-briefs',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request.Request_' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request.Request_',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request_' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request.Request_', 
                [], [], 
                '''                List of request list entries
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Request list interface
                ''',
                'request_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP address
                ''',
                'request_neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('request-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'request_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'request',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests',
            False, 
            [
            _MetaInfoClassMember('request', REFERENCE_LIST, 'Request' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request', 
                [], [], 
                '''                Request list for a particular adjacency
                ''',
                'request',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'requests',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-area-db',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb',
            False, 
            [
            _MetaInfoClassMember('header-advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of the Advertising Router
                ''',
                'header_advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LSA ID
                ''',
                'header_ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Age of the LSA (s)
                ''',
                'header_lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum of the LSA
                ''',
                'header_lsa_checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA Type
                ''',
                'header_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('header-sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current LSA sequence number
                ''',
                'header_sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission-asdb',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-area-db', REFERENCE_LIST, 'RetransmissionAreaDb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb', 
                [], [], 
                '''                List of Area scope entries
                ''',
                'retransmission_area_db',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-asdb', REFERENCE_LIST, 'RetransmissionAsdb' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb', 
                [], [], 
                '''                List of AS Scope entries
                ''',
                'retransmission_asdb',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Retransmission list interface
                ''',
                'retransmission_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'retransmission_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-neighbor-ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'retransmission_neighbor_ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time remaining on retransmission timer
                (ms)
                ''',
                'retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmission',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions',
            False, 
            [
            _MetaInfoClassMember('retransmission', REFERENCE_LIST, 'Retransmission' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission', 
                [], [], 
                '''                Retransmission list for a particular adjacency
                ''',
                'retransmission',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'retransmissions',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF aread id string
                ''',
                'area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-stat', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF interface statistics
                ''',
                'if_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-intf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OSPF madj interface
                ''',
                'madj_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'if-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                interface handle type
                ''',
                'handle',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-entry', REFERENCE_LIST, 'IfEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry', 
                [], [], 
                '''                interface entry
                ''',
                'if_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-name-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name
                ''',
                'if_name_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entry', REFERENCE_LIST, 'InterfaceStatsEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry', 
                [], [], 
                '''                Statistics information for a specific interface
                ''',
                'interface_stats_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entries', REFERENCE_CLASS, 'InterfaceStatsEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries', 
                [], [], 
                '''                Statistics innformation Interface table
                ''',
                'interface_stats_entries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary',
            False, 
            [
            _MetaInfoClassMember('dr-bdr-state', REFERENCE_ENUM_CLASS, 'DrBdrStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'DrBdrStateEnum', 
                [], [], 
                '''                Designated Router state
                ''',
                'dr_bdr_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor IP Address
                ''',
                'neighbor_address_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dead-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until neighbor's dead timer expires (s)
                ''',
                'neighbor_dead_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Neighbor's DR priority
                ''',
                'neighbor_dr_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor ID
                ''',
                'neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface via which the neighbor is seen
                ''',
                'neighbor_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-madj-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Interface is MADJ
                ''',
                'neighbor_madj_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-state', REFERENCE_ENUM_CLASS, 'NeighborStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NeighborStateEnum', 
                [], [], 
                '''                Neighbor's state
                ''',
                'neighbor_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-up-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Amount of time since the adjacency is up (s)
                ''',
                'neighbor_up_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('bfd-status-flag', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Status of the BFD Session
                ''',
                'bfd_status_flag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation',
            False, 
            [
            _MetaInfoClassMember('area-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for area scope LSAs
                ''',
                'area_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of the first flood item for area scope
                LSAs
                ''',
                'area_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-flooding-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSA's flood index
                ''',
                'area_flooding_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for area scope LSAs
                ''',
                'area_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for Area scope LSAs
                ''',
                'area_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                First flood item for AS scope LSAs
                ''',
                'as_first_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-first-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index for first flood item for AS scope LSAs
                ''',
                'as_first_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSA's flood index
                ''',
                'as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next flood item for AS scope LSAs
                ''',
                'as_next_flood_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('as-next-flood-information-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next flood item for AS scope LSAs
                ''',
                'as_next_flood_information_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of DBD retransmissions during last
                exchange
                ''',
                'dbd_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbd-retransmission-total-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Total number of DBD retransmissions for this
                neighbor
                ''',
                'dbd_retransmission_total_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs sent in last retransmission
                ''',
                'last_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last retransmission scan time (ms)
                ''',
                'last_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-retransmission-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next LSA retransmission (ms)
                ''',
                'lsa_retransmission_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum number of LSAs sent in a retransmission
                ''',
                'maximum_retransmission_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-retransmission-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum retransmission scan time (ms)
                ''',
                'maximum_retransmission_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Retransmission queue length
                ''',
                'neighbor_retransmission_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('number-of-retransmissions', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of retransmissions for this neighbor
                ''',
                'number_of_retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-retransmission-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail',
            False, 
            [
            _MetaInfoClassMember('adjacency-sid-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Label
                ''',
                'adjacency_sid_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-protected', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SR Adjacency SID Protected
                ''',
                'adjacency_sid_protected',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('adjacency-sid-unprotected-label', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Adjacency SID Unprotected Label
                ''',
                'adjacency_sid_unprotected_label',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Interface type
                ''',
                'interface_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-oob-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds since last time
                Out-Of-Band resynchronization was done with this
                neighbor
                ''',
                'last_oob_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-interface', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                LFA Interface
                ''',
                'lfa_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Neighbor ID
                ''',
                'lfa_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-neighbor-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                LFA Neighbor Revision
                ''',
                'lfa_neighbor_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lfa-next-hop', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LFA Next Hop
                ''',
                'lfa_next_hop',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'neighbor_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'neighbor_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor address
                ''',
                'neighbor_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'neighbor_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of backup designated router
                ''',
                'neighbor_backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bfd-information', REFERENCE_CLASS, 'NeighborBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation', 
                [], [], 
                '''                Neighbor BFD information
                ''',
                'neighbor_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost of path to this neighbor
                ''',
                'neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Address of designated router
                ''',
                'neighbor_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, filter outgoing LSAs
                ''',
                'neighbor_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-lls-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                This is a bitmask of Link Local signalling
                options received from the neighbor
                ''',
                'neighbor_lls_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-option', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                 This is bitmaks of neighbor's option field
                received
                ''',
                'neighbor_option',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-retransmission-information', REFERENCE_CLASS, 'NeighborRetransmissionInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation', 
                [], [], 
                '''                Retransmission information with this neighbor
                ''',
                'neighbor_retransmission_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-summary', REFERENCE_CLASS, 'NeighborSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary', 
                [], [], 
                '''                Neighbor summary information
                ''',
                'neighbor_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                For NBMA networks, amount of time remaining in
                seconds before the next poll interval expires
                and Hello is sent (s)
                ''',
                'next_poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf-router-state', REFERENCE_ENUM_CLASS, 'NsfRtrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'NsfRtrEnum', 
                [], [], 
                '''                For cisco NSF, the router is either Requester or
                Receiver
                ''',
                'nsf_router_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('oob-resynchronization', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Out-Of-Bound resynchronization in progress
                ''',
                'oob_resynchronization',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pending-events', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of pending events
                ''',
                'pending_events',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('poll-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Poll interval (s)
                ''',
                'poll_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('state-change-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of state changes
                ''',
                'state_change_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-detail',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails',
            False, 
            [
            _MetaInfoClassMember('neighbor-detail', REFERENCE_LIST, 'NeighborDetail' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail', 
                [], [], 
                '''                A single neighbor's detail information
                ''',
                'neighbor_detail',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'neighbor-details',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation',
            False, 
            [
            _MetaInfoClassMember('bfd-intf-enable-mode', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD enable mode - Default/Strict
                ''',
                'bfd_intf_enable_mode',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('detection-multiplier', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD detection multiplier
                ''',
                'detection_multiplier',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                BFD interval (ms)
                ''',
                'interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-bfd-information',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.ActiveInterface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.ActiveInterface',
            False, 
            [
            _MetaInfoClassMember('flood-scan-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan length
                ''',
                'flood_scan_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area scope LSAs flood index
                ''',
                'interface_area_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (Area scope)
                ''',
                'interface_area_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                AS scope LSAs flood index
                ''',
                'interface_as_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-as-next-flood-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Index of next LSA to flood (AS scope)
                ''',
                'interface_as_next_flood_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-authentication-type', REFERENCE_ENUM_CLASS, 'AuthenticationEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'AuthenticationEnum', 
                [], [], 
                '''                Authentication type
                ''',
                'interface_authentication_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Flood queue length
                ''',
                'interface_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-flood-pacing-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next flood pacing timer (ms)
                ''',
                'interface_flood_pacing_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('keychain-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Keychain ID
                ''',
                'keychain_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Last flood scan time (ms)
                ''',
                'last_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood length
                ''',
                'maximum_flood_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-flood-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Maximum flood time (ms)
                ''',
                'maximum_flood_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('md-keys', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                List of old MD keys
                ''',
                'md_keys',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('old-md5-key-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of neighbors using the old key (if
                rollover in progress)
                ''',
                'old_md5_key_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of neighbors for which hellos are
                suppressed
                ''',
                'suppress_hello_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Wait time for DR/BDR selection (s)
                ''',
                'wait_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, MD key is configured
                ''',
                'youngest_md_key',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('youngest-md-key-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Youngest MD key ID
                ''',
                'youngest_md_key_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'active-interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor',
            False, 
            [
            _MetaInfoClassMember('interface-neighbor-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of link to neighbor
                ''',
                'interface_neighbor_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor Router ID
                ''',
                'interface_neighbor_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-bdr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Backup designated router
                ''',
                'neighbor_bdr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Designated router
                ''',
                'neighbor_dr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('suppress-hello', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, hellos suppressed
                ''',
                'suppress_hello',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-neighbor',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceMadj' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceMadj',
            False, 
            [
            _MetaInfoClassMember('interface-adj-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of Adjacent Neighbors
                ''',
                'interface_adj_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of Neighbors
                ''',
                'interface_neighbor_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Area ID
                ''',
                'madj_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-madj',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers',
            False, 
            [
            _MetaInfoClassMember('tiebreaker-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tiebreaker Index
                ''',
                'tiebreaker_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tiebreaker-type', REFERENCE_ENUM_CLASS, 'IpfrrTbrkrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrTbrkrEnum', 
                [], [], 
                '''                Tiebreaker Type
                ''',
                'tiebreaker_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipfrr-tiebreakers',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('active-interface', REFERENCE_CLASS, 'ActiveInterface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.ActiveInterface', 
                [], [], 
                '''                Active interface details
                ''',
                'active_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, backup designated router
                ''',
                'backup_designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router interface address
                ''',
                'backup_designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('backup-designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Backup designated router ID
                ''',
                'backup_designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cfg-cost-fallback', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is configured
                ''',
                'cfg_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as demand circuit
                ''',
                'configured_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, configured as LDP sync
                ''',
                'configured_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('configured-ldp-sync-igp-shortcuts', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, sync igp shortcuts
                ''',
                'configured_ldp_sync_igp_shortcuts',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('cost-fallback-active', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, cost fallback is active
                ''',
                'cost_fallback_active',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dead-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured dead interval (s)
                ''',
                'dead_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, designated router
                ''',
                'designated_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router interface address
                ''',
                'designated_router_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('designated-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Designated router ID
                ''',
                'designated_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Hold-down time in ms for fast-detect event
                ''',
                'fast_detect_hold_down_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-detect-hold-down-time-remaining', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Remaining hold down time in ms
                ''',
                'fast_detect_hold_down_time_remaining',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-topology-independent-lfa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Topology Independent LFA
                ''',
                'fast_reroute_topology_independent_lfa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute-type', REFERENCE_ENUM_CLASS, 'IpfrrEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'IpfrrEnum', 
                [], [], 
                '''                IP Fast Reroute Type
                ''',
                'fast_reroute_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (s)
                ''',
                'hello_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('hello-interval-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured hello interval (ms)
                ''',
                'hello_interval_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List Count
                ''',
                'interface_ack_list_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ack-list-high-watermark', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Ack List High Watermark
                ''',
                'interface_ack_list_high_watermark',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface IP Address
                ''',
                'interface_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-area', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted-decimal
                format
                ''',
                'interface_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bandwidth', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface bandwidth
                ''',
                'interface_bandwidth',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-bfd-information', REFERENCE_CLASS, 'InterfaceBfdInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation', 
                [], [], 
                '''                BFD information
                ''',
                'interface_bfd_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-cost-fallback', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface fallback cost
                ''',
                'interface_cost_fallback',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-dc-bitless-lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Number of LSAs with demand circuit bit not set
                for the area in which the interface is running
                ''',
                'interface_dc_bitless_lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface running as demand circuit
                ''',
                'interface_demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-fast-detect-hold-down', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Link in hold-down state due to fast detect event
                ''',
                'interface_fast_detect_hold_down',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-last-nsf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time since last NSF restart (s)
                ''',
                'interface_last_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-ldp-sync', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface LDP sync is achieved
                ''',
                'interface_ldp_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-line-state', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, line protocol is up
                ''',
                'interface_line_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-link-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface link cost
                ''',
                'interface_link_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-lsa-filter', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Filter is configured for out going LSAs
                ''',
                'interface_lsa_filter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj', REFERENCE_LIST, 'InterfaceMadj' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceMadj', 
                [], [], 
                '''                Information for multi-area on the interface
                ''',
                'interface_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-madj-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Total number of multi-area
                ''',
                'interface_madj_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-mask', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface IP Mask
                ''',
                'interface_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name-xr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface
                ''',
                'interface_name_xr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-neighbor', REFERENCE_LIST, 'InterfaceNeighbor' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor', 
                [], [], 
                '''                Information for neighbors on the interface
                ''',
                'interface_neighbor',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF restart in progress on this
                interface
                ''',
                'interface_nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-nsf-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, NSF is enabled
                ''',
                'interface_nsf_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Interface priority
                ''',
                'interface_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-retransmission-interrval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured retransmit interval (s)
                ''',
                'interface_retransmission_interrval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Interface Router ID
                ''',
                'interface_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface SID
                ''',
                'interface_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID N-Flag Clear
                ''',
                'interface_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                SID PHP Off
                ''',
                'interface_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-state', REFERENCE_ENUM_CLASS, 'InterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceStateEnum', 
                [], [], 
                '''                Interface state
                ''',
                'interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface Strict-SPF SID
                ''',
                'interface_strict_spf_sid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-n-flag-clear', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID N-Flag Clear
                ''',
                'interface_strict_spf_sid_n_flag_clear',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-strict-spf-sid-php-off', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Strict-SPF SID PHP Off
                ''',
                'interface_strict_spf_sid_php_off',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-tunnel-flags', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Interface tunnel flags
                ''',
                'interface_tunnel_flags',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaceis-madj', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, interface is multi-area
                ''',
                'interfaceis_madj',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-mtu', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                IP MTU
                ''',
                'ip_mtu',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-tiebreakers', REFERENCE_LIST, 'IpfrrTiebreakers' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers', 
                [], [], 
                '''                IPFRR-Tiebreakers list
                ''',
                'ipfrr_tiebreakers',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('is-loopback-stub-network', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, loopback interface is advertised as a
                stub network
                ''',
                'is_loopback_stub_network',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-packet-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Maximum Packet Size
                ''',
                'maximum_packet_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-flush-timer', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time in seconds before flush timer
                for old network LSA expires
                ''',
                'network_lsa_flush_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-type', REFERENCE_ENUM_CLASS, 'InterfaceEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'InterfaceEnum', 
                [], [], 
                '''                Network type
                ''',
                'network_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (s)
                ''',
                'next_hello_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('next-hello-time-ms', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Time until next Hello (ms)
                ''',
                'next_hello_time_ms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-interface-state', REFERENCE_ENUM_CLASS, 'OspfInterfaceStateEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInterfaceStateEnum', 
                [], [], 
                '''                Interface OSPF state
                ''',
                'ospf_interface_state',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('passive-interface', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, passive interface
                ''',
                'passive_interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-primary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for primary addresses
                ''',
                'prefix_suppress_primary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix-suppress-secondary-addresses', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Prefix Suppression for secondary addresses
                ''',
                'prefix_suppress_secondary_addresses',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('registered-for-link-down-fast-detection', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Registered for Link Down Fast Detection
                ''',
                'registered_for_link_down_fast_detection',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srlg', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SRLG Values
                ''',
                'srlg',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('transmission-delay', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Interface Transmission delay
                ''',
                'transmission_delay',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-enabled', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TTL security enabled on the interface
                ''',
                'ttl_security_enabled',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ttl-security-hop-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                TTL security hop counts
                ''',
                'ttl_security_hop_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('wait-interval', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Configured wait interval (s)
                ''',
                'wait_interval',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces',
            False, 
            [
            _MetaInfoClassMember('interface', REFERENCE_LIST, 'Interface' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface', 
                [], [], 
                '''                OSPF interface information
                ''',
                'interface',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interfaces',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas.Area' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas.Area',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-list-area-table', REFERENCE_CLASS, 'FloodListAreaTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable', 
                [], [], 
                '''                Area specific flood list table
                ''',
                'flood_list_area_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-briefs', REFERENCE_CLASS, 'InterfaceBriefs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs', 
                [], [], 
                '''                OSPF Interface Brief Table
                ''',
                'interface_briefs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interfaces', REFERENCE_CLASS, 'Interfaces' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces', 
                [], [], 
                '''                OSPF Interface Table
                ''',
                'interfaces',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-details', REFERENCE_CLASS, 'NeighborDetails' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails', 
                [], [], 
                '''                Neighbor detail table
                ''',
                'neighbor_details',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbors', REFERENCE_CLASS, 'Neighbors' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors', 
                [], [], 
                '''                Neighbor table
                ''',
                'neighbors',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('requests', REFERENCE_CLASS, 'Requests' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests', 
                [], [], 
                '''                Request List table
                ''',
                'requests',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('retransmissions', REFERENCE_CLASS, 'Retransmissions' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions', 
                [], [], 
                '''                Retransmission list table
                ''',
                'retransmissions',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Areas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Areas',
            False, 
            [
            _MetaInfoClassMember('area', REFERENCE_LIST, 'Area' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas.Area', 
                [], [], 
                '''                Container for per area data
                ''',
                'area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer',
            False, 
            [
            _MetaInfoClassMember('last-inst-minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Minute table index processed
                ''',
                'last_inst_minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-inst-second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Second table index processed
                ''',
                'last_inst_second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-location', REFERENCE_ENUM_CLASS, 'TimerTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerTableEnum', 
                [], [], 
                '''                Timer table
                ''',
                'timer_location',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'TimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerEnum', 
                [], [], 
                '''                Timer type
                ''',
                'timer_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-throttle-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-last-updated-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsadb-base-time-stamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty
                ''',
                'acknowledgement',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'flood_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-age', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'maximum_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'neighbor_exchange',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'no_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'nsr_ack_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'partial_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table
                ''',
                'routing_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-orig-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending summary LSA originating
                ''',
                'sum_orig_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'not-delete',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData',
            False, 
            [
            _MetaInfoClassMember('advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'advertising_router_reachable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ase-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                External Origin
                ''',
                'ase_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, capable of demand circuit as indicated
                by LSA's option field
                ''',
                'demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                if true, DN bit set on the summary LSA indicated
                by LSA's option field
                ''',
                'dn_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Not In Sync With Active
                ''',
                'in_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-last-updated-time', REFERENCE_CLASS, 'LsaLastUpdatedTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime', 
                [], [], 
                '''                Time LSA was last updated
                ''',
                'lsa_last_updated_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Current LSA prefix priority
                ''',
                'lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-rate-limit-due-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Due time for rate-limit timer (ms)
                ''',
                'lsa_rate_limit_due_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-throttle-timer', REFERENCE_CLASS, 'LsaThrottleTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer', 
                [], [], 
                '''                LSA throttle timer table information
                ''',
                'lsa_throttle_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Clock stamp since boot
                ''',
                'lsadb_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-time-stamp', REFERENCE_CLASS, 'LsadbBaseTimeStamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp', 
                [], [], 
                '''                Current time stamp
                ''',
                'lsadb_base_time_stamp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                New LSA prefix priority
                ''',
                'new_lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('not-delete', REFERENCE_CLASS, 'NotDelete' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete', 
                [], [], 
                '''                Reason why LSA is not deleted
                ''',
                'not_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-translation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  capable of type 7 to 5 translation
                indicated by LSA's option field
                ''',
                'nssa_translation',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'routing_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Summary Origin
                ''',
                'sum_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, type of service capable indicated by
                LSA's option field
                ''',
                'tos_capable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-detail-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'internal-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-link', REFERENCE_LIST, 'InternalLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink', 
                [], [], 
                '''                List of links for internal LSA
                ''',
                'internal_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal LSA
                ''',
                'internal_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-abr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Area Border Router
                ''',
                'router_abr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Autonomous system Border
                Router
                ''',
                'router_asbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Network prefix length
                ''',
                'network_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-sum-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_sum_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-metric', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'summary_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Summary LSA prefix length
                ''',
                'summary_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric',
            False, 
            [
            _MetaInfoClassMember('external-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of this route
                ''',
                'external_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-metric-type', REFERENCE_ENUM_CLASS, 'ExMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'ExMetricEnum', 
                [], [], 
                '''                External LSA metric type
                ''',
                'external_metric_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of Service
                ''',
                'external_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-tos-metric',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'external_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos-metric', REFERENCE_LIST, 'ExternalTosMetric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric', 
                [], [], 
                '''                Type of service information
                ''',
                'external_tos_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-external-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_external_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which the Opaque link LSA is
                received
                ''',
                'opaque_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-mpls-te-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time the router's neighbor should
                advertise it fully adjacent (s)
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'OspfGrReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfGrReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP interface address on the subnet associated
                with the grace LSA
                ''',
                'ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv',
            False, 
            [
            _MetaInfoClassMember('rtr-cap-additional-info', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Additional Information in TLV
                ''',
                'rtr_cap_additional_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-all-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                All capability bits
                ''',
                'rtr_cap_all_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-area-te', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Traffic Engineering capability of area
                ''',
                'rtr_cap_area_te',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability
                ''',
                'rtr_cap_graceful_restart',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart-helper', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Helper Capability
                ''',
                'rtr_cap_graceful_restart_helper',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-p2plan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2P LAN Capability
                ''',
                'rtr_cap_p2plan',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-stub-rtr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stub Router capability
                ''',
                'rtr_cap_stub_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-te-exp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE Experimental bit
                ''',
                'rtr_cap_te_exp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'rtr_cap_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rtr-cap-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pce-addr-unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv4 Address
                ''',
                'pceipv4_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv4pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv6 Address
                ''',
                'pceipv6_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv6pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4pce-addr', REFERENCE_CLASS, 'Ipv4PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr', 
                [], [], 
                '''                IPv4 PCE Address
                ''',
                'ipv4pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv6pce-addr', REFERENCE_CLASS, 'Ipv6PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr', 
                [], [], 
                '''                IPv6 PCE Address
                ''',
                'ipv6pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiPceAddrTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiPceAddrTypesEnum', 
                [], [], 
                '''                PCEAddrType
                ''',
                'pce_addr_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-unknown-tlv', REFERENCE_CLASS, 'PceAddrUnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv', 
                [], [], 
                '''                Unknown PCE Addr TLV
                ''',
                'pce_addr_unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope',
            False, 
            [
            _MetaInfoClassMember('all-scope-info-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Scope Information
                ''',
                'all_scope_info_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L Bit
                ''',
                'lbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-l', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref L
                ''',
                'pref_l',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-r', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref R
                ''',
                'pref_r',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-s', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref S
                ''',
                'pref_s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-y', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref Y
                ''',
                'pref_y',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                R Bit
                ''',
                'rbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rd Bit
                ''',
                'rd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sd Bit
                ''',
                'sd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ybit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Y Bit
                ''',
                'ybit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-scope',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv',
            False, 
            [
            _MetaInfoClassMember('pced-addr', REFERENCE_CLASS, 'PcedAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr', 
                [], [], 
                '''                PCE Address
                ''',
                'pced_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pced-scope', REFERENCE_CLASS, 'PcedScope' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope', 
                [], [], 
                '''                PCE Scope Information
                ''',
                'pced_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pcedtlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'pcedtlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pcedtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv',
            False, 
            [
            _MetaInfoClassMember('sr-algo-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_algo_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                SR Algorithms
                ''',
                'sr_algo_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-algo-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv',
            False, 
            [
            _MetaInfoClassMember('sr-sid-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub-TLV
                ''',
                'sr_sid_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID Value
                ''',
                'sr_sid_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sidtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv',
            False, 
            [
            _MetaInfoClassMember('sidtlv', REFERENCE_CLASS, 'Sidtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv', 
                [], [], 
                '''                SID sub-TLV
                ''',
                'sidtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_range_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Range Size
                ''',
                'sr_range_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-range-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv',
            False, 
            [
            _MetaInfoClassMember('pcedtlv', REFERENCE_CLASS, 'Pcedtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv', 
                [], [], 
                '''                PCE Discovery TLV
                ''',
                'pcedtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ritlv-internal-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiTlvTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiTlvTypesEnum', 
                [], [], 
                '''                RITLVInternalType
                ''',
                'ritlv_internal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv', REFERENCE_CLASS, 'RtrCapTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv', 
                [], [], 
                '''                Rtr Cap TLV
                ''',
                'rtr_cap_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-tlv', REFERENCE_CLASS, 'SrAlgoTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv', 
                [], [], 
                '''                SR Algorithm TLV
                ''',
                'sr_algo_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-tlv', REFERENCE_CLASS, 'SrRangeTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv', 
                [], [], 
                '''                SR Range TLV
                ''',
                'sr_range_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unknown-tlv', REFERENCE_CLASS, 'UnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv', 
                [], [], 
                '''                Unknown Rtr Info TLV
                ''',
                'unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ritlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-ri-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this Link-Local Opaque link
                LSA is received
                ''',
                'opaque_ri_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-rilsa-scope', REFERENCE_ENUM_CLASS, 'OspfLsaOpqRiScopeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsaOpqRiScopeEnum', 
                [], [], 
                '''                Opaque LSA flooding scope, a.k.a., Opaque LSA
                Type
                ''',
                'opaque_rilsa_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ritlv', REFERENCE_LIST, 'OpaqueRitlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv', 
                [], [], 
                '''                Router Information TLV
                ''',
                'opaque_ritlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-router-info-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ep-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-el-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa-type', REFERENCE_ENUM_CLASS, 'OspfInternalLsaTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInternalLsaTypesEnum', 
                [], [], 
                '''                InternalLSAType
                ''',
                'internal_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-el-lsa-type', REFERENCE_CLASS, 'OpaqueElLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType', 
                [], [], 
                '''                Extended Link LSA type
                ''',
                'opaque_el_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ep-lsa-type', REFERENCE_CLASS, 'OpaqueEpLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType', 
                [], [], 
                '''                Extende Prefix LSA type
                ''',
                'opaque_ep_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-grace-lsa', REFERENCE_CLASS, 'OpaqueGraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa', 
                [], [], 
                '''                Opaque-link, opaque type 3 Grace LSA
                ''',
                'opaque_grace_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-link-lsa-type', REFERENCE_CLASS, 'OpaqueLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType', 
                [], [], 
                '''                Opaque-Link LSA
                ''',
                'opaque_link_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-mpls-te-lsa-type', REFERENCE_CLASS, 'OpaqueMplsTeLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType', 
                [], [], 
                '''                Opaque-Area, opaque type 1 LSA
                ''',
                'opaque_mpls_te_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-router-info-lsa-type', REFERENCE_CLASS, 'OpaqueRouterInfoLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType', 
                [], [], 
                '''                Opaque Router Information LSA
                ''',
                'opaque_router_info_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-type', REFERENCE_CLASS, 'SummaryLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType', 
                [], [], 
                '''                Summary LSA
                ''',
                'summary_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-internal-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-detail-data', REFERENCE_CLASS, 'LsaDetailData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader', 
                [], [], 
                '''                Header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-internal-data', REFERENCE_CLASS, 'LsaInternalData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData', 
                [], [], 
                '''                Information pertaining to a specific LSA type
                ''',
                'lsa_internal_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa', 
                [], [], 
                '''                Link State Advertisement information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'link_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader', 
                [], [], 
                '''                LSA header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries',
            False, 
            [
            _MetaInfoClassMember('lsa-summary', REFERENCE_LIST, 'LsaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary', 
                [], [], 
                '''                LSA summary information
                ''',
                'lsa_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('lsa-summaries', REFERENCE_CLASS, 'LsaSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries', 
                [], [], 
                '''                Link state advertisement summary table
                ''',
                'lsa_summaries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsas', REFERENCE_CLASS, 'Lsas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas', 
                [], [], 
                '''                Link State Database Table
                ''',
                'lsas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-area',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas',
            False, 
            [
            _MetaInfoClassMember('database-area', REFERENCE_LIST, 'DatabaseArea' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea', 
                [], [], 
                '''                Per-Area Link State Database data
                ''',
                'database_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-areas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter',
            False, 
            [
            _MetaInfoClassMember('lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of LSAs of this type
                ''',
                'lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-delete-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of deleted LSAs of this type
                ''',
                'lsa_delete_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-maxage-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of MaxAged LSAs of this type
                ''',
                'lsa_maxage_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-self-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of self-generated LSAs
                ''',
                'lsa_self_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                Type of LSAs
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-lsa-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('area-lsa-counter', REFERENCE_LIST, 'AreaLsaCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter', 
                [], [], 
                '''                Summary counters for Area scope LSAs
                ''',
                'area_lsa_counter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dbase-sum-area-id-string', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area id
                ''',
                'dbase_sum_area_id_string',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries',
            False, 
            [
            _MetaInfoClassMember('database-summary', REFERENCE_LIST, 'DatabaseSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary', 
                [], [], 
                '''                Link State Database summary for a particular
                area
                ''',
                'database_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs.AsLsaCounter' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs.AsLsaCounter',
            False, 
            [
            _MetaInfoClassMember('lsa-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of LSAs of this type
                ''',
                'lsa_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-delete-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of deleted LSAs of this type
                ''',
                'lsa_delete_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-maxage-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of MaxAged LSAs of this type
                ''',
                'lsa_maxage_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-self-count', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Number of self-generated LSAs
                ''',
                'lsa_self_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                Type of LSAs
                ''',
                'lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'as-lsa-counter',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs',
            False, 
            [
            _MetaInfoClassMember('as-lsa-counter', REFERENCE_LIST, 'AsLsaCounter' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs.AsLsaCounter', 
                [], [], 
                '''                Summary counter for AS scope LSAs
                ''',
                'as_lsa_counter',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database-summary-as',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer',
            False, 
            [
            _MetaInfoClassMember('last-inst-minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Minute table index processed
                ''',
                'last_inst_minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('last-inst-second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Last Second table index processed
                ''',
                'last_inst_second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('minute-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Minute table index
                ''',
                'minute_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second-table-index', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Second table index
                ''',
                'second_table_index',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-location', REFERENCE_ENUM_CLASS, 'TimerTableEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerTableEnum', 
                [], [], 
                '''                Timer table
                ''',
                'timer_location',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('timer-type', REFERENCE_ENUM_CLASS, 'TimerEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'TimerEnum', 
                [], [], 
                '''                Timer type
                ''',
                'timer_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-throttle-timer',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-last-updated-time',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp',
            False, 
            [
            _MetaInfoClassMember('nanosecond', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Nanosecond
                ''',
                'nanosecond',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('second', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Second
                ''',
                'second',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsadb-base-time-stamp',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.NotDelete' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.NotDelete',
            False, 
            [
            _MetaInfoClassMember('acknowledgement', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it's Acknowledgement list is not empty
                ''',
                'acknowledgement',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for flooding or retransmission
                ''',
                'flood_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('free-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time since the last check was made
                to free this LSA (s)
                ''',
                'free_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('maximum-age', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in Maxage Queue
                ''',
                'maximum_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-exchange', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because neighbor is in exchange state
                ''',
                'neighbor_exchange',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('no-delete', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because delete flag not set on this LSA
                ''',
                'no_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-ack-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because NSR ACK from standby is pending
                ''',
                'nsr_ack_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsr-flood-required', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending flooding on switchover
                ''',
                'nsr_flood_required',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('partial-spf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is in partial SPF queue
                ''',
                'partial_spf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rate-limit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because waiting for next wait-interval to expire
                ''',
                'rate_limit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-table', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason  not to delete this LSA is
                because it has a contributing entry in the
                routing table
                ''',
                'routing_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-orig-pending', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, the reason not to delete this LSA is
                because it is pending summary LSA originating
                ''',
                'sum_orig_pending',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'not-delete',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData',
            False, 
            [
            _MetaInfoClassMember('advertising-router-reachable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Advertising Router is reachable
                ''',
                'advertising_router_reachable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ase-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                External Origin
                ''',
                'ase_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('demand-circuit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, capable of demand circuit as indicated
                by LSA's option field
                ''',
                'demand_circuit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                if true, DN bit set on the summary LSA indicated
                by LSA's option field
                ''',
                'dn_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('in-sync', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Not In Sync With Active
                ''',
                'in_sync',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of the LSA
                ''',
                'length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-flood-required-post-fail-over', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                LSA flood required after FO
                ''',
                'lsa_flood_required_post_fail_over',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-last-updated-time', REFERENCE_CLASS, 'LsaLastUpdatedTime' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime', 
                [], [], 
                '''                Time LSA was last updated
                ''',
                'lsa_last_updated_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Current LSA prefix priority
                ''',
                'lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-rate-limit-due-time', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Due time for rate-limit timer (ms)
                ''',
                'lsa_rate_limit_due_time',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-throttle-timer', REFERENCE_CLASS, 'LsaThrottleTimer' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer', 
                [], [], 
                '''                LSA throttle timer table information
                ''',
                'lsa_throttle_timer',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-clock', ATTRIBUTE, 'int' , None, None, 
                [('0', '18446744073709551615')], [], 
                '''                Clock stamp since boot
                ''',
                'lsadb_base_clock',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsadb-base-time-stamp', REFERENCE_CLASS, 'LsadbBaseTimeStamp' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp', 
                [], [], 
                '''                Current time stamp
                ''',
                'lsadb_base_time_stamp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('new-lsa-prefix-priority', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                New LSA prefix priority
                ''',
                'new_lsa_prefix_priority',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('not-delete', REFERENCE_CLASS, 'NotDelete' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.NotDelete', 
                [], [], 
                '''                Reason why LSA is not deleted
                ''',
                'not_delete',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nssa-translation', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  capable of type 7 to 5 translation
                indicated by LSA's option field
                ''',
                'nssa_translation',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('routing-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Routing Bit set on the LSA
                ''',
                'routing_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sum-origin', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Summary Origin
                ''',
                'sum_origin',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-capable', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, type of service capable indicated by
                LSA's option field
                ''',
                'tos_capable',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-detail-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos',
            False, 
            [
            _MetaInfoClassMember('router-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of Service
                ''',
                'router_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tos-cost', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of service specific metric
                ''',
                'tos_cost',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'link-tos',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink',
            False, 
            [
            _MetaInfoClassMember('link-data', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link Data
                ''',
                'link_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link ID
                ''',
                'link_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Cost for using this link
                ''',
                'link_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-tos', REFERENCE_LIST, 'LinkTos' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos', 
                [], [], 
                '''                List of type of service metrics
                ''',
                'link_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-type', REFERENCE_ENUM_CLASS, 'OspfLinkTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLinkTypesEnum', 
                [], [], 
                '''                Type of link
                ''',
                'link_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'internal-link',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-link', REFERENCE_LIST, 'InternalLink' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink', 
                [], [], 
                '''                List of links for internal LSA
                ''',
                'internal_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal LSA
                ''',
                'internal_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link', REFERENCE_LIST, 'Link' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link', 
                [], [], 
                '''                List of links in this LSA
                ''',
                'link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-abr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Area Border Router
                ''',
                'router_abr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-asbr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If True, router is an Autonomous system Border
                Router
                ''',
                'router_asbr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'router-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType',
            False, 
            [
            _MetaInfoClassMember('neighbor-router', REFERENCE_LEAFLIST, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Neighbor router list
                ''',
                'neighbor_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Network prefix length
                ''',
                'network_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'network-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType',
            False, 
            [
            _MetaInfoClassMember('internal-sum-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_sum_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-metric', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Metric
                ''',
                'summary_lsa_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Summary LSA prefix length
                ''',
                'summary_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric',
            False, 
            [
            _MetaInfoClassMember('external-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of this route
                ''',
                'external_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-metric-type', REFERENCE_ENUM_CLASS, 'ExMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'ExMetricEnum', 
                [], [], 
                '''                External LSA metric type
                ''',
                'external_metric_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Type of Service
                ''',
                'external_tos',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('forwarding-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Forwarding Address
                ''',
                'forwarding_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-tos-metric',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType',
            False, 
            [
            _MetaInfoClassMember('external-prefix-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Prefix length
                ''',
                'external_prefix_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tos-metric', REFERENCE_LIST, 'ExternalTosMetric' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric', 
                [], [], 
                '''                Type of service information
                ''',
                'external_tos_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-external-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, internal max-metric LSA
                ''',
                'internal_external_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'external-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which the Opaque link LSA is
                received
                ''',
                'opaque_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-link-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-mpls-te-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa',
            False, 
            [
            _MetaInfoClassMember('grace-period', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                The amount of time the router's neighbor should
                advertise it fully adjacent (s)
                ''',
                'grace_period',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('grace-reason', REFERENCE_ENUM_CLASS, 'OspfGrReasonEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfGrReasonEnum', 
                [], [], 
                '''                Reason for router restart
                ''',
                'grace_reason',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ip-address', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IP interface address on the subnet associated
                with the grace LSA
                ''',
                'ip_address',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-grace-lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv',
            False, 
            [
            _MetaInfoClassMember('rtr-cap-additional-info', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Additional Information in TLV
                ''',
                'rtr_cap_additional_info',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-all-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                All capability bits
                ''',
                'rtr_cap_all_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-area-te', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Traffic Engineering capability of area
                ''',
                'rtr_cap_area_te',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Capability
                ''',
                'rtr_cap_graceful_restart',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-graceful-restart-helper', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Graceful Restart Helper Capability
                ''',
                'rtr_cap_graceful_restart_helper',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-p2plan', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                P2P LAN Capability
                ''',
                'rtr_cap_p2plan',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-stub-rtr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Stub Router capability
                ''',
                'rtr_cap_stub_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-te-exp', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                TE Experimental bit
                ''',
                'rtr_cap_te_exp',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'rtr_cap_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'rtr-cap-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv',
            False, 
            [
            _MetaInfoClassMember('ri-gen-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'ri_gen_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-gen-tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of TLV
                ''',
                'ri_gen_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ri-genvalue', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Data in TLV
                ''',
                'ri_genvalue',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pce-addr-unknown-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv4-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv4 Address
                ''',
                'pceipv4_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv4pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr',
            False, 
            [
            _MetaInfoClassMember('pceipv6-addr', ATTRIBUTE, 'str' , None, None, 
                [], ['((:|[0-9a-fA-F]{0,4}):)([0-9a-fA-F]{0,4}:){0,5}((([0-9a-fA-F]{0,4}:)?(:|[0-9a-fA-F]{0,4}))|(((25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])\\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9]?[0-9])))(%[\\p{N}\\p{L}]+)?'], 
                '''                PCE IPv6 Address
                ''',
                'pceipv6_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipv6pce-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr',
            False, 
            [
            _MetaInfoClassMember('ipv4pce-addr', REFERENCE_CLASS, 'Ipv4PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr', 
                [], [], 
                '''                IPv4 PCE Address
                ''',
                'ipv4pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipv6pce-addr', REFERENCE_CLASS, 'Ipv6PceAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr', 
                [], [], 
                '''                IPv6 PCE Address
                ''',
                'ipv6pce_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiPceAddrTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiPceAddrTypesEnum', 
                [], [], 
                '''                PCEAddrType
                ''',
                'pce_addr_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pce-addr-unknown-tlv', REFERENCE_CLASS, 'PceAddrUnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv', 
                [], [], 
                '''                Unknown PCE Addr TLV
                ''',
                'pce_addr_unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-addr',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope',
            False, 
            [
            _MetaInfoClassMember('all-scope-info-bits', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                PCE Scope Information
                ''',
                'all_scope_info_bits',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                L Bit
                ''',
                'lbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-l', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref L
                ''',
                'pref_l',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-r', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref R
                ''',
                'pref_r',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-s', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref S
                ''',
                'pref_s',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pref-y', ATTRIBUTE, 'int' , None, None, 
                [('0', '255')], [], 
                '''                Pref Y
                ''',
                'pref_y',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                R Bit
                ''',
                'rbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Rd Bit
                ''',
                'rd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sbit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                S Bit
                ''',
                'sbit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sd-bit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Sd Bit
                ''',
                'sd_bit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ybit', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                Y Bit
                ''',
                'ybit',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pced-scope',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv',
            False, 
            [
            _MetaInfoClassMember('pced-addr', REFERENCE_CLASS, 'PcedAddr' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr', 
                [], [], 
                '''                PCE Address
                ''',
                'pced_addr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pced-scope', REFERENCE_CLASS, 'PcedScope' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope', 
                [], [], 
                '''                PCE Scope Information
                ''',
                'pced_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('pcedtlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'pcedtlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'pcedtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv',
            False, 
            [
            _MetaInfoClassMember('sr-algo-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_algo_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                SR Algorithms
                ''',
                'sr_algo_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-algo-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv',
            False, 
            [
            _MetaInfoClassMember('sr-sid-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub-TLV
                ''',
                'sr_sid_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-sid-value', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SID Value
                ''',
                'sr_sid_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sidtlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv',
            False, 
            [
            _MetaInfoClassMember('sidtlv', REFERENCE_CLASS, 'Sidtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv', 
                [], [], 
                '''                SID sub-TLV
                ''',
                'sidtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of TLV
                ''',
                'sr_range_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-size', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                SR Range Size
                ''',
                'sr_range_size',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'sr-range-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv',
            False, 
            [
            _MetaInfoClassMember('pcedtlv', REFERENCE_CLASS, 'Pcedtlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv', 
                [], [], 
                '''                PCE Discovery TLV
                ''',
                'pcedtlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ritlv-internal-type', REFERENCE_ENUM_CLASS, 'OspfShOpqRiTlvTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfShOpqRiTlvTypesEnum', 
                [], [], 
                '''                RITLVInternalType
                ''',
                'ritlv_internal_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('rtr-cap-tlv', REFERENCE_CLASS, 'RtrCapTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv', 
                [], [], 
                '''                Rtr Cap TLV
                ''',
                'rtr_cap_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-algo-tlv', REFERENCE_CLASS, 'SrAlgoTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv', 
                [], [], 
                '''                SR Algorithm TLV
                ''',
                'sr_algo_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sr-range-tlv', REFERENCE_CLASS, 'SrRangeTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv', 
                [], [], 
                '''                SR Range TLV
                ''',
                'sr_range_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('unknown-tlv', REFERENCE_CLASS, 'UnknownTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv', 
                [], [], 
                '''                Unknown Rtr Info TLV
                ''',
                'unknown_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ritlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType',
            False, 
            [
            _MetaInfoClassMember('opaque-ri-interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface on which this Link-Local Opaque link
                LSA is received
                ''',
                'opaque_ri_interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-rilsa-scope', REFERENCE_ENUM_CLASS, 'OspfLsaOpqRiScopeEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsaOpqRiScopeEnum', 
                [], [], 
                '''                Opaque LSA flooding scope, a.k.a., Opaque LSA
                Type
                ''',
                'opaque_rilsa_scope',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ritlv', REFERENCE_LIST, 'OpaqueRitlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv', 
                [], [], 
                '''                Router Information TLV
                ''',
                'opaque_ritlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-router-info-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-ep-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv',
            False, 
            [
            _MetaInfoClassMember('sub-tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of sub TLV
                ''',
                'sub_tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-type', REFERENCE_ENUM_CLASS, 'StlvEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'StlvEnum', 
                [], [], 
                '''                Type of sub TLV
                ''',
                'sub_tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sub-tlv-value', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                Value of sub TLV
                ''',
                'sub_tlv_value',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'te-link-sub-tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv',
            False, 
            [
            _MetaInfoClassMember('mpls-dste-link', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                MPLS DS-TE supported
                ''',
                'mpls_dste_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-router-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                MPLS-TE Router ID
                ''',
                'mpls_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('te-link-sub-tlv', REFERENCE_LIST, 'TeLinkSubTlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv', 
                [], [], 
                '''                List of Sub-TLVs
                ''',
                'te_link_sub_tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-data', ATTRIBUTE, 'str' , None, None, 
                [], ['([0-9a-fA-F]{2}(:[0-9a-fA-F]{2})*)?'], 
                '''                TLV direct data
                ''',
                'tlv_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-length', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Length of top-level TLV
                ''',
                'tlv_length',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('tlv-type', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Type of top-level TLV
                ''',
                'tlv_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'tlv',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType',
            False, 
            [
            _MetaInfoClassMember('tlv', REFERENCE_LIST, 'Tlv' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv', 
                [], [], 
                '''                List of TLVs
                ''',
                'tlv',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'opaque-el-lsa-type',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData',
            False, 
            [
            _MetaInfoClassMember('external-lsa-type', REFERENCE_CLASS, 'ExternalLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType', 
                [], [], 
                '''                External LSA
                ''',
                'external_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('internal-lsa-type', REFERENCE_ENUM_CLASS, 'OspfInternalLsaTypesEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfInternalLsaTypesEnum', 
                [], [], 
                '''                InternalLSAType
                ''',
                'internal_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('network-lsa-type', REFERENCE_CLASS, 'NetworkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType', 
                [], [], 
                '''                Network LSA
                ''',
                'network_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-el-lsa-type', REFERENCE_CLASS, 'OpaqueElLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType', 
                [], [], 
                '''                Extended Link LSA type
                ''',
                'opaque_el_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-ep-lsa-type', REFERENCE_CLASS, 'OpaqueEpLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType', 
                [], [], 
                '''                Extende Prefix LSA type
                ''',
                'opaque_ep_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-grace-lsa', REFERENCE_CLASS, 'OpaqueGraceLsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa', 
                [], [], 
                '''                Opaque-link, opaque type 3 Grace LSA
                ''',
                'opaque_grace_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-link-lsa-type', REFERENCE_CLASS, 'OpaqueLinkLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType', 
                [], [], 
                '''                Opaque-Link LSA
                ''',
                'opaque_link_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-mpls-te-lsa-type', REFERENCE_CLASS, 'OpaqueMplsTeLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType', 
                [], [], 
                '''                Opaque-Area, opaque type 1 LSA
                ''',
                'opaque_mpls_te_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('opaque-router-info-lsa-type', REFERENCE_CLASS, 'OpaqueRouterInfoLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType', 
                [], [], 
                '''                Opaque Router Information LSA
                ''',
                'opaque_router_info_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-lsa-type', REFERENCE_CLASS, 'RouterLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType', 
                [], [], 
                '''                Router LSA
                ''',
                'router_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-lsa-type', REFERENCE_CLASS, 'SummaryLsaType' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType', 
                [], [], 
                '''                Summary LSA
                ''',
                'summary_lsa_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-internal-data',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                InterfaceName
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-detail-data', REFERENCE_CLASS, 'LsaDetailData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData', 
                [], [], 
                '''                Detailed LSA Information
                ''',
                'lsa_detail_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaHeader', 
                [], [], 
                '''                Header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-internal-data', REFERENCE_CLASS, 'LsaInternalData' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData', 
                [], [], 
                '''                Information pertaining to a specific LSA type
                ''',
                'lsa_internal_data',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.Lsas' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.Lsas',
            False, 
            [
            _MetaInfoClassMember('lsa', REFERENCE_LIST, 'Lsa' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa', 
                [], [], 
                '''                Link State Advertisement information
                ''',
                'lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsas',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary.LsaHeader' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary.LsaHeader',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID of Advertising Router
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('checksum', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Checksum value
                ''',
                'checksum',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dn-age-lsa', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true, Do Not Age this LSA
                ''',
                'dn_age_lsa',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'LsaEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'LsaEnum', 
                [], [], 
                '''                LSA type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-age', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                LSA's Age (s)
                ''',
                'lsa_age',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID in decimal or dotted-decimal format
                ''',
                'lsa_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsid', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                LS ID
                ''',
                'lsid',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('nsf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                If true,  LSA received from neighbor during NSF
                ''',
                'nsf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sequence-number', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Current Sequence number
                ''',
                'sequence_number',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-header',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary',
            False, 
            [
            _MetaInfoClassMember('advertising-router', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Advertising Router ID
                ''',
                'advertising_router',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('external-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Route Tag
                ''',
                'external_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('link-count', ATTRIBUTE, 'int' , None, None, 
                [('0', '65535')], [], 
                '''                Number of links
                ''',
                'link_count',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Link state ID
                ''',
                'ls_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ls-type', REFERENCE_ENUM_CLASS, 'OspfLsEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'OspfLsEnum', 
                [], [], 
                '''                Link state type
                ''',
                'ls_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-header', REFERENCE_CLASS, 'LsaHeader' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary.LsaHeader', 
                [], [], 
                '''                LSA header information
                ''',
                'lsa_header',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries',
            False, 
            [
            _MetaInfoClassMember('lsa-summary', REFERENCE_LIST, 'LsaSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary', 
                [], [], 
                '''                LSA summary information
                ''',
                'lsa_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'lsa-summaries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.Database' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.Database',
            False, 
            [
            _MetaInfoClassMember('database-areas', REFERENCE_CLASS, 'DatabaseAreas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas', 
                [], [], 
                '''                Per-Area view of Link state database
                ''',
                'database_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('database-summaries', REFERENCE_CLASS, 'DatabaseSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries', 
                [], [], 
                '''                Link State database summary table
                ''',
                'database_summaries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('database-summary-as', REFERENCE_CLASS, 'DatabaseSummaryAs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs', 
                [], [], 
                '''                Link State Database summary for the AS
                ''',
                'database_summary_as',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsa-summaries', REFERENCE_CLASS, 'LsaSummaries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries', 
                [], [], 
                '''                Link state advertisement summary table
                ''',
                'lsa_summaries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('lsas', REFERENCE_CLASS, 'Lsas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database.Lsas', 
                [], [], 
                '''                Link State Database Table
                ''',
                'lsas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'database',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix',
            False, 
            [
            _MetaInfoClassMember('netmask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary Mask
                ''',
                'netmask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary Prefix
                ''',
                'prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-mask', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary Netmask
                ''',
                'summary_mask',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-metric', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Cost of Summary
                ''',
                'summary_metric',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-metric-type', REFERENCE_ENUM_CLASS, 'ExMetricEnum' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'ExMetricEnum', 
                [], [], 
                '''                Type of Metric
                ''',
                'summary_metric_type',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefix', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Summary prefix
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-tag', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                Tag associated with this summary prefix
                ''',
                'summary_tag',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-prefix',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.SummaryPrefixes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.SummaryPrefixes',
            False, 
            [
            _MetaInfoClassMember('summary-prefix', REFERENCE_LIST, 'SummaryPrefix' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix', 
                [], [], 
                '''                Summary prefix information
                ''',
                'summary_prefix',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'summary-prefixes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF area id
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-id-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                OSPF aread id string
                ''',
                'area_id_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-stat', REFERENCE_LEAFLIST, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                OSPF interface statistics
                ''',
                'if_stat',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('madj-intf', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                OSPF madj interface
                ''',
                'madj_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'if-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry',
            False, 
            [
            _MetaInfoClassMember('interface-name', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                Interface name
                ''',
                'interface_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('handle', ATTRIBUTE, 'str' , None, None, 
                [], ['(([a-zA-Z0-9_]*\\d+/){3,4}\\d+)|(([a-zA-Z0-9_]*\\d+/){3,4}\\d+\\.\\d+)|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]*\\d+))|(([a-zA-Z0-9_]*\\d+/){2}([a-zA-Z0-9_]+))|([a-zA-Z0-9_-]*\\d+)|([a-zA-Z0-9_-]*\\d+\\.\\d+)|(mpls)|(dwdm)'], 
                '''                interface handle type
                ''',
                'handle',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-entry', REFERENCE_LIST, 'IfEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry', 
                [], [], 
                '''                interface entry
                ''',
                'if_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('if-name-str', ATTRIBUTE, 'str' , None, None, 
                [], [], 
                '''                interface name
                ''',
                'if_name_str',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entry',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entry', REFERENCE_LIST, 'InterfaceStatsEntry' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry', 
                [], [], 
                '''                Statistics information for a specific interface
                ''',
                'interface_stats_entry',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'interface-stats-entries',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.AreaStatistics' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.AreaStatistics',
            False, 
            [
            _MetaInfoClassMember('interface-stats-entries', REFERENCE_CLASS, 'InterfaceStatsEntries' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries', 
                [], [], 
                '''                Statistics innformation Interface table
                ''',
                'interface_stats_entries',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'area-statistics',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.OspfSummary' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.OspfSummary',
            False, 
            [
            _MetaInfoClassMember('sa-lsa-cnt-type-7ase', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type 7ase
                ''',
                'sa_lsa_cnt_type_7ase',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-8-ignore', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type 8 ignore
                ''',
                'sa_lsa_cnt_type_8_ignore',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-ase', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type ase
                ''',
                'sa_lsa_cnt_type_ase',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-mospf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type mospf
                ''',
                'sa_lsa_cnt_type_mospf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-net', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type net
                ''',
                'sa_lsa_cnt_type_net',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-opq-area', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type opq area
                ''',
                'sa_lsa_cnt_type_opq_area',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-opq-as', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type opq as
                ''',
                'sa_lsa_cnt_type_opq_as',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-opq-link', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type opq link
                ''',
                'sa_lsa_cnt_type_opq_link',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-rtr', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type rtr
                ''',
                'sa_lsa_cnt_type_rtr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-sum-asb', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type sum asb
                ''',
                'sa_lsa_cnt_type_sum_asb',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-lsa-cnt-type-sum-net', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa lsa cnt type sum net
                ''',
                'sa_lsa_cnt_type_sum_net',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-areas', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num areas
                ''',
                'sa_num_areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-intf', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num intf
                ''',
                'sa_num_intf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-intf-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num intf up
                ''',
                'sa_num_intf_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-nbrs', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num nbrs
                ''',
                'sa_num_nbrs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-nbrs-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num nbrs up
                ''',
                'sa_num_nbrs_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-slintf-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num slintf up
                ''',
                'sa_num_slintf_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('sa-num-vintf-up', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                sa num vintf up
                ''',
                'sa_num_vintf_up',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ospf-summary',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology.IpfrrTopo' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology.IpfrrTopo',
            False, 
            [
            _MetaInfoClassMember('distance', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Distance
                ''',
                'distance',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('distance-reverse', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Reverse Distance
                ''',
                'distance_reverse',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('dr', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology DR entry
                ''',
                'dr',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('neighbor-sourced', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology Neighbor Sourced
                ''',
                'neighbor_sourced',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('node-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                IPFRR Topology Node ID
                ''',
                'node_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('poison', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topology rSPT poison
                ''',
                'poison',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('type4', ATTRIBUTE, 'bool' , None, None, 
                [], [], 
                '''                IPFRR Topoogy Type-4 entry
                ''',
                'type4',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ipfrr-topo',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology',
            False, 
            [
            _MetaInfoClassMember('area-id', ATTRIBUTE, 'int' , None, None, 
                [('-2147483648', '2147483647')], [], 
                '''                Area ID
                ''',
                'area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-area-revision', ATTRIBUTE, 'int' , None, None, 
                [('0', '4294967295')], [], 
                '''                IPFRR Topology Revision
                ''',
                'ipfrr_area_revision',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                OSPF Router ID
                ''',
                'ipfrr_router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-topo', REFERENCE_LIST, 'IpfrrTopo' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology.IpfrrTopo', 
                [], [], 
                '''                IPFRR Topology entries
                ''',
                'ipfrr_topo',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ipfrr-topo-area-id', ATTRIBUTE, 'str' , None, None, 
                [(0, 16)], [], 
                '''                Area ID string in decimal or dotted decimal
                format
                ''',
                'ipfrr_topo_area_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('router-id', ATTRIBUTE, 'str' , None, None, 
                [], ['(([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])\\.){3}([0-9]|[1-9][0-9]|1[0-9][0-9]|2[0-4][0-9]|25[0-5])(%[\\p{N}\\p{L}]+)?'], 
                '''                Router ID
                ''',
                'router_id',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'topology',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies',
            False, 
            [
            _MetaInfoClassMember('topology', REFERENCE_LIST, 'Topology' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology', 
                [], [], 
                '''                Fast-reroute topology information
                ''',
                'topology',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'topologies',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf.FastReroute' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf.FastReroute',
            False, 
            [
            _MetaInfoClassMember('topologies', REFERENCE_CLASS, 'Topologies' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies', 
                [], [], 
                '''                Fast-reroute topology information table
                ''',
                'topologies',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'fast-reroute',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process.DefaultVrf' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process.DefaultVrf',
            False, 
            [
            _MetaInfoClassMember('adjacency-information', REFERENCE_CLASS, 'AdjacencyInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AdjacencyInformation', 
                [], [], 
                '''                Container for OSPF Interfaces
                ''',
                'adjacency_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('area-statistics', REFERENCE_CLASS, 'AreaStatistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.AreaStatistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'area_statistics',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('areas', REFERENCE_CLASS, 'Areas' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Areas', 
                [], [], 
                '''                Area table
                ''',
                'areas',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('border-routers', REFERENCE_CLASS, 'BorderRouters' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.BorderRouters', 
                [], [], 
                '''                Border router table
                ''',
                'border_routers',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('database', REFERENCE_CLASS, 'Database' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Database', 
                [], [], 
                '''                OSPF Link State Database
                ''',
                'database',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('fast-reroute', REFERENCE_CLASS, 'FastReroute' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FastReroute', 
                [], [], 
                '''                Container for FastReroute
                ''',
                'fast_reroute',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('flood-list-table', REFERENCE_CLASS, 'FloodListTable' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.FloodListTable', 
                [], [], 
                '''                Flood list table
                ''',
                'flood_list_table',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('interface-information', REFERENCE_CLASS, 'InterfaceInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.InterfaceInformation', 
                [], [], 
                '''                Container for OSPF Interfaces/links
                ''',
                'interface_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('mpls-te', REFERENCE_CLASS, 'MplsTe' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.MplsTe', 
                [], [], 
                '''                Container for MPLS TE
                ''',
                'mpls_te',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('ospf-summary', REFERENCE_CLASS, 'OspfSummary' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.OspfSummary', 
                [], [], 
                '''                Fast-reroute topology information
                ''',
                'ospf_summary',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('process-information', REFERENCE_CLASS, 'ProcessInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.ProcessInformation', 
                [], [], 
                '''                Container for OSPF Process information
                ''',
                'process_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('route-information', REFERENCE_CLASS, 'RouteInformation' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.RouteInformation', 
                [], [], 
                '''                Container for OSPF routing tables
                ''',
                'route_information',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('statistics', REFERENCE_CLASS, 'Statistics' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.Statistics', 
                [], [], 
                '''                Container for Statistics
                ''',
                'statistics',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('summary-prefixes', REFERENCE_CLASS, 'SummaryPrefixes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf.SummaryPrefixes', 
                [], [], 
                '''                Summary prefix table
                ''',
                'summary_prefixes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'default-vrf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes.Process' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes.Process',
            False, 
            [
            _MetaInfoClassMember('process-name', ATTRIBUTE, 'str' , None, None, 
                [], ['[\\w\\-\\.:,_@#%$\\+=\\|;]+'], 
                '''                OSPF process
                ''',
                'process_name',
                'Cisco-IOS-XR-ipv4-ospf-oper', True),
            _MetaInfoClassMember('default-vrf', REFERENCE_CLASS, 'DefaultVrf' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.DefaultVrf', 
                [], [], 
                '''                Operational data for the default VRF
                (instance) in the OSPF process
                ''',
                'default_vrf',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('srms', REFERENCE_CLASS, 'Srms' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Srms', 
                [], [], 
                '''                Segment Routing Mapping Server operational
                data
                ''',
                'srms',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            _MetaInfoClassMember('vrfs', REFERENCE_CLASS, 'Vrfs' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process.Vrfs', 
                [], [], 
                '''                Table for each VRF
                ''',
                'vrfs',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'process',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf.Processes' : {
        'meta_info' : _MetaInfoClass('Ospf.Processes',
            False, 
            [
            _MetaInfoClassMember('process', REFERENCE_LIST, 'Process' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes.Process', 
                [], [], 
                '''                Operational data for a particular OSPF process
                ''',
                'process',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'processes',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
    'Ospf' : {
        'meta_info' : _MetaInfoClass('Ospf',
            False, 
            [
            _MetaInfoClassMember('processes', REFERENCE_CLASS, 'Processes' , 'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper', 'Ospf.Processes', 
                [], [], 
                '''                Table for each process
                ''',
                'processes',
                'Cisco-IOS-XR-ipv4-ospf-oper', False),
            ],
            'Cisco-IOS-XR-ipv4-ospf-oper',
            'ospf',
            _yang_ns._namespaces['Cisco-IOS-XR-ipv4-ospf-oper'],
        'ydk.models.cisco_ios_xr.Cisco_IOS_XR_ipv4_ospf_oper'
        ),
    },
}
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor.ShamLinkRetransmissoin']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink.ShamLinkNeighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks.ShamLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation.ShamLinks']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FloodListTable.Flood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FloodListTable']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks.MplsTeLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments.MplsTeFragment']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeLinks']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe.MplsTeFragments']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader.AreaSumm']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiStartTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime.SiDuration']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpStartTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime.SpDuration']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpStartTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime.SpDuration']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.GblSpfTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.LsaInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime.AreaStat']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.SpfHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsRuntime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsSumRuntime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.OsExRuntime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats.Runtime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats.PriorityBatch']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats.NsrRtrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq.RibBaseTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Internalwq']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats.Ribqueue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumSentDrop']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats.NcdPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats.NsrRtrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.SpfStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibBatchStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.IssuStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RibThreadStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrPlStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.NsrStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.FrrStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.TeStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.ProtocolStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.RawIoStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics.InterfaceStatsEntries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request.Request_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests.Request']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions.Retransmission']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Neighbors']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Requests']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.Retransmissions']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation.NeighborDetails']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes.BackupRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable.Route']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.FailureTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation.Common']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes.ConnectedRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes.LocalRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas.RouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable.Route']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.BackupRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactRouteTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.MulticastIntactBackupRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.SummaryInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ConnectedRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.LocalRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.RouteTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation.ExternalRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks.VirtualLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces.Interface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.VirtualLinks']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.InterfaceBriefs']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation.Interfaces']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter.BorderRouterPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.BorderRouters.BorderRouter']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.BorderRouters']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas.ProtocolArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions.Redistribution']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas.ProcessArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.DomainId']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.MaximumMetric']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary.Redistribution']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProtocolSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.Redistributions']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation.ProcessSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable.Flood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs.InterfaceBrief']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request.Request_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests.Request']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions.Retransmission']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics.InterfaceStatsEntries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces.Interface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.FloodListAreaTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Neighbors']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.InterfaceBriefs']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Requests']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Retransmissions']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.AreaStatistics']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.NeighborDetails']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area.Interfaces']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas.Area']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.Lsas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas.DatabaseArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries.DatabaseSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs.AsLsaCounter']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData.NotDelete']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaDetailData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa.LsaInternalData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas.Lsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries.LsaSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.DatabaseSummaryAs']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.Lsas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database.LsaSummaries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes.SummaryPrefix']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics.InterfaceStatsEntries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology.IpfrrTopo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies.Topology']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FastReroute.Topologies']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FastReroute']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceVrfInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FloodListTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.MplsTe']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Statistics']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AdjacencyInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.RouteInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.InterfaceInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.BorderRouters']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.ProcessInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Areas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.Database']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.SummaryPrefixes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.AreaStatistics']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.OspfSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf.FastReroute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs.Vrf']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Vrfs']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi.Addr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup.PolicyMi']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi.Addr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active.PolicyMi']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Backup']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4.PolicyIpv4Active']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy.PolicyIpv4']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms.Policy']['meta_info']
_meta_table['Ospf.Processes.Process.Srms.Policy']['meta_info'].parent =_meta_table['Ospf.Processes.Process.Srms']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FloodListTable.Flood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.FloodListTable']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment.MplsTeLink_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeLink_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink.MplsTeFragment']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks.MplsTeLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue.FixedSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue.FlexSubTlvValueCommon']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FixedBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue.FlexBwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv.BwSubTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv.ArrBwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdpscInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType.IxcdbwSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue.IxcdSwitchingCapType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.BctlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.SrlgtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.IxcdtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue.UnidtlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv.MplsteLinkOptTlvValue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.GlobalUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.SubPoolUnreserveBwPerPriority']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkProtocolPriorityCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.LinkSwCapability']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.ExtendedAdminGroupList']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink.MplsteLinkOptTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_.MplsTeLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment.MplsTeFragment_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments.MplsTeFragment']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeLinks']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe.MplsTeFragments']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader.AreaSumm']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiStartTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime.SiDuration']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpStartTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime.SpDuration']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpStartTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime.SpDuration']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat.SpfTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.GblSpfTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.LsaInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime.AreaStat']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.SpfHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsRuntime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsSumRuntime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.OsExRuntime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats.Runtime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats.PriorityBatch']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats.NsrRtrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq.RibBaseTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue.RibBaseTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Internalwq']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats.Ribqueue']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumSentDrop']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri.NumRecvDrop']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats.NcdPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched.NsrPri']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats.NsrRtrThdSched']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.SpfStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibBatchStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.IssuStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RibThreadStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrPlStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.NsrStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.FrrStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.TeStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.ProtocolStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.RawIoStats']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics.InterfaceStatsEntries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request.Request_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests.Request']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions.Retransmission']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails.NeighborDetail']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Neighbors']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Requests']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.Retransmissions']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation.NeighborDetails']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes.BackupRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable.Route']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes.MulticastIntactBackupRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.FailureTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation.Common']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes.ConnectedRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes.LocalRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas.MulticastIntactBackupRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas.ConnectedRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath.BackupRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.RouteBackupPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas.BackupRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations.RouteAreaInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas.MulticastIntactRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.FailureTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation.Common']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas.LocalRouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactBackupRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.ConnectedRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.BackupRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.RouteAreaInformations']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.MulticastIntactRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.SummaryAreaInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea.LocalRouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas.RouteArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable.Route']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteUpdateTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo.RouteFailTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath.MicroloopRepair']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath.SrMicroloopAvoidancePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RouteInfo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_.RoutePath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteInformation_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.ProtocolName']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute.RouteExtendedCommunity']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes.ExternalRoute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.BackupRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactRouteTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.MulticastIntactBackupRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.SummaryInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ConnectedRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.LocalRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.RouteTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation.ExternalRoutes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor.VirtualLinkRetransmissoin']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink.VirtualLinkNeighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks.VirtualLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs.InterfaceBrief']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface.IpfrrTiebreakers']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces.Interface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.VirtualLinks']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.InterfaceBriefs']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation.Interfaces']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter.BorderRouterPath']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.BorderRouters.BorderRouter']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.BorderRouters']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea.ProtocolInterface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas.ProtocolArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution.RedistributionProtocol']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions.Redistribution']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea.AreaRange']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas.ProcessArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.PrimaryDomainId']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId.SecondaryDomainId']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric.MaximumMetricTimeUnset']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution.RedistributionProtocol']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.DomainId']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.MaximumMetric']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary.Redistribution']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProtocolSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.Redistributions']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation.ProcessSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AreaFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood.AsFlood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable.Flood']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors.Neighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs.InterfaceBrief']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request.Request_']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests.Request']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAreaDb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission.RetransmissionAsdb']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions.Retransmission']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics.InterfaceStatsEntries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail.NeighborRetransmissionInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails.NeighborDetail']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceBfdInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.ActiveInterface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceNeighbor']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.InterfaceMadj']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface.IpfrrTiebreakers']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces.Interface']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.FloodListAreaTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Neighbors']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.InterfaceBriefs']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Requests']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Retransmissions']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.AreaStatistics']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.NeighborDetails']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area.Interfaces']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas.Area']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Areas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaThrottleTimer']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData.NotDelete']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.NetworkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.SummaryLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaDetailData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa.LsaInternalData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas.Lsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries.LsaSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.Lsas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea.LsaSummaries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas.DatabaseArea']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary.AreaLsaCounter']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries.DatabaseSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs.AsLsaCounter']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaThrottleTimer']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsaLastUpdatedTime']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.LsadbBaseTimeStamp']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData.NotDelete']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink.LinkTos']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.Link']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType.InternalLink']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType.ExternalTosMetric']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.PceAddrUnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv4PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr.Ipv6PceAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedAddr']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv.PcedScope']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv.Sidtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.UnknownTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.RtrCapTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.Pcedtlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrAlgoTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv.SrRangeTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType.OpaqueRitlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv.TeLinkSubTlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType.Tlv']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.RouterLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.NetworkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.SummaryLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.ExternalLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueLinkLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueMplsTeLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueGraceLsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueRouterInfoLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueEpLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData.OpaqueElLsaType']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaDetailData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa.LsaInternalData']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas.Lsa']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary.LsaHeader']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries.LsaSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseAreas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.DatabaseSummaryAs']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.Lsas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database.LsaSummaries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.Database']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.SummaryPrefixes.SummaryPrefix']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.SummaryPrefixes']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry.IfEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries.InterfaceStatsEntry']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AreaStatistics.InterfaceStatsEntries']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.AreaStatistics']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology.IpfrrTopo']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies.Topology']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FastReroute.Topologies']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf.FastReroute']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FloodListTable']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.MplsTe']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Statistics']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AdjacencyInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.RouteInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.InterfaceInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.BorderRouters']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.ProcessInformation']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Areas']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.Database']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.SummaryPrefixes']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.AreaStatistics']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.OspfSummary']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf.FastReroute']['meta_info'].parent =_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info']
_meta_table['Ospf.Processes.Process.Vrfs']['meta_info'].parent =_meta_table['Ospf.Processes.Process']['meta_info']
_meta_table['Ospf.Processes.Process.Srms']['meta_info'].parent =_meta_table['Ospf.Processes.Process']['meta_info']
_meta_table['Ospf.Processes.Process.DefaultVrf']['meta_info'].parent =_meta_table['Ospf.Processes.Process']['meta_info']
_meta_table['Ospf.Processes.Process']['meta_info'].parent =_meta_table['Ospf.Processes']['meta_info']
_meta_table['Ospf.Processes']['meta_info'].parent =_meta_table['Ospf']['meta_info']
